===================== 2014-03-06 Version 4.0.6 Released =====================

===================== Changes Since Version 4.0.5 ===========================

commit 69fef91369a2818872e00326d2d05c8fa9f7b946
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 6 15:45:08 2014 +0100

    Makefile.defs: version set to 4.0.6

commit 645f67f7ce88c8fb3e51dde13ee6ddc115e8eeaf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 6 15:44:14 2014 +0100

    pkg/kamailio: version set to 4.0.6 in rpm specs

commit ff71be5a3023578d52c2bc45a5097d0f4bf36d92
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 6 15:43:14 2014 +0100

    pkg/kamailio: version set to 4.0.6 in deb specs

commit dfc8d544f7435e39771f8a39f349b969ba730944
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 6 11:57:23 2014 +0100

    tls: the pointer of cfg structure
    
    - synchronize when updating the list of tls configs and their reference
      count
    - with parts from patch by Ding Ma, FS#380, contributed under BSD
      license
    - backport of 208934d47ac1585d42029234267bcceab40ae218

commit fe9c6ddd1d36ac7fabb303605e6a11dcd84fff1b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 6 11:35:26 2014 +0100

    modules: bulk regeneration of README files
    
    - some modules had xml files updated, but no refresh for README files

commit 9db02c00c7e821b3640dd2fa9161a60bcb0a1f44
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 3 10:04:39 2014 +0100

    acc: added note about MySQL InnoDB not supporting INSERT DELAYED
    
    - reported by Daniel Tryba
    
    (cherry picked from commit d26eff22c8a543c63a40cd7d91bb3c70f04aabc6)
    (cherry picked from commit 4ac82cdf92ae6c0e2ff9c1238bfe28cfcefea99c)

commit fbf78b84eaf9b7c8e2924db996807cd6851a3a00
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 3 23:38:41 2013 +0100

    core: don't increment failed dns query counter for reverse dns lookup at startup
    
    - it can happen before counters are intialized, thus check that before
    - reported by Hugh Waite, FS#375
    
    (cherry picked from commit 89c6d73dd51eb9b96f50d3f04219612fa7725224)
    (cherry picked from commit a3169d02d7527110941fab8de25ba75aae759ce1)

commit 1208d0ac3890539f06ad6372cd11d5048cf572dd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 3 23:38:08 2013 +0100

    core: added function to check if counters have been initialized
    
    (cherry picked from commit 8161152b320f3b430523ea08e86a56f79405c2f4)
    (cherry picked from commit a165fa668378da5c312a0c268aaf158ff583127f)

commit 6121e8ee902d6b40bb50f20f0ce0a1315ede3500
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 24 16:05:49 2013 +0100

    tm: exported set_t() and get_t_branch() viam tm api
    
    - allows to backup and restore pointers to T and branch
    
    (cherry picked from commit 777dd5e28ff6b4fcc3b1c44e841eb415c974075f)
    (cherry picked from commit 09fb0aae62761ce4f251ab22c6ab9cde55e2c663)

commit 211348ae0fa62282fb437fc97beeab6b10a1dbed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Nov 24 16:06:41 2013 +0100

    tmx: backup and restore existing T and branch pointers for t_cancel_callid()
    
    - reported and initial patch by Guillaume Bour
    
    (cherry picked from commit 60372d613544af1f8f06122eb77fa2a9636a6c3a)
    (cherry picked from commit f7ed69d75746dc55e5a48a7a18602124e73cd3cd)

commit 314fe0a20f47c81cd2bd54c4d0c63817752c7e44
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 4 17:31:57 2014 +0100

    sqlops: reset the result container before new query is executed
    
    - it was lost in commit 9b62514b4a90e169c9126b7bda6d87cc4c213ad2
    - reported by Jonas BÃ¶ttner
    
    (cherry picked from commit 864127e6e02144c40c138d6921862b1512d01c66)
    (cherry picked from commit 954fe136964296836113f5187f9cde91b197a567)

commit 00f26f831133d770b9fd9ae5ea0026a125abcf40
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 4 09:59:07 2014 +0100

    sqlops: safety check for result row field
    
    - it might not be set in case of a failure in the middle of result
      conversion from db to internal memory
    - freeing the partial result could result in a crash
    - reported by Juha Heinanen
    
    (cherry picked from commit f27df26ca01394250cbe12c5ccf694c6afd3707f)
    (cherry picked from commit 20276e667631ec281851c2ef58d71863ae2318c4)

commit f1845ecb7cc02c598ff90a9531a3cc2da489f20a
Author: Torrey Searle <tsearle@gmail.com>
Date:   Mon Mar 3 14:54:10 2014 +0100

    app_perl: update constants for debug levels
    (cherry picked from commit 6513ee05dd20253c0f555b18081f0eceb4baf7aa)

commit 977cbc8a78caa50cf822bd39c39e7838e97fa511
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 27 23:47:06 2014 +0100

    registar: proper unlinking deleted contact to avoid invalid memory access
    
    - based on a report and patch by Dragos Oancea

commit 607b913c31f78d96f882bc91cbae870ff271aeca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 26 18:03:20 2014 +0100

    sl: fixed use of forward_reply_nocb() in sl_forward_reply()
    
    - previous related commit was not doing it
    
    (cherry picked from commit 4133a44cc9b1702b3a36b9386464983d2fe9aedc)
    (cherry picked from commit 91241caa2c2bc51b421d024c790493fdaf24c8ee)

commit be06910670a08d4a6e1078f579477d86fc915334
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 24 21:32:45 2014 +0100

    nat_traversal: proper size for realloc
    
    - reported by Venky
    
    (cherry picked from commit d9c34bec5ea0570f66df23e7e7d6f79f4721f04e)
    (cherry picked from commit 26fd1d2fd24a1f4ee160ba24e2670b8e7a4e8176)

commit 92f29137c8815ba5a4cf5cb98a1e1a10d4c7f9af
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 21 15:48:36 2014 +0100

    lib/kcore: fix loop on broken values matching the prefix of a good value in parse_supported()
    
    - reported by Savolainen Dmitri, FS#396

commit 4b8ae380ddae2af57f1d0aeec6c728fe393e2734
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Feb 21 11:47:54 2014 +0100

    pkg/kamailio/deb: init script. Get back SHM_MEMORY PKG_MEMORY and CFGFILE
    
    (cherry picked from commit f46beec41b3b5caa3977ddd452b3671bebf69069)

commit ce060959dad97a346046b276633bfbc442aaf1e6
Author: Alex Hermann <alex@speakup.nl>
Date:   Fri Feb 21 00:10:35 2014 +0100

    tm: safety check for uas callid value when callid_matching is 1
    
    - according to the documentation is for UA that cannot match the
      responses when call-id is changed, but is not the case of self
      generated requests
    - closes FS#390
    
    (cherry picked from commit 1787b4239f3494fe7a88b0868a807e86a3b92639)
    (cherry picked from commit ef478ac0709a9bef99df0818f68b597f39ba7c3b)

commit 133f88548ba16e3b2bb2929f4655d40ccda04ea2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 20 23:15:56 2014 +0100

    async: free the async item after resuming the execution
    
    - reported by Surendra Pullaiah
    
    (cherry picked from commit c33583e6456d3500f8a9c870eb01a01d1a1fe8f4)
    (cherry picked from commit 36c42be1a02fcb47d4b288136df81f424b690351)

commit 4c71c9ba9797b6bc3b89f43a1c3856ad4e63dd87
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Feb 18 16:30:28 2014 +0100

    pkg/kamailio/deb: fix init script
    
    (cherry picked from commit 424ab9dd4abd9b11b7cf4642335652145128fa7c)

commit 046f6d66868fd81c4716cfe2210eee4a36531f83
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Feb 18 10:56:59 2014 +0100

    pkg/kamailio/deb: fix lintian overrides

commit e667cf0f35aab18ccd73f5bfe85857ddf3508ef8
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Feb 19 01:37:21 2014 +0200

    modules/utils: http_query fixes
    
    - Credits to Guillaume Bour.

commit 9c2b372615705199805186b6bc3346fbbfaea670
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon Feb 10 19:41:20 2014 -0500

    htable: fix crash if key_value is not string
    (cherry picked from commit 065439c0fbabe2806fcd615cec5e2445db59beec)

commit 46b75d34f4941cb0e425183e70c8cf5eba7b6ab0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Feb 5 15:00:31 2014 +0100

    pkg/kamailio/deb/debian: no websocket nor outbound on lenny.
    
    Remove kamailio-mono-modules from Suggests

commit 403d553b30bfeb4aab5575666ab9638a7799317d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 5 09:52:19 2014 +0100

    core: fix condition on script callback number done inside EXTRA_DEBUG
    
    - reported by Seudin Kasumovic, FS#388
    
    (cherry picked from commit 740d407be4e35ee945658365ae38a1bba30fafc7)

commit 432ed7a665f07c42dadf44d2596d346a7c8863fd
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Feb 4 21:24:34 2014 +0100

    pkg/kamailio/deb: add missing dependence

commit 259a99578a1e9f454a3cd027ac17f39b25c0aec0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Feb 3 14:21:09 2014 +0100

    pkg/kamailio/deb: clean lintian errors

commit 6db8c1f426ed40e4ddcb2ba204816d9800302735
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Feb 3 09:31:29 2014 +0100

    pkg/kamailio/deb: wrap-and-sort control files

commit ffff03d33273873076bf8bc92a84608b4271a1e3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jan 30 13:47:56 2014 +0100

    pkg/kamailio/deb: unifying debian packaging

commit 9c39db4c6cba2791d4c19772797b84179baffead
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Tue Feb 4 09:49:20 2014 +0100

    tm: Fix docs on t_relay_to (Typo)
    (as noticed by Victor V. Kustov)

commit 68ecacc317cb617d1e507003d4c7d9a7856b2cfc
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Jan 16 18:02:31 2014 -0500

    xhttp_rpc: fix arg parsing
    (cherry picked from commit 3615f3c26405f1c1bcd3721674e9d87e4b589146)

commit 7031c26ddb5b3bb32b1a44a9133e8f3c0893e567
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jan 7 13:59:37 2014 +0100

    usrloc: add user_col to the update contact query with instance
    
    (cherry picked from commit b393656c1113eb3630470389f142c53fbc085a90)
    (cherry picked from commit 2dd36bbae6f05ea0c980e58f247ac7e4f737f6a6)
    
    Conflicts:
    	modules/usrloc/ucontact.c

commit 7273c7cbc63d9cc44e9340859d9f5d1692fee4a6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 2 11:25:56 2014 +0100

    tmrec: updated the examples with tmrec duration
    
    - hint to read rfc2445 for duration format
    
    (cherry picked from commit 99d1170469c60206992c083f2ba0e9dc6b580d37)
    (cherry picked from commit df0218611b8f27ccaa924b8f88560c2e81966823)

commit 1b98961522fd8a7eb73ecc7d1772541f8b81aabc
Author: Juha Heinanen <jh@tutpro.com>
Date:   Thu Dec 26 17:51:04 2013 +0200

    modules/pua: added some missing lock releases
    (cherry picked from commit 4eb338611e716e7a32f252acbae52bace6047a0a)


===================== 2013-12-20 Version 4.0.5 Released =====================

===================== Changes Since Version 4.0.4 ===========================

commit 01802b9cfbf270f9a801493ff23eb91b066d8e69
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 20 17:25:17 2013 +0100

    Makefile.defs: version set to 4.0.5

commit b4d7ed8616dd1e66dd33345078dd903833f68152
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 20 17:23:31 2013 +0100

    pkg/rpm:  set version to 4.0.5 in specs

commit 1a5c2d6f97585a7f0dc19102b46136ad4a5346cd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 20 17:21:11 2013 +0100

    pkg/debian: set version to 4.0.5 in specs

commit 298913ee2e36d11c26ce5c320059e822c97d31e9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 18:23:17 2013 +0100

    maxforwards: use standard format instead of GNU old-style field designator
    
    (cherry picked from commit cd04947b0ccb1c861274483f458bfc7f4329accb)

commit 53655beed57d0165931790683046614e70a8acfd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 18:34:49 2013 +0100

    ratelimit: signed check for pipe number in rpc_set_queue()
    
    - rpc can reand signed value
    
    (cherry picked from commit ed034d4d9096d8c77269828c8efdafb26eac5372)

commit 58206a77d9ba2335793f66adc27f4eb89e062bb9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 18:30:49 2013 +0100

    pike: memset of address print buffer with proper size
    
    (cherry picked from commit d54eb083f59fb55ccbc79e49b5b3e05426bd3795)

commit e9ef639beb37e1379a2a62bfaac13a4b64ba7d75
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 19:03:08 2013 +0100

    tls: removed unsigned int comparison with <0
    
    (cherry picked from commit 7d6dc390bac2b49615444bcbad74cd39f3c82302)

commit ea6b37271c7ca222650a58dc717b7a203483cc6a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 18:20:16 2013 +0100

    ctl: removed not needed extra paranthesis
    
    (cherry picked from commit efda774f6391f1e909a9967898c64fb25f53eeba)

commit 3bfbc96ae673a570e6bc56a89e8ca6e677eb9388
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 18:15:22 2013 +0100

    pv: use int index for looking up flag index
    
    - some functions used for check may return negative on error
    
    (cherry picked from commit 30359b3cfce2ce909153e06b1954778c4eababa7)

commit 2e08848cdb16fa717897b6b70fde4dc9ef3c34a5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 9 10:06:15 2013 +0100

    usrloc: avoid double locking when preloading attributes
    
    - reported by Seudin Kasumovic, FS#378
    
    (cherry picked from commit 888635bfa3719afeeea6f5f0d407aa862ceb34ac)
    (cherry picked from commit 8df9d2336e7de2648288cf8ff6821e6820d88da9)

commit aee55e1bdc9fefd2082ba1e13d88a1ab2c70a37f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 16 09:26:03 2013 +0100

    db_flatstore: update timestamp for kamailio specific rpc rotate
    
    - do also in 'rotate' command, not only in 'k_rotate'
    - from a patch by Abdelkader Allam
    
    (cherry picked from commit b15aefa31e45f1ad6a45b64905f9fae24e0f790e)
    (cherry picked from commit d75bc3b69151a9d0391309e6bb51784f3b6b9a83)

commit b4f7f2e8a0cf1178b31ed7a7a84725fd25b36940
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 17:16:25 2013 +0100

    core: fixed several clang compiler warnings
    
    (cherry picked from commit f0fb6f1e9fbb2f7f0c2bed5ba0d50a56cf5cf444)
    (cherry picked from commit 90681624c54f0ec0b1259e205bcc0274316b4549)
    
    Conflicts:
    	parser/parse_fline.c

commit 3c1ac9fa2664978c8cfd5b4a217df0163699c0b1
Author: Camille Oudot <camille.oudot@orange.com>
Date:   Tue Nov 26 16:08:35 2013 +0100

    modules/ims_registrar_pcscf: fix log

commit bd7eaa50b6f24a6404294d66e5ab91fcb04be3da
Author: Juha Heinanen <jh@tutpro.com>
Date:   Thu Dec 19 16:21:25 2013 +0200

    modules/pv: fixed params and param transformation
    
    - params need to be taken from sip_params field of sip_uri struct
    (cherry picked from commit e54b3ec673cb32664a1e8de2e591190f22216724)

commit 060f90439f7a91f42c983f6c6d19a3131f476258
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 11 09:49:52 2013 +0100

    core: safety check for double free in q_malloc as in f_malloc
    
    (cherry picked from commit 943a5941f5ab479803fb30e19e9fa607f0f0fe14)

commit 33d71771185812cba24f6213c7d8e4b9831b9b5a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 18:02:36 2013 +0100

    usrloc: proper index for domain column when laoding extra attributes
    
    - patch by Seudin Kasumovic, FS#377
    
    (cherry picked from commit 551524cfc83b922c23e2d26f8cc5950df2a0af54)

commit ba788ba35e8df637c3f91bd942e20808f1238b3b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 6 16:33:04 2013 +0100

    Makefile.defs: compiler optimization level made variable
    
    - allow using -O3 for clang, which gives error on the former default -O9
    
    (cherry picked from commit 0713c0de50f8c2f4da2ee0ef33b0505c37792392)

commit 9b1882ecade859474ee9faf8a4ccc1ac061e7baa
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Thu Dec 5 09:30:56 2013 +0000

    dialog_ng: Fix segfault in dlg_new_dialog
    (cherry picked from commit 32f9c9187a9d886c46b24ee38173274da63febda)

commit e605174dab9b86ce06689d184b4b9d81288f1193
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 2 20:42:12 2013 +0100

    mem: malloc(0) should return a valid pointer for free according to specs
    
    (cherry picked from commit f61ff34aac7c7bae3a96fb698a899c8a0e692a9f)

commit 7aba649db775a00e28dc75a9145a3da50f797776
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Mon Dec 2 17:05:35 2013 +0100

    permissions: re-init db connection for reload cmd
    
    - some workers for specific mi/rpc commands may not have a db connection from the start
    
    (cherry picked from commit cb23be9456c178957399ec9d8ce8a1420d50fc32)

commit 24cb002f5af4cdbf6a54e8abf4bf31e311aff4cf
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 1 15:33:08 2013 +0100

    registrar: clean static values at pack_ci
    
    (cherry picked from commit 66185905850cd2ac9ab933776184da0f0882e5ac)

commit 32a4710d4ab7e3b03121154cbc609c6ac41d17b2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 29 14:23:47 2013 +0100

    usrloc: db_update contact by instance + reg-id
    - backport from master f67171c

commit 5ae035c420a5f30d862878825fac5ae9dbda53c8
Author: Vicente Hernando <vhernando@systemonenoc.com>
Date:   Thu Nov 28 12:16:05 2013 +0100

    modules/ndb_redis: solved bug in second call to redisvCommand.
    
    (cherry picked from commit 52a34d269931f6f3a50b3fc532405624b9e38d23)

commit 1103009d674b2bf7a6c31e4d351d832370dded58
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 5 10:33:55 2013 +0100

    dialog: init cseq to 0 if not available yet for one side
    
    - based on a report by Morten Isaksen
    
    (cherry picked from commit 082a6c43938cf8e3839d46fd070e391bd522d4ed)

commit edd13668492c7c09242f19620ad763922e92a186
Author: Timo TerÃ¤s <timo.teras@iki.fi>
Date:   Fri Nov 15 16:06:25 2013 +0200

    modules/sca: fix hash entry deletion
    
    sca_hash_table_slot_kv_delete_unsafe() uses internally sca_hash_entry
    but incorrectly called sca_hash_table_slot_kv_find_unsafe() to
    initialize the entry. That function returns the node value, not the
    node itself. Use instead sca_hash_table_slot_kv_find_entry_unsafe().
    
    Should fix the crash in FS#366.
    
    (cherry picked from commit 56e4f4518028e73f9ebd053242a100a5c3b7eb53)

commit c3e5b2cbf941d7463abdfe5df53a803b2a877d09
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 12 21:06:15 2013 +0100

    itm: init sock_str to null value if no sock pointer is set in branch
    
    - case of creating branches from a 3xx reply
    - reported by juliabo [at] gmail
    - identation made coherent with tm module style
    - corresponding to master commit 254d0c43a84ec87801e58b4f990a2029c0e27c6f

commit fd17595f31f3e4edeea707c5049a883fa8410dfe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Nov 2 19:28:36 2013 +0100

    tls: include dprint.h where log functions are used
    
    (cherry picked from commit 039f52deb384c71ecfb578e2cd648153dd9937d1)

commit 63a823ff275e84d18c0d67dc2aa1baee2e332ffe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 1 09:39:32 2013 +0100

    uac: reset registration authentication flag
    
    - reported by  rene montilva (fs#352)
    
    (cherry picked from commit bc66a385e8a282638c8d5cfa566f971c62cd341b)

commit d17ff203507956f4ce37ee9c64c17b586cfcb437
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed Oct 30 17:12:05 2013 +0000

    modules/rls: Fix memory leak in rls
    - Leak would occur in two error cases
    - Also improved diagnostics to display uri on various failures
    (cherry picked from commit 52ac54133f70776a2dfe54e1789de8b1cae02a05)

commit 49e566ab80a8458ba229c77149a6011ea5d0df28
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Thu Oct 24 12:34:05 2013 -0400

    tm: fix possible segfault in cancel_branch()

commit c035965d7ed820470d4aedc4dc1dca7e048906b1
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Oct 23 14:53:04 2013 +0100

    modules/xcap_server: fixed fetching of an element (GET with XPath)
    
    - This is a mandatory part of XCAP and DELETE/PUT of elements (using XPath)
      is supported in xcap_server.
    - The code to get a node from a document was all in there but never called.
    
    (cherry picked from commit 6b8b8a050e4490302d1f1f940a7fda95784cce46)


===================== 2013-10-02 Version 4.0.4 Released =====================

===================== Changes Since Version 4.0.3 ===========================

commit 69d5e22b21ad4cb163e39f68a123cae3cf99e1c9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 2 16:54:14 2013 +0200

    Makefile.defs: version set to 4.0.4

commit 00cfb136d9532aa5e7cf2a40848e62b7df1692fa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 2 16:50:37 2013 +0200

    pkg/rpm: updated version to 4.0.4 in spec files

commit 6b26032ee8b581983d547657c9d229645cf2bd0e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 2 16:50:05 2013 +0200

    pkg/deb: updated version to 4.0.4 in specs

commit f8ae762545b85ead432f67bcb6969bc92f01b93d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 20 11:18:09 2013 +0200

    registrar: note about empty value for received_param
    
    (cherry picked from commit e35fe9c6095361414565b1099dea1ad5950fb38d)

commit fc410ae69c6b371538f457947fd3a2946dc492cd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 20 11:15:16 2013 +0200

    registrar: if rcv_parm value is empty, don't add received to contacts in 200ok reply
    
    - otherwise results in malformed value
    
    (cherry picked from commit 2f213e313a86e16665f6d0acfec959bf23f72b7d)

commit cbe6d2dc199e552576501a74b3cafbceeb048385
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed Oct 2 10:04:35 2013 +0100

    xcap_server: Fix memory allocation check bug in xcap_misc
    
    - Would cause crash if out of package memory
    (cherry picked from commit 165a351d18fd0f1639087c8eb5d9294e46a6e2b7)

commit 82a23f22c1bba400304a7f44523e8db8b09ae295
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 26 13:23:46 2013 +0200

    presence_xml: updated docs about integrated_xcap_server
    
    (cherry picked from commit 8e35cef8716bbd0caa406a5080e93acb3c881c41)

commit 3a927389f2667fa3e453f30604b5448ca99f4d77
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 26 12:59:59 2013 +0200

    mi_rpc: compatibility with libxmlrpc-c3 library on wheezy
    
    - patch by Muhammad Shahzad
    
    (cherry picked from commit baa4fccc2870df102a66089d6e9b6ca1ff47fc25)

commit 9f3f494289ab25d2a4a35672e21d1b1c76cfbd6b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 30 16:49:26 2013 +0200

    app_perl: use local buffer to print dynamic string in pv_sprintf()
    
    - avoid pkg malloc for temporary need
    - fix leak in case of fmt parse error, discovered on a report by Dragos
      Oancea
    
    (cherry picked from commit 1c3e761fbd087ee578ce305d89f6b8ee4e9ab79d)

commit 3253fcb7e7ef628727799a92ca68739dba3d10ca
Author: Ãyvind Kolbu <oyvind.kolbu@usit.uio.no>
Date:   Mon Sep 30 11:15:13 2013 +0200

    core: resolve down to A/AAAA records when no naptr records
    
    - try all protocols, not only UDP
    
    (cherry picked from commit b50888cf447ea3a3315e665c97f71a07bb687337)

commit b49899f75052ea4e23125c7af3e60dd3ab141aae
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu Sep 19 13:49:24 2013 -0400

    modules/sca: fix return value of sca_call_info_uri_update()
    
    - return value of 0 can bubble up as return value of sca_call_info_update(),
      causing early script termination (exported function returning 0 in script
      is equivalent to "exit")
    - report and patch from Timo TerÃ¤s
    (cherry picked from commit 844c398bba30452f0b136895b9f928cc17e5c80b)

commit c9551e55a8a0d46de69bb49fc3eb8376fd737ccb
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Tue Aug 20 15:54:17 2013 -0400

    modules/sca: AoR should not be treated as SCA if there are no subscribers.
    (cherry picked from commit a8fb905e8bf27093dcf86866ae946431ed441a41)

commit 22268940a63747e1ef3faf47b40c493c8f34a7b3
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Tue Aug 20 15:14:26 2013 -0400

    modules/sca: improved handling of host-only Contact URIs
    (cherry picked from commit bf747c2d65aeaa74d1cea4e0a531607415e8d17d)

commit 1672b92eb5d7eb7d07741c24bfec912e1e6b7acf
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Mon Jul 22 00:48:46 2013 -0400

    modules/sca: restore missing prototype.
    
    sca_subscription_aor_has_subscribers
    (cherry picked from commit 7bf7e9f858faab2329e5edf3d988bef76ac2c804)

commit 92c6c3b680047962721bb48134345012e7f631db
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Mon Jul 22 00:42:18 2013 -0400

    modules/sca: detect when an AoR is no longer SCA.
    
    Don't, for example, create an appearance for callees that do not send
    a Call-Info header, and whose AoR also has no subscribers.
    (cherry picked from commit 3464f62565dd153cb87af71a71df5db2306d74a1)

commit 2f767f2b3454dc0bad206c0b7aa04b8a2550be25
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Mon Jul 22 00:37:32 2013 -0400

    modules/sca: Clear stale line-seize appearances via timer.
    
    Some badly behaved/buggy UAs don't know when to say when.
    (cherry picked from commit 8416a1c65d26ac81b71e08274f9292a7f7713fff)

commit b15a586fd6eb226318d7111a0e14c312ec56ad8f
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu Jun 13 16:06:10 2013 -0400

    modules/sca: fix regression: restore purge expired timer
    (cherry picked from commit d5f259f7ce04b012f7704ba433f167d034548e09)

commit b1faa930bd69333eda47291a6354fb2bda59b822
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu Jun 13 15:34:00 2013 -0400

    modules/sca: clear appearance on receipt of out-of-dialog SUBSCRIBE
    
    - If a call-info SUBSCRIBE with no To-tag arrives from a subscriber
      with an active subscription, release any appearances owned by the
      subscriber, on the assumption that the subscriber has lost track
      of SCA (reboot, power/network loss).
    (cherry picked from commit c6280e2eb9c2e1243d5d4ab78b8b683c8239a4b9)

commit 0d0a6c2d0de9b56c31ce3de59ec0c9e9bd86241b
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu Jun 13 15:30:40 2013 -0400

    modules/sca: detect and clear orphaned appearances caused by answer glare
    
    - set appearance state created by SCA callee answer to ACTIVE_PENDING,
      and promote to ACTIVE on ACK from caller. If no ACK from caller is
      received within 30 seconds (enough time for retransmission to fail),
      the ACTIVE_PENDING appearance will be cleared by the
      sca_appearance_purge_stale timer.
    (cherry picked from commit a9014c2b9edd200cf0032fdb30405710afc97c0b)

commit 67bd5d6d315c89089d54dbf01531e79fe832339f
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Wed May 15 16:13:23 2013 -0400

    modules/sca: reconcile Contact and From URIs in ACK callback.
    
    - fix Music-on-Hold in Polycoms when SCA caller has MoH enabled and SCA callee
      does SCA hold/pickup with identical To & From URIs. Previously, module would
      end up looking up an appearance for callee in ACK callback instead of caller.
    (cherry picked from commit ba2f749d4a894f6890601ce3d2ff3697b78c5b73)

commit 68898fdd936c5aa34377b894240dfd460315f23e
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Tue May 14 16:25:06 2013 -0400

    modules/sca: improved BYE handling.
    
    - Clear appearances for both legs on BYE request if possible.
    (cherry picked from commit 71f012de15bd4fecce006c35b9452854818f03af)

commit b765ed287e61c43e299fad8396b22759a04cb7d9
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Tue May 14 16:23:46 2013 -0400

    modules/sca: free previous appearance owner, callee, dialog if non-NULL.
    (cherry picked from commit 6a126232767256a2495c846184acaec788576591)

commit 87daab43172e780de06378773e50bf1f48cb1793
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu May 2 15:12:16 2013 -0400

    modules/sca: change logging level for failed lookup by appearance-index.
    
    - appearance-index won't be found yet if SCA callee is answering, logging
      at WARN is misleading.
    (cherry picked from commit 95b38c4d239f0098e94eafb1c3ddc8834fc767e0)

commit f547e09bfe791e485d7b15d3238e4f84242654be
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Tue Apr 30 23:31:12 2013 -0400

    modules/sca: space-separate dialog tags in sca.all_appearances output
    (cherry picked from commit 16243261d7cc6dc3e03db9c589209b534d6dab74)

commit d16ee1a19c681726b35da78f120a05317b294ce1
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Tue Apr 30 23:10:10 2013 -0400

    modules/sca: track appearance times.
    
    Include time of last state chance in sca.all_appearances output.
    (cherry picked from commit da3f7cbd955311309665ab0e6958e009f183f795)

commit 86930557070857aecf8110ead7b6e5e3761fb796
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Wed Apr 24 11:30:35 2013 -0400

    modules/sca: add sca.subscription_count to rpc exports list.
    (cherry picked from commit 1d361c70b5ed87e0808bc446be327f21d8725a3f)

commit b1bd9727e91991649bc37cd8c79cd3876876da92
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Wed Apr 24 01:18:27 2013 -0400

    modules/sca: RPC: fix sca.show_subscription, add sca.subscription_count
    
    - sca.subscription_count will eventually be subsumed by sca.stats.
    (cherry picked from commit f156eb0f82bb729e773027e44f1e7f930418dc93)

commit 5ca4e8e743e1e7e61c7218858a68c9c83b4618f1
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu Apr 18 13:52:10 2013 -0400

    modules/sca: fall back to tag lookup if lookup by index fails.
    
    - Fix appearance tracking for SCA implementations with inconsistent
      Call-Info header inclusion.
    (cherry picked from commit c41806685483546d00324d351ca72143a2a6c787)

commit f4169c46d885b0d6568961bc302d0be0173a697d
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Mon Apr 15 20:16:36 2013 -0400

    modules/sca: add SCA_DB_DEFAULT_FETCH_ROW_COUNT
    (cherry picked from commit 2292666bf234a168120b1c1504bea86300a440ea)

commit e57b740d35590e7a8049cf82c38deb49a414f816
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Mon Apr 15 20:11:08 2013 -0400

    modules/sca: use DB fetch queries when restoring subscribers from database.
    
    - Previously used standard query, exhausting pkg memory when subscriber
      count is high.
    (cherry picked from commit c9f47e608f655b3558e7c0c319f32b189732cf34)

commit 4f7b9ac3c64c4baf20b8da76e947c777a073ef61
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Mon Apr 15 20:09:01 2013 -0400

    modules/sca: only check if callee is SCA if callee_aor has a value.
    (cherry picked from commit d1ef3000b9db99c51d5c37134af2c679ce017a82)

commit 8c790ae25cb5927166bbf154233ca74e36b1d225
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Mon Apr 15 17:17:05 2013 -0400

    modules/sca: add check for empty AoR in lock_shared_appearance calls.
    
    - Sanity checking
    (cherry picked from commit 8ce54ef9b33ef533b3f4474b2c68c9ae454db458)

commit 940d60dc398383aede76b01cfa7618fb11081da6
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu Apr 11 22:34:10 2013 -0400

    modules/sca: clear appearance on t_reply with error after receiving 18x.
    
    - Receiving a 18x provisional reply triggers line-seize subscription
      termination. Releasing the seized appearance while processing a t_reply
      with an error status *after* getting a 18x would fail because
      sca_subscription_terminate could not find a matching line-seize
      subscription. In that case, look up appearance by tags and release it.
    (cherry picked from commit aa0c84475140dc44186c68e9c544367553c891c2)

commit d220cdbf8eb9d6c0d7108c81cd1ba762a2fa8938
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Mon Apr 8 15:01:41 2013 -0400

    modules/sca: reduce verbosity of RPC sca.all_subscriptions output
    
    - accommodate more subscriptions without hitting kamcmd buffer limits.
    (cherry picked from commit a9e555e6e41271e015c47d29ba85276673d3b7b6)

commit 2a072eeea166c93a9419f6249b52c30da9367c3d
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Wed Apr 3 14:54:36 2013 -0400

    modules/sca: ensure line-seize sub update uses index from request
    
    - lazy removal of line-seize subscriptions that were not used for a
      call could lead to failure to release expired seized appearance.
      Client must have a lingering, expired line-seize subscription that
      hasn't yet been purged by the timer, and indices must not match.
      Fix ensures that the appearance-index from the new line-seize
      subscription overwrites the index left over from the expired one.
    (cherry picked from commit 43cc6015e8604e309672da4d754b5022d1e256c9)

commit 47aeade304e6731354ff190eb07b2e01a8059a25
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Wed Apr 3 14:46:27 2013 -0400

    modules/sca: fix SCA_CALL_INFO_EMPTY macro
    
    - test should be a logical OR, not AND.
    (cherry picked from commit 3339e7a5bd205599fed63f82536626732b3f23d9)

commit bbd4f9e7f4e27ecc73a5703c1a4acd0331a47f5c
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Fri Mar 15 17:01:23 2013 -0400

    modules/sca: process BYE without Call-Info from shared line.
    
    - Ciscos & Aastras don't seem include Call-Info header in BYE. Look up
      dialog by tags and release associated appearance-index.
    (cherry picked from commit 287cccf2af17e5f2f8fe09c41025b4d27bb4fda9)

commit eb130422b65cb4ed418c9ed0b9398a069fff397f
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Fri Mar 15 10:22:26 2013 -0400

    sca: reduce log level to DBG when replacing RURI when retrieving held call.
    (cherry picked from commit a51bc822f70f4185b55455456dc147205cbbbdc7)

commit 489fd1ba70db6aefc68f037eadf92877b1f2e6cf
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Fri Mar 1 16:33:59 2013 -0500

    sca: fix private hold handling
    
    - private hold call-info was being ignored in hold reINVITEs, causing
      inaccurate "active" notifications to go to subscribers.
    (cherry picked from commit 81b5473f5a191a5aa81295acf0d96a22160f7f31)

commit 888ea024de803c4d01be15cb30929339790a09ef
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Mon Mar 4 23:13:53 2013 -0500

    sca: fix regression dropping Expires header from SUBSCRIBE replies.
    
    - extra_headers.len lacked Expires header length after snprintf.
    (cherry picked from commit 3b557293a33f6f3003fdd62a45e02cf8736b534e)

commit 18593c16f5a4a7504a0de890b2bbc9025cff049f
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Sun Mar 3 17:01:53 2013 -0500

    sca: move SUBSCRIBE response handling to sca_subscription_reply
    
    - create necessary headers, pass to newly generic sca_reply function.
    (cherry picked from commit d528c27b6fa69530bfde4a6ce83c5d4dcc6499a5)

commit 08b6b184dcab912edf8d58d8867f74f13c50c2da
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Sun Mar 3 17:00:44 2013 -0500

    sca: reject out-of-dialog attempts to seize privately held call.
    
    - per spec, reject with 403 Forbidden.
    (cherry picked from commit e565748048d7a6b6fda0a28959e092380c5bc26a)

commit 5f017710a95d21ef89a936ca28ef73f5d80081e2
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Sun Mar 3 16:59:23 2013 -0500

    sca: make sca_reply a generic reply function.
    
    - take a pre-filled extra_headers parameter instead, add with add_lump_rpl.
    (cherry picked from commit d6d71b0e217226fe43491a0e9ba75ec0a6649cd5)

commit 8972be270b422a5a1eef39249162e2abcde0feda
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu Feb 14 16:55:36 2013 -0500

    sca: fix race condition when two endpoints seize same index simultaneously
    
    - return 480 Temporarily Unavailable to loser of race.
    (cherry picked from commit 522d06e75bf3c549af007701332f7db53a1b5ab6)

commit e2642ea25cc19344d6e3e7f71e9df1cd7ef2532d
Author: Peter Dunkley <peter.dunkley@crocodilertc.net>
Date:   Tue Oct 1 10:52:01 2013 +0100

    core: fix TCP connection leak
    
    - patch provided by Vitally Aleksandrov
    (cherry picked from commit 6cfd13cbddd1869ffbc947fdecd77d18a3fcb886)

commit a7e7d9277f503ab42055b4b3be130e3f4a6fcae1
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Mon Sep 30 10:44:27 2013 +0100

    modules/websocket: Fix connection leaks
    
    - Decrease the TCP connection reference count after each use
    (cherry picked from commit 27474179bdeef0ddaba05389f510446a387d85e1)
    
    Resolved conflicts due to new feeatures in master:
    
    	modules/websocket/ws_conn.c
    	modules/websocket/ws_handshake.c

commit d5eadc90ebdb6460b43d304de86a37893263ce2d
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Thu Jul 4 10:30:51 2013 +0100

    core: Fix connection leak with websockets
    
    - Decrease connection ref count after using connection
    (cherry picked from commit ffdae5987b99b9bfd39992d407a3a0a33aa772ab)

commit 1e774166724e0bdd2c43091b3b19c1b82d197242
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed Jul 3 10:39:32 2013 +0100

    modules/tls: Free TLS data for secure websocket connections
    (cherry picked from commit 074f12c5a444188aa023797ac70e2d38d225cb18)

commit 76319cf9600b71364e3cd6509f61da2f60b2f10f
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed Jul 3 10:46:44 2013 +0100

    modules/websocket: Fix pkg memory leaks
    
    - Fix pkg memory leaks in error cases
    - Fix incorrect memory allocation size for ws connections
    - Fix typo in websocket stats
    (cherry picked from commit d0f88e19577d9b914922f83049075b7786f3d8df)

commit 77a53b8df680808a20c73953f1e5348df5d309d2
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Thu Jul 4 09:33:56 2013 +0100

    core: Improve tcp stats output
    
    - Add connection ref count
    - Add websocket protocols
    (cherry picked from commit fb4dc4b7b866239a90a4d6441ed319664697edab)

commit 052dfbe29933bf773ba5d109a530c2b2f7ecb59c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 19 15:59:18 2013 +0200

    pkg: kamailio - provide -f $CFGFILE to init.d config check function
    
    - reported by Grant Bagdasarian
    
    (cherry picked from commit f7fe8b68ffb100fbaa27344e4bee7ba69c760584)

commit 38157fdbdadd1ff2a0ac902088082ad96b0c2f04
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 19 14:06:46 2013 +0200

    core: reset fields from sip_msg_t in shm cloned structure
    
    - instance was pointing to pkg

commit 1550ce9a0ffa012daf413a0abee5d80bd7cc60de
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 19 14:05:21 2013 +0200

    tm: reset faked request fields that can be set in failure handlers

commit 3ca71bbf4f61c83d8e82c988d0789d147f81f30b
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed Sep 18 21:34:16 2013 +0100

    modules/sdpops: Check for valid sdp body in sdp_remove_line_by_prefix
    
    - Fixes crash when used on requests with no body

commit 84b21f2e9f602032d5950069cbd1dbf3ac416fcb
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed Sep 18 21:58:12 2013 +0100

    modules/app_lua: Fix off-by-one error in modf
    
    - Fixes calling sr.modf with additional parameters

commit 8ffa88060ebfd0634c0cebfea43189a8e1545b4b
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Sep 18 08:29:41 2013 +0300

    modules/lcr: fixed checking of IPv4 address in to_any_gw_2 function

commit a331af11519765e863ddad68878f7c5d571d0823
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Sun Sep 15 16:38:34 2013 -0400

    xhttp_pi: fix crash when checking bad configs
    (cherry picked from commit d1219dc0d0c5e2eab0672a439aa7ce6486c31ba3)

commit c79fb705391b90813a501165049ac79aff80928f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Sep 14 11:08:23 2013 +0200

    tm: docs - no event_routes.xml in this version
    
    - readme regenerated

commit 07a8f0da3d8f3d1ec4b3e4e88db485e5015a31f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Sep 14 09:46:23 2013 +0200

    tm: added missing documentation for t_check_status()
    
    (cherry picked from commit f328b864418020b1e166b13804fe173110500d75)
    
    Conflicts:
    	modules/tm/doc/functions.xml

commit 120b736c14b3dae780cfc9ef7fc8fd1c79d32d92
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 10 14:14:52 2013 +0200

    kamdbctl: added missing dbuid tables group creation
    
    - patch by elactrum [at] jamailca.com
    (cherry picked from commit 6f17209a70e84d91976ea42b476ae248b9b37501)

commit 51f40460096d9c249ce34d9b4fbecf366b5f974e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Sep 9 16:52:47 2013 +0200

    uac_redirect: get_redirect() check reason value before using it.
    
    This fix a core dump when get_redirects() config fuction is called with just
    the one parameter.
    (cherry picked from commit abf0026782c0ba4643feb25ded022e8c12725584)

commit 9c8fd38683d9f6531b0d6ee966d81d878095bf6a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 22:59:13 2013 +0200

    registrar: reset r-uri pointer after backup in lookup_branches()
    
    - otherwise can be invalidated by next branch lookup
    
    (cherry picked from commit 9b44e4b48862947f2ea634c6dd611ce7c07546a2)

commit d8739609c85cb00da9486b3f91d0c4834048485f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 13:04:23 2013 +0200

    topoh: safety check for missing To header
    
    - based on a patch by Michel de Weerd, FS#303
    
    (cherry picked from commit 362d374a61953aee3cf9f96eadaef63c5f22763e)

commit 756e30f5c33ef4ab122b333b4d1b6ce80cec0f2f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 12:33:45 2013 +0200

    db_postgres: use variable for make tool in module Makefile
    
    - fixes builds in BSD systems
    - patch by Victor (coyote), FS#335
    
    (cherry picked from commit 7abd496560c6274680d451f49355ad1f6a14a6a7)

commit 796d53ddec3fe12dcb93d4a4c293de0f610581d5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 11:54:07 2013 +0200

    tm: readme regenerated from xml files

commit e7a00bb913fc24be894a668317dd2f2ac143cbed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 11:53:28 2013 +0200

    tm: updated xml docs with t_set_disable_internal_reply()
    
    - backported from 6073949aa224ea7a973058891a88a58cc0841860

commit 55587b6bd035f2ab10f73c6c9bde95628688e799
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 23 21:03:13 2013 +0200

    tm: removed note about no-implentation for no-reply flag for t_relay_to()
    
    (cherry picked from commit ef9b69bbb54302e9985dd37d79831b6f80463fc1)

commit 98ba4cec3ca2caef40725c3884e7dd5693d6c3c1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 11:44:23 2013 +0200

    rtpproxy: updated rtpproxy_manage() to handle PRACKs with sdp
    
    (cherry picked from commit 2aa5095252f9434c7c2a63ecb130bdaf1346fde9)

commit 3d836040bdb6d191e6f6a54e37fe680e1e3973d0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 4 11:47:36 2013 +0200

    tm: re-added the option for no-internal reply on error
    
    - new function t_set_disable_internal_reply(0|1) to disable|enable this
      option per transaction
    - t_relay_to() flags re-enabled for this option
    - backport of 0f2f9c85eff0b6ad35b4c58dfcde74c8a65559d6

commit 2a224a569cea270d8db84438f163b9f309569df9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 22 00:14:53 2013 +0200

    core: print src address details if initial message parsing fails
    
    - reported by Juha Heinanen
    
    (cherry picked from commit 3ccf4b43e81bd2654cb306a3c2cc21b97cb51f62)

commit fd4a2dde96a692c165f382839c3bef8636dfd9e2
Author: Juha Heinanen <jh@tutpro.com>
Date:   Thu Aug 22 08:20:52 2013 +0300

    modules/lcr: added some linefeed chars missing from syslog messages
    
    - Patch provided by Kevin Scott Adams.
    (cherry picked from commit d03651fb4c3a6b50923029e121eed201fb1ff550)


===================== 2013-08-15 Version 4.0.3 Released =====================

===================== Changes Since Version 4.0.2 ===========================

commit a75a8a140e53ef8cee58d670b3954e7ac4cdb1b8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 15 15:33:55 2013 +0200

    Makefile.defs: version set to 4.0.3

commit c67ac0b5ef5183947acf02d496eb5899dad0ba9b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 16 17:17:36 2013 +0200

    topoh: safety check for To header
    
    - protection for the case when sanity module checks are not enabled
    - reported in FS#303 by Michel de Weerd
    
    (cherry picked from commit 4f3d04d547c66a1b59398cf80e93974175141514)

commit 2ffedf0e6bd3d9231988fbb70153bd6d72ae63ab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 4 11:48:26 2013 +0200

    tm: avoid double execution of response-in callbacks
    
    - double execution of response-in callbacks could happen when using tm
      pvs inside core reply route, being done in transaction matching
      function, which is executed again by tm reply received function
    
    (cherry picked from commit d4cef7f5e49105c65df9651a1ad086b035f8ffdb)

commit 9e231ae7f6a80abf686448e1593195b9012c2e8c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 4 11:47:18 2013 +0200

    core: new internam sip msg flag FL_TM_RPL_MATCHED
    
    - mark sip reply when matched first time by tm
    - used to avoid double execution of response-in callbacks
    
    (cherry picked from commit 230a138991b25f7f9b07b4f9cbeffbdd6acef2e8)

commit 58322807c275ce07be6a339dd5db2416f1905470
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jul 20 10:01:25 2013 +0200

    Makefile: sercmd renamed to kamcmd in uninstall option
    
    (cherry picked from commit ab601ea9a1b2561c2eaa860583cdeed478b9ea8d)

commit 17f2611e668af139399c21677d3503c0c5a6a860
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Aug 4 14:22:41 2013 +0200

    imc: wrap bit shift defines in parenthesis
    
    - avoid priority conflicts when using the defines
    - reported by Shankar
    
    (cherry picked from commit e6e0419a46c3e5127d07c95390931d10b2a01c3b)

commit 75e20d79763094fccaacddf127699ce9f22e973a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 15 10:38:26 2013 +0200

    pkg/rpm: version set to 4.0.3 in spec files

commit 701b5faef517a65208907e771d2c3b7b015afb19
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 15 10:37:15 2013 +0200

    pkg/deb: version set to 4.0.3 in spec files

commit 3898507f56eefe5c9d8e72b37280e0d133f6e357
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 13 09:37:21 2013 +0200

    usrloc: safety checks to catch empty ruid
    
    (cherry picked from commit b0e9132ccd1e8385b8b4faf72db806320d48e2f5)

commit e59bb3303252c0b47f6027ae2b99a11096521154
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 13 09:19:02 2013 +0200

    usrloc: more verbose log messages in case of failure to update db records
    
    (cherry picked from commit 66c8e730d59f9816f09573f5300e4463e5997876)

commit d3be7fa1c47d12a1eb6e725729c6a0a2e481bc63
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Mon Aug 12 11:05:55 2013 +0100

    rls: Fix memory leak in rls notify.c
    
    - xml is leaked in an error case

commit a72a01a1cac4bd17e0aa91912ab158e73908d561
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Mon Aug 12 11:15:55 2013 +0100

    presence: Iterate correctly around presence updates
    
    - timer_send_notify should increment the subset by one on each loop

commit 6abd4b4d1eeea2c57a8bcfb071fadaca21efc20f
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Tue Jul 16 10:51:29 2013 +0100

    outbound: Fix freeing null pointer in destroy function
    
    - Only appears in error cases, e.g. syntax check
    (cherry picked from commit e88af0a02de79fac583c126f08d762f7ef3f1b01)

commit d2f62dd1855faef35bea8eff932d250557868ae5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 1 15:58:59 2013 +0200

    db_flatstore: free id pointer if no more space for table name
    
    - related to previus commit on this module
    - keep table name null terminated
    
    (cherry picked from commit 6a981d3d922c914054d4c8dc7e672bb6a4ddb5f5)

commit c50d559b4da94238a430c059dd02d74e63dd96fe
Author: Federico Cabiddu <fcabiddu@orange-vallee.net>
Date:   Mon Jul 29 07:59:34 2013 +0200

    db_flatstore: fixup for new_flat_id function
    
    - locally copy table's name
    
    (cherry picked from commit 8fb0f711aaa611eac8b2776c7e5ae3c5e19243ac)

commit 76b82480f74006d830afc9c9ae81ada25dbc7730
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 26 14:52:21 2013 +0200

    uac_redirect: fixup for using acc table parameter
    
    - set reason parameter for acc function
    - based on a patch by  Federico Cabiddu, FS#327
    
    (cherry picked from commit 3d33733f299dda595704108aef73a2912dc3069f)

commit ece14d42fda4baefc4f0e8465faad17b678a6a4b
Author: Federico Cabiddu <fcabiddu@orange-vallee.net>
Date:   Mon Jul 29 07:59:13 2013 +0200

    acc: acc_db_set_table_name fixup
    
    - add termination char to db_table_name_buf
    
    (cherry picked from commit 7ba6cbfcaf70cb546ea3a9f148a0f0b0bc38c16d)

commit ea266beb3d678b36efeb82feeba6087df90d9f19
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 26 14:55:38 2013 +0200

    acc: safety check for accounted values not to be NULL
    
    - based on a patch by  Federico Cabiddu, FS#327
    
    (cherry picked from commit fb3a5f7022ebd20fc516b5b8303a0274bda18258)

commit 9f0a42dd31d765541c02d2b818dd52643589f59d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 2 23:32:37 2013 +0200

    dialog: detect if no trasaction is created after config execution for new dialogs
    
    - release the dialog to avoid endless storage in state 1
    
    (cherry picked from commit fa0339b1906690f009786fc9ed92c73a8c9e6520)

commit 369164c689950595b7e35c36a810ecd41aaa7a0a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 1 15:22:33 2013 +0200

    dialog: increment cseq in early stage for PRACK and UPDATE
    
    - rework from a patch by Halina Nowak
    
    (cherry picked from commit 6cf3ab0ca6f38d1d2e60dbc644bb4d2fb563919a)

commit 91f64af86eebde4a179a4d9cb6837994a587a967
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 1 14:51:03 2013 +0200

    dialog: avoid realloc of memory for cseq when setting leg info
    
    - free already allocated structs when needed
    - has part of a patch by Halina Nowak
    
    (cherry picked from commit 71d7dc6bc750406d510e0571e05da3966911cfea)

commit 573096ad14c34364dad160bffd7e7ed5d007f5f6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 1 14:44:45 2013 +0200

    dialog: fixed callee cseq reference
    
    - part of patch by Halina Nowak
    
    (cherry picked from commit ed6dbb0ca11206049bee9ab515ce071eb70e7b63)

commit 3935fedf23f3bf2b6675182193cef6af3bbd903a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 31 12:22:12 2013 +0200

    app_perl: push the sip msg structure to perl after initializing it
    
    - reported by David Cunningham
    
    (cherry picked from commit 341f810dca0cc0596e22f2ac1bca86de0b8d142d)

commit 3438215263f20f63f0e69121113999f952334886
Author: Camille Oudot <camille.oudot@orange.com>
Date:   Tue Jul 23 11:11:01 2013 +0200

    modules/ims_registrar_scscf: safety check in async_cdp_callback
    
    (cherry-picked from commit 1aea13af9b3eea3788e90411bd94cb9e0b0c4ea3)

commit 4471593e5f6e292d205bd84fb5912088bde32870
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 25 10:14:55 2013 +0200

    app_perl: move initialization of SIP message var after initialization of temporary environment
    
    - upon a report by David Cunningham of a leak in operating system
      memory
    
    (cherry picked from commit 6ff74701652a11497bd82ee3ba2ac7547d1ce666)

commit 86864275e240be94d901fe21dde2472701e1669e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 17 20:19:28 2013 +0200

    uac: restrict check of multiple from/to header changes to request route blocks
    
    - it can occur many times in due to branch route usage
    - reported by Andrew Pogrebennyk, FS#323
    
    (cherry picked from commit d3a0a8b15af59846fdaee5d9ceae61484f1d7301)

commit b7e890b309331a13eb92c5080d276036be5833ae
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 17 00:04:06 2013 +0200

    presence_dialoginfo: add schema to entity
    
    - patch by Pawel Sternal, FS#324
    
    (cherry picked from commit 716ffd2787a68734a21a1374c3dc6dd4783844bd)

commit b87040d6839985ceb107e4a097df71afd8c69fa5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 16 21:43:42 2013 +0200

    usrloc: fixed type for db_ops_parameter
    
    - reported by Alex Hermann

commit fb9a6ff96355093baa59c4f0c5c8505cb7d29311
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Apr 27 18:07:21 2013 +0300

    modules/usrloc: fixed typo in db_ops_ruid param name
    
    (cherry picked from commit edebc03f65445f968accb58b5a761817aaee55e8)

commit f8826df994a6baac9cfee219abafa3e1b82ee4f8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 12 00:44:51 2013 +0200

    core: avoid doing dns srv again after naptr function that includes srv lookup
    
    (cherry picked from commit 80935f9e8bbe20e5c320828183999b5d395ec34c)

commit d821224ff33e7f7c43c6598482ab0870f728e763
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Jul 6 20:22:41 2013 +0200

    modules/nathelper: remove natping_proceses limit
    (cherry picked from commit edb00b0566595b509a7cdf9a1c7455ce6ee6c4c8)

commit 3612981970e8002b3ab7f7d0324354e282205e2b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 11 14:36:02 2013 +0200

    pipelimit: avoid double locking when changing pipe via rpc
    
    (cherry picked from commit 0c6fef5fdc2a586ebfa607d3b5344266c08ca996)

commit 5e11ebf34bd525f02c7ff08b9520382c3aaf00f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 11 14:32:48 2013 +0200

    pipelimit: avoid double locking when changing pipe via mi
    
    - reported by Krischan Udelhoven, FS#315
    
    (cherry picked from commit 04fd56dc1b84b70a04438ccbf719eb85177524ad)

commit d8c3a23ad2a5c925b16d75f33fcb865f09d7f308
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 3 23:29:29 2013 +0200

    uac_redirect: adapted previous backport to append_branch() prototype for v4.0

commit 0227f5b61e1ea03e92a7fec9b177f602481fac84
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 3 23:23:40 2013 +0200

    uac_redirect: fetch all contact headers in redirect replies
    
    - only first header was considered for redirect handling
    - based on a report by Geoffrey Mina
    - generate fake ruid (used as instance and user-agent) to satisfy the
      requirements of t_load_contacts()/t_next_contacts()
    
    (cherry picked from commit c5081ad634742d88e56e4fcc097b756098119e4e)

commit c4b51e9f51b4b2c4e908b4c4dc33b824021f1ca1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 17 11:00:29 2013 +0200

    pipelimit: fixed typo in module parameter name
    
    - patch by Krischan Udelhoven
    
    (cherry picked from commit c5573dddc4c11898fb68365e9a311aff0f1690c8)

===================== 2013-06-12 Version 4.0.2 Released =====================

===================== Changes Since Version 4.0.1 ===========================

commit f6fc38aab505aab1301024b58581ebec9a7181c4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 12 15:50:45 2013 +0200

    Makefile.defs: version set to 4.0.2

commit d4df824c3f16cf934d9056e94f8f44ae0bf3016f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 12 12:29:39 2013 +0200

    pkg/rpm: version set to 4.0.2 in spec files

commit 963fcd0ccfac6cccdc27b3a2d7a14d207ed7c516
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 12 12:29:16 2013 +0200

    pkg/deb: version set to 4.0.2 in spec files

commit d54024f873c641c21da197ee7eb3a49746f58229
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 12 09:14:14 2013 +0200

    registrar: regenerated the readme file

commit 81b61679cabd2470becf86700b777cc496f1d330
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 12 09:11:56 2013 +0200

    mtree: use debug level for log message when invalid character in value to be matched
    
    - more verbose message when an invalid database record is found

commit 6b0d759f0dabf36c529c6c7d22c8333e7a8731e1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 11 18:39:31 2013 +0200

    registrar: fixed typo in example of xavp_rcd parameter
    (cherry picked from commit c228851e068a080050c79107c760f8ab5ffae967)

commit 3f1f50068b96ea4bde1a7255842bf07683cbed8a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 11 18:37:32 2013 +0200

    registrar: more debug messages when adding ruid xavp
    
    - free local ruid xavp if cannot be added to root list
    (cherry picked from commit 9589466916305146fb4f982542c3f3a51126dcef)

commit 56ba8ea8b1f1f26ccc36dfb073e1559eca4d77b1
Author: Camille Oudot <camille.oudot@orange.com>
Date:   Tue Jun 11 16:34:49 2013 +0200

    modules/ims_isc: several safety checks
    
    - fixed potential buffer overflow
    - fixed potential crash if regcomp fails

commit 9ee53f2abe580026c83d62b0edf1f6288dc0111a
Author: Vicente Hernando <vhernando@systemonenoc.com>
Date:   Mon Jun 10 12:14:54 2013 +0200

    app_lua: solve crash when setting a variable not convertible to string.
    (cherry picked from commit 4af0bc13901525a5638c2c64b863f377e033903f)

commit c3f4bda21273a5172dbfe048c5a1a14216f6d047
Author: Camille Oudot <camille.oudot@orange.com>
Date:   Tue May 28 17:53:07 2013 +0200

    modules/ims_registrar_scscf: safety check for log line when recieving an SAR_UNREGISTERED_USER response

commit 1fefe2feae9fec5621d949fe3857fcf8fb62068e
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Jun 7 12:09:38 2013 -0400

    Makefile: update de-stable target: squeeze -> wheezy
    (cherry picked from commit fd8dfb71d0eeae891ad0c83ff332929d54f3a3ec)

commit a9089d05121e05287ce91fddb12769acfae866c8
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Jun 7 11:17:10 2013 -0400

    nathelper: fix IPV6 compiler warning

commit 21747d786a4e0f8f606baeeb4f39166d351b824b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 6 11:47:10 2013 +0200

    cfgutils: updated docs to specify correct time unit for usleep
    
    - it is microseconds, pointed by David K
    (cherry picked from commit 8e937d260d0ff41f50be56e0a46ede44554f3f99)

commit e52f1d6e5702bce8031d224f006627ab3fc3f859
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 6 09:09:14 2013 +0200

    kamailio.cfg: reset $du for voicemail re-routing in failure route
    (cherry picked from commit c4b29f6fac6155b9b087737df5956b687ff4e36a)

commit 3dc0b79993863f7399b1cb579d81f3637370e35a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 5 22:44:13 2013 +0200

    kamailio.cfg: few updates related to nat traversal
    
    - added "co" flags to rtpproxy_manage() to change all IPs in sdp, many
      phone get confused if only media ip is changed
    - add nat=yes parameter only for in branch route to avoid multiple
      occurences
    (cherry picked from commit 0193489cca56f58b512f5379c078c98a366c17e2)

commit 72b483393b5e7c85096a79fd999caf17edde69b6
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Wed Jun 5 08:58:29 2013 +0200

    module/ims_auth: protection against crash if there is no auth vector initialised.
    	- patch submitted by Camille Oudot
    (cherry picked from commit 4b65964dbe1f38bcf867301d43933f9bbf91ab7d)

commit 51fc2140e1d0708ed213d4903552c2f98a39a5da
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 3 20:53:05 2013 +0200

    dialog: shift next timer run for keepalives of dialog
    
    - reported by Daniel Tryba
    (cherry picked from commit a17a32e5f7a3120c200d6e48fe91d7aa1dfd28b1)

commit de9607079be932be6effe40573b3219724f4393e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 27 16:54:02 2013 +0200

    core: enclose uri in angle brakets for redirect contact header
    
    - safer for uri with parameters and no q
    - reported by Dan Bogos
    (cherry picked from commit 74bf08ef30cf18fb609c2c067584f1515ede23da)

commit f01889d6e717892d38df8c267e20c269dbc83b0e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 26 10:43:24 2013 +0200

    dmq: many safety checks for mem mallocs and function return codes
    
    - added license header in the files
    (cherry picked from commit 1977645ceb12ca2d0f2f767046606f6c5ae2c3bb)

commit 2c04dd88c8911f3a67f3f94a5ad11b1ab865aca9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 25 16:30:33 2013 +0200

    protoshoot: use Makefile pattern for utils
    
    - link to libsctp if SCTP support is enabled
    (cherry picked from commit 1bdbdb64e4862ddb69c2bf13be0f9be93968bb1e)

commit cd1120c6500bb396af9b5410ecd535160c2ba9d7
Author: Konstantin Mosesov <ez@voipgroup.org.ua>
Date:   Sat May 18 13:56:22 2013 +0300

    parser/sdp: Fixed segfault in sdp_print() when no SDP body.
    
    - Failed scenario:
    remove_body();
    msg_apply_changes();
    sdp_print("1");
    
    - Result: sdp=0x0
    (cherry picked from commit e81b3aac19ab567813d6cb21fcba3d9bd6e1cc90)

commit edde8d20806aca248e3a1c1e439084988d62d361
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 17 00:46:42 2013 +0200

    core: fixed printing function name in log message
    
    - based on http://gcc.gnu.org/onlinedocs/gcc/Function-Names.html
    (cherry picked from commit e081c2880b46174ad836ab1f56e3062bb17b4332)

commit 959cab2009427fd850318980914dd0e91b3cbff8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 15 22:45:18 2013 +0200

    pv: clone result of several string transformations
    
    - it is safer for assigning back to the same variable on which the
      transformation was applied
    - reported by Martin Mikkelsen
    (cherry picked from commit fe7e4a5152674aa9c81c09dd2fc9938d9e9e762e)

commit c3017b2e79e47edd88f2b4917afd4794d4e6ef11
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 14 19:52:45 2013 +0200

    utils/misc: updated vim syntax file
    (cherry picked from commit 6038bae188863f541994976d299c38f50b0a699b)

commit 90a8f28c01d804dccc50112af3235fb886e57d89
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 13 10:59:20 2013 +0200

    core: debug message to show mapping of routing block names to ids
    (cherry picked from commit 80e8058d9acea7c994819d043456fd1b449b048b)

commit 369143aeeab0761edd70ab42cbac5648194f8a55
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sun May 12 16:10:40 2013 +0300

    modules/presence: downgraded unsupported event syslog message
    
    - Downgraded unsupported event syslog message from error to notice.
    (cherry picked from commit afdae93c5eba15496498be292c0c99608d801757)

commit 2c4bc8619c61993c02eccaada7dca5f5c84199af
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 7 19:15:36 2013 +0200

    core: get rid of deferencing type-punned warning in deb wheezy
    
    - reported by Victor Seva
    (cherry picked from commit 81d3eebd51089686949ab22da60166d4f3a460a7)

commit 62071fddff1793254e3d615ccb956bbb7ce5ccca
Author: Henning Westerholt <hw@kamailio.org>
Date:   Thu May 2 21:17:57 2013 +0200

    mangler: fix double definition of contact_flds_separator, reported from ld
    (cherry picked from commit 003d87edc23f62de98a1a22db03b12ea58abcbc6)

commit bb9a8ea4dcff649c06395efbe4f3aa2cc4f269f5
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Apr 29 20:54:52 2013 +0100

    modules/websocket: fixed mandatory headers check
    (cherry picked from commit 8f74c57605fdd1d31c7808a3b8afc79cc981b370)

commit 61f68eae79b09898cec4a90f298c562f4c2f9a93
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Apr 29 20:38:06 2013 +0100

    modules/websocket: doubled the size of the buffer for adding headers to WebSocket handshake responses
    (cherry picked from commit a2e7f65ee8b86d37a6772619ae10087a05219192)

commit 6eb6d92af2fe55d14b255bb5c5c939cc2f78ba79
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 7 11:00:51 2013 +0200

    modules/rr: completely reverted after_strict() to its pre-outbound form
    
    - backported from c9448d9657f0e5792072c6803643c8d9075d711a by Peter
      Dunkley

commit 4b8f5eea61310a7d2545d06d513697b0c8631289
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Jun 6 15:21:19 2013 -0400

    registrar: print bogus AoR in error log
    (cherry picked from commit e41230071e367015ecf794c147c60fda0bcd1907)

commit 3a64a12e056670766da7e49a0275c1240d6d229a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 31 17:05:40 2013 +0200

    pua: release lock on not finding temp dialog
    
    - patch by Halina Nowak
    (cherry picked from commit 09cc2207b265d51dcbc28279623bf9c597fa3b46)

commit be5c2e31c6498d916762b87b6d5e76403f9f1824
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 15:49:52 2013 +0100

    documentation: Rebuild auth README

commit 6978f42ae854385b437f637f7e6ce3fced33474c
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 15:46:18 2013 +0100

    documentation: Rebuild all modified READMEs

commit 96aff46759acd1df1a585866c1ce9295cb2810b1
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:10:31 2013 +0100

    auth_identity: Fix TOC in documentation
    (cherry picked from commit d4743ac526184ce3234518234ca77c715ca2f6b6)

commit 203ba3e9c51852b245448ab44f4a7c181919cd33
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:11:23 2013 +0100

    avp: Fix TOC in documentation
    (cherry picked from commit 973973bef43acac5cdbae930427b6e347746a337)

commit ce1da89afedc38e606446527bf218ea9eb032221
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:37:03 2013 +0100

    blst: Fix TOC in documentation
    (cherry picked from commit f53afaaf8c7fe65507ebe179a05049c64b380632)

commit 479199a575a3cb4a8385cbf8ad8ece5d798e09f1
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:37:26 2013 +0100

    cfg_db: Fix TOC in documentation
    (cherry picked from commit c209510de26aadc7ff01506dca42ec0b39904f0a)

commit 3d6e26cd8b2188b6236c98977c4c312c2320d3bd
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:37:45 2013 +0100

    cfg_rpc: Fix TOC in documentation
    (cherry picked from commit ca060e774dd95b0831b2efeea9b355ba3a4fc068)

commit 67716c6c5cf5fbe89e69df5dc86db0f7dce7ed3c
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:38:07 2013 +0100

    counters: Fix TOC in documentation
    (cherry picked from commit 2980ba3881325102835297bc5cdf5b3199a8f9b7)

commit 183562260acce4b5fcaeb1831b4c50757dfb9dbd
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:38:25 2013 +0100

    ctl: Fix TOC in documentation
    (cherry picked from commit cff735c7d4933d8fac54471897173a6b6c75bd4f)

commit 43e15fa83ef1e5b043f1d2aca69864030f21dc81
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:38:43 2013 +0100

    db2_ldap: Fix TOC in documentation
    (cherry picked from commit 2e4e4d54015f850b377beb30a72cc4e0b2cb1cce)

commit e6ee88798b26af044afe5d407cdb4c637171fb70
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:39:45 2013 +0100

    db2_ops: Fix TOC in documentation
    (cherry picked from commit f29709478f3492741803cf8ce100d6aa843de6be)

commit d680a29621d81e4bd99a79c20474ff275eb364ee
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:40:06 2013 +0100

    db_flatstore: Fix TOC in documentation
    (cherry picked from commit 86b0c38c38822c93ccd3f2a80f629f35c83877bf)

commit 2483b36569ca27db9e1952afdf9de6a838de3b4b
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:40:31 2013 +0100

    iptrtpproxy: Fix TOC in documentation
    (cherry picked from commit aaa7c1ca5b61ab156dc548647b5021cdfce79df8)

commit f281fc57de32fe4ed23e5cfc44039ec4d83b43e3
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:40:54 2013 +0100

    malloc_test: Fix TOC in documentation
    (cherry picked from commit fa90c51bb3c1eace5ca3ef75bb0656ad00512081)

commit f2d0437086f2208036affbf4a6a43fd5c47f27aa
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:41:28 2013 +0100

    mangler: Fix TOC in documentation
    (cherry picked from commit 0587120366a1e434c4b037aa9aea13ad47c00949)

commit 88ba330fff5556d893a426acc1c1b96b1443ca72
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:41:51 2013 +0100

    prefix_route: Fix TOC in documentation
    (cherry picked from commit 0fec2b0e212a3578474ce4eb7165d218a5008741)

commit 2b73d4a7a584891e3ce4087002418039bfcfa842
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:42:05 2013 +0100

    print: Fix TOC in documentation
    (cherry picked from commit 2a7b143ac5e16da2ef5a1b249a041a009fe2403c)

commit 36fcb32c129a43bd8056a7b8bc3e0b44e0f266d0
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:42:20 2013 +0100

    print_lib: Fix TOC in documentation
    (cherry picked from commit c6a6057ad0a121b5fb756c05ebe7ae8819ad1eea)

commit adaa412871b4e489ff41ba585365711cf2df5965
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:42:35 2013 +0100

    sanity: Fix TOC in documentation
    (cherry picked from commit 0428706c4c8ebb8ab55e29acea02e574a3f7301f)

commit 461b1e248f0d3f749282f2145c4176bb979b5e66
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:42:54 2013 +0100

    sl: Fix TOC in documentation
    (cherry picked from commit 47c467fd2ea2351112acadd1f2b7317b97a15a86)

commit de89f88a99ce546c73a4dcf52c37c42078dce972
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:43:09 2013 +0100

    sms: Fix TOC in documentation
    (cherry picked from commit 30a01b64344ae050a79cce83f56de56032580138)

commit d115fa0291aa927f2ff8ceec67f29732c7faa69b
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:43:24 2013 +0100

    textopsx: Fix TOC in documentation
    (cherry picked from commit ec8c442d890d875cc412b24fdfafc4bac2d43d7e)

commit 07f8341cc900dcb3b1c794f90d661619ce9d96bf
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:43:42 2013 +0100

    timer: Fix TOC in documentation
    (cherry picked from commit e7b02dfc716f39465600170059559af042642062)

commit b66db21b7ece75e8ab241a2c3e910c606bca8519
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:43:57 2013 +0100

    tls: Fix TOC in documentation
    (cherry picked from commit 935607223847032559156c22e0a0988fd32e9d17)

commit 04b1687078f26fceb7b50384c0b2f1f4a349e4a1
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 15:10:38 2013 +0100

    tm: Fix TOC in documentation

commit 7e3b141db106062141e18365601039ed382125e7
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:44:28 2013 +0100

    xmlops: Fix TOC in documentation
    (cherry picked from commit 285142447f23aa317a0a0d5b3e6e57d3afa78961)

commit 5b0dc97812273d4f2cde2e4fd63df5c29c84165b
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:44:45 2013 +0100

    xprint: Fix TOC in documentation
    (cherry picked from commit 3a1c8104aca76ee1d0f3565c1179c67685d5e838)

commit fc0b618fe2dfc8c54093e61c763bd3052fb27a86
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:45:28 2013 +0100

    uid_auth_db: Fix TOC in documentation
    (cherry picked from commit 740e37bd1f6e2370bae02b5e8d6d4fab8e89eaa9)

commit 665573c8561aa69641b64062b2b5cd720914c925
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:45:49 2013 +0100

    uid_avp_db: Fix TOC in documentation
    (cherry picked from commit bdfb7274ffeffaf99ad8b4aeebf9b9493685f7b7)

commit 6e996037deb698e8cb40a010c45004136ce74f7f
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:46:04 2013 +0100

    uid_domain: Fix TOC in documentation
    (cherry picked from commit a20b97560d35f367b0a8d8b203e9566e42acde52)

commit 0f1f2f37546f6c4b0f7c7a27df684a81c8e5a8fa
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:46:24 2013 +0100

    uid_gflags: Fix TOC in documentation
    (cherry picked from commit 396363a78875af7fc6444705d5482d579d5ac0c5)

commit 27e630e4fa8346b19f712ee5b7c5028bbfbf20ef
Author: Hugh Waite <hugh.waite@crocodile-rcs.com>
Date:   Wed May 29 14:46:40 2013 +0100

    uid_uri_db: Fix TOC in documentation
    (cherry picked from commit 10d5ed156a59d8e8a000bd7cecec5bf968853c69)

commit 817d5dfdd8fbae905c64c41672f197143b6f563c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 29 10:49:40 2013 +0200

    topoh: safety check for Via header when removed from script
    
    - reported by Guillaume Bour, FS#300
    (cherry picked from commit b480ac55508e5d9b92cc9560e0b1d338d04f3b11)

commit 3a431ed6b79762162a907164d4fa3b76c6b6aaa6
Author: Klaus Darilion <klaus.mailinglists@pernau.at>
Date:   Mon May 27 10:48:00 2013 +0000

    modules/dialog: regenerate README

commit 59adebfe3ae6f18a337833d0df62ee67e161bff5
Author: Klaus Darilion <klaus.mailinglists@pernau.at>
Date:   Mon May 27 10:44:03 2013 +0000

    modules/dialog: improve documentation of DID matching
    (cherry picked from commit 68209cc2b15c2c0674d7cf4529607e148e3fc1b4)

commit 533f2238d9d14ed8ef0a367ce574aef8052c0452
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 26 16:14:51 2013 +0200

    topoh: safety check for SIP messages
    
    - received callback can be executed for non-sip messages
    - reported by Julia
    (cherry picked from commit 352a7dccf2570af857d7e2e50fed600c4762278d)

commit b5f362f4ddbc932daad611996d3e9abf2d91cd12
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 23 12:06:45 2013 +0200

    auth: add chapter tag around sections for Admin Guide
    
    - the ToC isn't properly generated otherwise
    - reported by Andrew Pogrebennyk
    (cherry picked from commit 76c883eb88359f6075712f648a1dfc675872487a)

commit 721b0adc4addad2ed2da1579af21fc9b66915ddc
Author: Klaus Darilion <klaus.mailinglists@pernau.at>
Date:   Tue May 21 12:39:15 2013 +0000

    modules/auth_db: detailed documentation of URI checking in auth_check function

commit 9a75da1e9a302868729b171ad76dcf15404487e5
Author: Vicente Hernando <vhernando@systemonenoc.com>
Date:   Fri May 17 12:34:54 2013 +0200

    modules/uac: update README after avoiding adding quotes in uac_replace_* functions

commit 5eced6635b0a2165c9c107fb6031901459159b2d
Author: Vicente Hernando <vhernando@systemonenoc.com>
Date:   Thu May 16 12:06:55 2013 +0200

    modules/uac: avoid adding double quotes in uac_replace_* functions
    
    - updated uac doc with a note and examples.
    (cherry picked from commit 251c0218e7d5e09f43a2b834a5450c20bb4f6d60)

commit 55f7def6b4ed889a27a19164faa0dd7f854fa983
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 25 14:50:41 2013 -0400

    snmpstats: fix cross-compilation
    (cherry picked from commit 5e96920289cbf448ac684d8cb1333d75f65a729a)

commit 70ab195f753956a3f891d992787a76c2c4ff643b
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sat Apr 6 22:04:51 2013 +0200

    snmpstats fix typo in Makefile.
    (cherry picked from commit bddf66407ef7521f3d1f1e941b4c1e104e59d1ef)

commit f86be5e0aa282dc58680f28d01161437901fa2c8
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sat Apr 6 22:02:48 2013 +0200

    snmpstats Add disabled section in Makefile for compilation on Centos systems
    
    Net-SNMP and snmpd can be built with embedded perl and libwrap support. If that's
    the case on your system you need to enable the EMBEDDED_PERL section in the
    Makefile. Maybe this could be enabled automatically.
    (cherry picked from commit 7bbf8fece2cc93c5b1ddd2c3dcc12e8a920dd54d)

commit f92eee8eecab6d0fa505011b20a57dea242fa982
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Mar 20 13:16:27 2013 -0400

    kamailio/utils/sercmd: remove unused but set variable
    (cherry picked from commit 67609608aa4306de9a34a28a3a31880ad0d17e8e)

commit 320bf55cbfea89b145d41c938f75a7bf70f40613
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Mar 20 13:15:08 2013 -0400

    kamailio/utils/sercmd: remove unused but set variable
    (cherry picked from commit b7a41ef47ad5d7fa90e577673cc2f38ab5ef2237)

commit 24e4d3dbd79ccb2e42aabcaaa17e391dc60d36d9
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Mar 20 13:13:27 2013 -0400

    kamailio/utils/sercmd: remove unused but set variable
    (cherry picked from commit ff94115921a08ba4da29baf2761db47bd0b7f8f5)

commit 5f9d169e797425b0501de42ba2af196018166c71
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Mar 20 13:23:49 2013 -0400

    p_usrloc: commenting out unused db_timer_udomain() to get rid of compiler warnings

commit 56b8856f84aebd86c4e78232f8f2f37fead7b4f3
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Sat Apr 13 15:37:18 2013 -0400

    tls: fix compiler warning
     - tls_config.c:61:19: warning: ât.val.sâ is used uninitialized in this function [-Wuninitialized]

commit 3a18564eb905d93b85b9e0527fa40cd85eb2e3b7
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Mar 20 13:02:16 2013 -0400

    auth_diameter: remove unused but set variable
    (cherry picked from commit 387adace552c22eaf15a049b23694bcd79cea3a8)

commit 68021c3247b096fabc287fc6d129bce463cbfa97
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Mar 20 13:00:27 2013 -0400

    auth_diameter: remove unused but set variable
    (cherry picked from commit 941c48ae6909994ae090c9d52766cd4dd5d4f938)

commit b654a0d650af61bd4ec7212b48d71ccf7243e473
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 18 16:03:50 2013 -0400

    seas: fix warning [-Wunused-result]
     - ignoring return value of write, declared with attribute warn_unused_result [-Wunused-result]
    (cherry picked from commit e3c0a3abb6045e841fbb4b1b61a518b2b87a217d)

commit d3999770dec8628a214423bcdcc510d90a39dc40
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 18 16:01:16 2013 -0400

    seas: fix compiler warning [-Wunused-but-set-variable]
    (cherry picked from commit c0f4b6cf664ac552d0c994e99adb13991a37ef28)

commit 3141c87bc4270ca2534250500dfdefa66c79a48f
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 18 15:54:14 2013 -0400

    seas: fix compiler warning [-Wunused-but-set-variable]
    (cherry picked from commit 12cd241d95b8d38cea6e60676b752f8ef8a2ed8c)

commit 2fe9c5d1f7b0640b1e50976f4187d7362d6a3343
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 18 15:51:50 2013 -0400

    seas: fix compiler warning [-Wunused-but-set-variable]
    (cherry picked from commit 21e51107a5a08b182abc7bffbac1fec1be27950b)

commit 250b90ed1ec6ee34e883a4cbf6ff55865752a2d9
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 18 15:50:25 2013 -0400

    seas: fix compiler warning:
     - warning: variable flags set but not used [-Wunused-but-set-variable]
    (cherry picked from commit 2abf2d4a42c05004319e682d2ad07d69bf2fc89e)

commit cb971e61a573d2a024ada52b6036a1cdc56ee68e
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 18 15:48:03 2013 -0400

    seas: fix compiler warning:
     - warning: variable flags set but not used [-Wunused-but-set-variable]
    (cherry picked from commit 21386829d819c06c42871cf5b68d0d3a63ef0222)

commit 15ec4ac4c0e815d648bbdf0e676227b93860f290
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 18 15:45:50 2013 -0400

    seas: fix compiler warning
     - warning: variable flags2 set but not used [-Wunused-but-set-variable]
    (cherry picked from commit 200eddad28abd6bc51da3285dd52d5f8c88c4e56)

commit d74129f1d80a38e29b152351d1c0cf4c1faffce4
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 18 15:42:40 2013 -0400

    seas: fix compiler warning:
     - warning: variable falgs set but not used [-Wunused-but-set-variable]
    (cherry picked from commit 63736be1e4d2d6e82a0f7be6a85a96ee66c10146)

commit 9374ee177e5c962eee8c47a1ff30683596114c7b
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Apr 18 14:09:09 2013 -0400

    dns_cache.c: fix compiler warnings
     - warningÃ¢sr_sums[*].r_sum may be used uninitialized in this function [-Wuninitialized]
     - warningÃ¢sr_sums[*].rr may be used uninitialized in this function [-Wuninitialized]
    (cherry picked from commit b3c8f92fe48ac90802c989c74c3a34cfea065861)

commit e7a8752ad427f8f23df25edc6bd2e7ba531ac6c4
Author: Juha Heinanen <jh@tutpro.com>
Date:   Fri May 3 19:53:12 2013 +0300

    modules/rls: added support for escaped chars in rls-services document
    (cherry picked from commit fa9b8664a3b7c7a035c738a37b8ef0ef44190cb8)

commit 19bcbfcacbc442488e93f8c684fd815323d3fcf7
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Mon Apr 29 11:26:18 2013 -0400

    db_mysql: add cast to remove compile warning

===================== 2013-04-25 Version 4.0.1 Released =====================

===================== Changes Since Version 4.0.0 ===========================

commit d293977786ae7831f89f7b8a09d22516775778b0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 25 16:50:15 2013 +0200

    Makefile.defs: version set to 4.0.1

commit 62188fa05724c4eafb4a5f192b070d9ffe22f5ae
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 25 12:10:47 2013 +0200

    pkg/rpm: updated version to 4.0.1 in rpm specs

commit aed7548d393f1562824a851d656d7b2789991cc9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 25 12:08:49 2013 +0200

    pkg/deb: updated version to 4.0.1 in deb specs

commit 4fdc69e6eb8b03c4a28c2cfea1d0ee37b26207e2
Author: Klaus Darilion <klaus.mailinglists@pernau.at>
Date:   Thu Apr 25 08:12:07 2013 +0000

    sipcapture/siptrace: set default db_url to read-write URL
    (cherry picked from commit 81f622b9ef7d32434659f1e6d9a21c8013cefec7)

commit 2c290ee29696f9c0c44fcaf04b8abd91d10c04a1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 25 09:55:16 2013 +0200

    modules/*: README regenerated for updates to db_url and wiki

commit 88a0733ed03ecd2f16aa32ba00d146d8b395a8f6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 24 17:26:15 2013 +0200

    usrloc: update call-id value in db when matching record by ruid
    (cherry picked from commit 0125cdf0e75271a8478a3eadacc54ea1c1eb4da0)

commit d87b33178e432726819e2b4c73a032d67d4a1d82
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 24 15:41:34 2013 +0200

    usrloc: documented db_ops_ruid parameter
    (cherry picked from commit e66842c2fc34d8dc8980efa821f7039685edef87)

commit 102a1108b9e3ed9415e4b25d45542faa2643329d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 24 15:34:16 2013 +0200

    usrloc: option to do db update/delete ops using ruid
    
    - new parameter db_obs_ruid - if set to 1, db update/delete operations
      are done using ruid value
    - if paramter set to 0 (default) the old style using aor, contact and
      call-id is done
    (cherry picked from commit 61e08282c905c2ee03a2be618b1e700fc0acbdeb)

commit 744a6dc1c93c8b16750f4ab25deb57a02889f1d0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 24 13:36:08 2013 +0200

    registrar: added debug message to print generated ruid for contact
    
    - formatted condition to fit 80 char long line
    (cherry picked from commit 735f83d6346c97d6f7b1da26a2fee1b6270872b1)

commit 17b858ac9b88de8859f9f1cbc76da146d8f125db
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 24 10:26:49 2013 +0200

    sqlops: use one char buf for empty strings in db results
    
    - safe for the parts of code that want to access it even for write
    (cherry picked from commit a74980270b655124c276279e54b8f82965f3f4b8)

commit 224cc7ee5c9b6349cbd9755341898a94d97fd958
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 13:02:49 2013 +0200

    usrloc: re-init sruid struct for each child
    
    - avoid overapping values for xmlrpc handling
    (cherry picked from commit 20646b530baa1a2807e52048a8d99d31d2171bb6)

commit 484444f4f90c725567a759252e2b3c11d53c8756
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 23 11:58:17 2013 +0200

    docbook: uptdated wiki link in entities file
    (cherry picked from commit 2b97e81b281802283ebc665da6f9190f0a9705ab)

commit 137bb73470ba78fc7761f7c786abcb0de5c54cc8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 21 16:06:56 2013 +0200

    acc: updated link to pseudo-variables cookbook
    (cherry picked from commit f0c467f64c044de0b0f37addccb97d3ccff78706)

commit 20fedafc2d10b8911b03dce9d5100f00ee5e3b9a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 21 16:07:34 2013 +0200

    pv: updated link to wiki site
    (cherry picked from commit ebeb18ffed8e81ae472b4c07097b58fbea115b5b)

commit 66ebdf5bc5075874b2a791c042b7221e493d72be
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 18 21:22:47 2013 +0200

    xlog: link to wiki updated
    (cherry picked from commit 343379957ab783a32c48822de479a9d8c2dafdf3)

commit 11f031d4570c124fbb01a01b6c7ce0757e032a84
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 14 10:11:29 2013 +0200

    auth: skip processing of PRACK in consume_credentials()
    
    - report and patch suggestions by Jorj Bauer
    (cherry picked from commit 2a77ed2bdc9341ecf7d7200e420a1f49e4e9b6ab)

commit a06c5b31f3a30c405a87bdd7be269152edf14c7b
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Apr 24 22:01:59 2013 +0100

    modules/presence_xml: fixed issue with parsing some pres-rules documents
    
    - pres-rules that contain external links in a <conditions /> node don't
      have to have <identity /> nodes in the <conditions /> node.
    - Kamailio returns an error when it finds a <conditions /> node with
      no <identity /> node inside it.
    - Kamailio doesn't support external links, but it should skip over
      the <conditions /> nodes that contain them rather than return
      an error as later <conditions /> nodes may contain entries it can
      work with.
    (cherry picked from commit ac99219b0a850e0305eaf661b028536cfc28e2cb)

commit a8991ef4b63c575a32807c3aacc7a076ae22d40d
Author: Klaus Darilion <klaus.mailinglists@pernau.at>
Date:   Wed Apr 24 09:09:25 2013 +0000

    core: fix default read-only DB URL
    (cherry picked from commit fdb6c8cbafec7849367f16f5dc56ffa20885bef4)

commit 9d39d8b86576ca9784b96ebb43161c3174754876
Author: Juha Heinanen <jh@tutpro.com>
Date:   Tue Apr 16 14:28:59 2013 +0300

    modules/usrloc: init _ul_sruid also in mi_child_init
    (cherry picked from commit 2190c572cd1bc4b57a3c2dd5241e556b834c728c)

commit a49467e98dc721a1e4dbd9ba547d72aa38018883
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 12 00:50:24 2013 +0200

    core: safety check for content-lenght size in tcp read
    
    - avoid getting negative
    - upon a report by Kevin Wojtysiak
    (cherry picked from commit 3c54420914c011bdd874a97c4c40ee9dacb59788)

commit b2b26c811a7275dbdba90236f3cfc874fd117681
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 9 00:15:47 2013 +0200

    rr: use port.len to check for buffer overflow instead of max port len
    
    - reported by Kevin Wojtysiak
    (cherry picked from commit 28a8b87885e373bee8cc81985277ae718973fdfd)

commit 95903a0f12e10e4852316eb52c8097fb8b30a308
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 9 00:21:44 2013 +0200

    .gitignore: added protoshoot binary the ignore list of git
    (cherry picked from commit a177a33b9938a36cfaedbce61734a1525e5b1665)

commit 31f76fc50ec838b301dede678c97676d63355b4b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 9 00:18:35 2013 +0200

    parser: safety check for max port length in URI
    
    - can't be longer than 5, a port being 16b value
    - reported by Kevin Wojtysiak
    (cherry picked from commit 13fd48f89555f5421e8285669e303bcefe44f149)

commit 118da22f979dfa8e97a7c029ff34251ba72b6833
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 5 21:30:06 2013 +0200

    rr: added missing s in sips for record route
    
    - reported by Sander van Grieken
    (cherry picked from commit 0ecde91fe6e911997b1f5ee33eb50fa6778b7a89)

commit 1e36ce594fa1c3ae180870025d79987fbfc90878
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 30 20:59:24 2013 +0100

    dialog_ng: set kamailio mod interface always
    
    - it breaks rpc list generation otherwise
    (cherry picked from commit 11bc294a9d64e31014ccb836290467984c28ce65)

commit 1d6e63967ba8eaa5e1cf0d63081ec38439f0bcaa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 30 09:24:19 2013 +0100

    core: set TOS for tcp IPv6 sockets
    (cherry picked from commit b9476db0c1e1ce869c1da2f87dfaf411edf69277)

commit 77c275383c509d34ba0300182ace889a4f1d7963
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 30 09:15:00 2013 +0100

    core: set TOS for IPv6 sctp sockets
    (cherry picked from commit b57f64533dbc538f3d5282d0196598062f0b4652)

commit 060c8cd03ee745aa48b21d946ebfa9e3671d89c3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 29 11:02:31 2013 +0100

    usrloc: use NULL domain for updating ul attributes for use_domain=0
    
    - use counter var for db matching keys
    (cherry picked from commit 50b116cf4c9c33c4f23c1d5b66fd313a7f40c572)

commit e83d6d4c34fb04223f5754fff1248286e1345e7d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 27 20:53:00 2013 +0100

    core: set TOS for IPv6 UDP sockets
    
    - reported by Klaus Feichtinger, FS#179
    (cherry picked from commit 084be456bc0fab015cf9964ac85651fa60ea77c9)

commit 22b614d06590f8c9adcadf9302882fba3e8f1d1b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 24 12:38:45 2013 +0100

    msrp: fix compile warning of argument type in dbg message
    
    - reported by Olle E. Johansson
    (cherry picked from commit 7339d847adfd098c58426e96e5e3730ad580d543)

commit 5ab5edc4bba76f7a46d243fb7b9ce329b31835b6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 23 10:44:31 2013 +0100

    rr: use sips to build RR headers of R-URI has sips
    
    - reported by Hugh James, FS#277
    (cherry picked from commit 1826a5f4e3a981e30956da61e11ea551aae0b714)

commit c7ef60e6c960c029b49bca01a89498a5dcdeec19
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 13 11:26:48 2013 +0200

    xcap_server: init etag variable for PUT operations
    
    - the function xcaps_get_db_etag() may not found a record to db and will
      not initialize it, resulting in bogus value passed to
      check_preconditions()
    - reported by Juha Heinanen, FS#283
    (cherry picked from commit 2d27dd1080cd490e93646b38d3912dcbe3761ca5)

commit 5e5ba673fa4d2351047eadeaec655017c962424d
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Wed Apr 10 09:34:49 2013 -0400

    db_mysql: fix segfault when recursive queries are made
    
    The MySQL result object (MYSQL_RES) should not be stored within the
    srdb1 connection object, but rather within the srdb1 result object.
    Otherwise recursive queries overwrite each other's result sets, which
    results in segfault.
    
    Conflicts:
    	modules/db_mysql/km_my_con.h

commit 5ba5a0a5bb6fc5080604e1abaef6cd41148911de
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Wed Apr 10 09:33:53 2013 -0400

    srdb1: add new db-private generic pointer to struct db1_res

commit 3b9347e41195587c323f5d6d643c1807a9905941
Author: Vicente Hernando <vhernando@systemonenoc.com>
Date:   Wed Apr 10 13:55:57 2013 +0200

    modules/pipelimit: check correctly for all arguments in mi_set_pipe
    (cherry picked from commit d17b02ed5014b4e32bd0060f32cabd750956779c)

commit c907eff8140bd07022aaf028741392322892b2f4
Author: Vicente Hernando <vhernando@systemonenoc.com>
Date:   Tue Apr 9 01:03:49 2013 +0200

    modules/ndb_redis: b/f redisc_exec returns false if redis server is down.

commit 0e7d000a9c73b0fd06132e458f838cc78abddbed
Author: Vicente Hernando <vhernando@systemonenoc.com>
Date:   Mon Apr 8 11:47:51 2013 +0200

    modules/ndb_redis: b/f restore correctly last char in argument strings.

commit 1d009c3dad2352784b48ec821732e4cca1078497
Author: Jon Bonilla <jbonilla@sipwise.com>
Date:   Sat Mar 30 11:45:12 2013 +0100

    Set lucid version to 4.0.0

commit 71dbcc196db780d5d8ca2960130850ace956ceca
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri Mar 29 23:35:39 2013 +0000

    modules/outbound: changed some INFO level output to DBG
    (cherry picked from commit ce0c420ba30388256e958a0bdf6d8f37138c3f97)

commit eedf78559a0f289f695cdff40c581ec37c712502
Author: Juha Heinanen <jh@tutpro.com>
Date:   Fri Mar 29 16:30:51 2013 +0200

    modules/registrar: changed instance related INFO to DBG
    (cherry picked from commit 33108f4843fdef6d45773849089446b0c408ecf3)

commit c3f2d14337093843a81353aef34c078dc7e53787
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri Mar 29 01:08:02 2013 +0000

    modules/outbound: updated edge proxy example in README
    (cherry picked from commit 60953cd884af7d070ce44844a874f2bd75833998)

commit 291900478f16272222b7c9138685ef871ece0875
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Mar 27 16:51:52 2013 +0000

    modules/outbound: further improvement to the use_outbound() check
    (cherry picked from commit a5f8f4cd4da60168fd73d7999c09181582ec5943)

commit 1a8843319ac00020ed291d2904b202698c3bb1c8
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Mar 27 16:33:17 2013 +0000

    modules/rr: copy the flow-token for "incoming" messages when using outbound
    (cherry picked from commit 0c1725c8ccb08280a9c161e34fa9e43347cae7b0)

commit 9df1edfb18f1ec0846ca474f510532050b55fc80
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Mar 27 16:32:59 2013 +0000

    modules/outbound: improved check for outbound
    (cherry picked from commit b2fb355fe5c9c64727d873cbe8d6fd883ebd2537)

commit 70217018e5a72c80cee37bc5a722b769890fc64c
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Mar 27 15:43:02 2013 +0000

    modules/rr: only use flow-token for routing if it doesn't point to the source of the request
    (cherry picked from commit 874669f483e1efba032bd695eb6cee4275673874)

commit 00c4469624392cb252d65ecf0e53dd64cfb9bb87
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri Mar 15 15:04:07 2013 +0000

    modules/outbound: Warn during mod_init() if STUN is not built or enabled
    
    - STUN is required for outbound with UDP.  Don't want to stop Kamailio starting
      when the outbound module is loaded and STUN is not available - but a warning
      seems appropriate.
    (cherry picked from commit 85b26219f9e4c3c8c7c990a4897d40645b4ad6e7)

commit 527db661fa3f3bc3899eaf9c264c9080cc757318
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri Mar 15 14:54:41 2013 +0000

    modules/outbound: free shared memory for flow-token key during shutdown
    (cherry picked from commit 9d9d51438acd1d534f14ecbc8eb0030b45333177)

commit ac9f143b3cd2422a3fb2c3ca5e29724ed65ab43d
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri Mar 15 14:07:04 2013 +0000

    modules/outbound: Fixed bug in outbound mod_init
    (cherry picked from commit c924645fcfb706fc20ed715a00531d785f99cbde)

commit 6acbeef9ff574c079aaeeea72924905a0426c922
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri Mar 15 12:14:31 2013 +0000

    modules/outbound: The flow-token key is now automatically generated
    
    - Uses OpenSSL RAND_bytes() to select 20 cryptographically strong pseudo-random
      bytes for the key.
    - Flow-token key can no longer be manually set.
    (cherry picked from commit f474e85616f6f98a6ac193c7425f6c85af8efa20)

commit 3c6f137ab904166cff791fab98008da2f5ebdc84
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri Mar 29 01:15:13 2013 +0000

    Revert "index on 4.0: 9a57697 rtpproxy: fix spelling error in docs, reported from Victor V. Kustov, coyote at bks dot tv (cherry picked from commit a0b01f77de163cf7ea9d71d5293a1bfa20d31fa6)"
    
    This reverts commit 368b07fc76ee2bb0c292b7be4f06c7646036b605.

commit b2a5e9dce705309ec1700ae10aa45663197c81de
Merge: 9a57697 368b07f
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri Mar 29 01:11:15 2013 +0000

    WIP on 4.0: 9a57697 rtpproxy: fix spelling error in docs, reported from Victor V. Kustov, coyote at bks dot tv (cherry picked from commit a0b01f77de163cf7ea9d71d5293a1bfa20d31fa6)

commit 368b07fc76ee2bb0c292b7be4f06c7646036b605
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri Mar 29 01:11:14 2013 +0000

    index on 4.0: 9a57697 rtpproxy: fix spelling error in docs, reported from Victor V. Kustov, coyote at bks dot tv (cherry picked from commit a0b01f77de163cf7ea9d71d5293a1bfa20d31fa6)

commit 9a57697e07824071cdce1b9ae65338771c7e32a2
Author: Henning Westerholt <hw@kamailio.org>
Date:   Tue Mar 19 15:32:25 2013 +0100

    rtpproxy: fix spelling error in docs, reported from Victor V. Kustov, coyote at bks dot tv
    (cherry picked from commit a0b01f77de163cf7ea9d71d5293a1bfa20d31fa6)

commit a189e7fd3e6e4915c762dd6c429e68f3d9d6b49a
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Mon Mar 18 15:03:24 2013 -0400

    modules/sca: seize appearance for SCA callee answering w/o Call-Info
    
    - Yealink firmware 7.70.0.130 doesn't include a Call-Info header with
      200 OK response to INVITE.

commit 65d3fc0ac958128d99448966951de64a01f72b58
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Mon Mar 18 10:32:45 2013 -0400

    modules/sca: cast logging of time_t to long int to quiet warnings.
    
    - Report from Olle Johansson. Latent Y2K38 problem, but that needs a
      project-wide solution.

commit 6d61484c6302bfd2ad74b3b92621e541405c3240
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Sat Mar 16 16:35:29 2013 -0400

    modules/sca: fix -Waddress warnings caused by static strs in SCA_STR_EMPTY
    
    - Tested on Ubunut 12.04 LTS. Report from Konstantin Mosesov.

commit e446aa58a89c60ef9449fc8f79492232c7ed6f7f
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Mar 16 06:33:13 2013 +0200

    modules/registrar: outbound_mode=1 fix
    
    outbound_mode=1 now accepts REGISTER requests that either contain
    or do not contain a Supported: outbound header.
    
    a Supported: outbound header is always added to 200 OK reply and if
    request contained a Supported: outbound header, also a Require: outbound
    header is added.

commit 86f3f2755bcf63a97a8eabb8a72a06614c2dbf5a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 15 09:03:26 2013 +0100

    ims_icscf: fix include list for BSD
    
    - patch by Victor V. Kustov
    (cherry picked from commit e930f94b71d2e5c40fa44d78738ce5efb747c5b1)


===================== 2013-03-11 Version 4.0.0 Released =====================

===================== Changes Since Version 3.3.0 ===========================

commit 33e0d0ec6a370bfe580dddbb473ff4e0c1b2e746
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 11 16:00:01 2013 +0100

    Makefile.defs: version set to 4.0.0
    
    - new major release

commit 146d08078b64f3a40e01bb8dba4f4de8a50a857b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 11 15:57:31 2013 +0100

    Makefile.dirs: updated the list with module directories
    (cherry picked from commit c72aabf37beb308f99b46f764ee9c01b0d875da3)

commit bd0099263cf693a2a890450d8696c6d6fd17ae00
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Mar 11 11:43:49 2013 +0100

    NEWS Update with reference to Wiki
    (cherry picked from commit 697a272672e434b017cd7e3c6782c5cefa0f2de8)

commit dbfa3769a3d50607126a5ad99b4e730c8be41514
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Mar 11 11:36:54 2013 +0100

    INSTALL update for release
    (cherry picked from commit 220b782018c3158a05f695eac5b1bff0f7ad239f)

commit 4f084e251742f64ac423c5d266f0ea0dc1e33926
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Mar 11 11:13:36 2013 +0100

    README - last minute release fixes

commit b6040e7c14a9562d58649859a407f9f1f5b3a8cc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 11 09:38:37 2013 +0100

    tm: set proper buffer len when Max-Forward header is not added
    
    - reported by Juha Heinanen
    (cherry picked from commit 2d38b046b6202a35c0adf4c8b61f0d665432dd4f)

commit 5111813177bce534bbfbc158e3c90cfd381c0b63
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 10 22:46:50 2013 +0100

    pkg: deb specs updated for v4.0.0
    (cherry picked from commit a349d9aab2d95b9b1cbc58870ead9a7294bcdcaa)

commit 080db7fd62fcf3c941fce2e1e0552a6584572c3e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 10 23:53:26 2013 +0100

    core: try to detect ipv6 addresses only when USE_IPV6 is used
    
    - reported by Juha Heinanen
    (cherry picked from commit b035aa9f2cc19d387b1b8f33a7888ffee27a4138)

commit de672e729c52f27252c78759c9b68b5ca09dfbdc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 10 22:07:11 2013 +0100

    INSTALL: updates for v4.0.0
    (cherry picked from commit b4ebc4a8164cfee995fb3ed0570702ae0547c0ce)

commit 73106e703c3e2ad031f9c875a52ecf9b99750c39
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 8 23:22:06 2013 +0100

    ChangeLog_k: removed obsolete file
    (cherry picked from commit ff04edd6ee7ddc213b346afffeec04a995bf16fa)

commit 69c3909a8701bf47fc31105e29382ae09d383943
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 8 23:20:06 2013 +0100

    ChangeLog: updated content to prepare for v4.0.0
    (cherry picked from commit 28111e7943f209ed936a6e9f1d5278d6235cedbb)

commit 71101a73000e2e00c9c7ce38d1bcc3efa94e58fc
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Thu Mar 7 02:11:35 2013 +0000

    pkg/kamailio/(centos|fedora): added docbook2X build requirement
    (cherry picked from commit dd2ef87af7dac6fb1411d58a0dd2e6125b99da80)
    
    Conflicts:
    	pkg/kamailio/fedora/17/kamailio.spec

commit 57664f03123de808aa21f0ddc01548db4a069048
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Thu Mar 7 00:10:54 2013 +0000

    pkg/kamailio/(centos|fedora): updated .spec in preparation for release

commit 6d44534858831b00a6036d66c23b11ea2d046f04
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Mar 6 11:08:32 2013 +0000

    pkg/kamailio/(centos|fedora): re-added perl files
    (cherry picked from commit df1af285d60e2d066c2753e8f3815a7dc4f97684)


commit 58d937f34d90a812a44435b46e3185bea8eebb7e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 5 18:35:08 2013 +0100

    Makefile.groups: fixed typo in the name of perl mods list
    
    - reported by Peter Dunkley
    (cherry picked from commit f4a4ad8effe41a30705a49da3097818c83d3be6e)

commit 7ad1c63c53c0f85c5d06830dc52d8cb96105a003
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Tue Mar 5 17:25:18 2013 +0000

    pkg/kamailio/(centos|fedora): updated .spec to match latest changes

commit 4f905e5998e2517d5382ee05411463af9df028d4
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Tue Mar 5 15:51:56 2013 +0000

    pkg/kamailio/(centos|fedora): updated release tag in .spec

commit 13531b47c66f87ce1a3d21f11b1a32379d264821
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 5 17:11:51 2013 +0100

    Makefile.groups: mi_xmlrpc has a dedicated pkg grpup depending on xmlrpc-c library
    (cherry picked from commit 49251e62da99bf05f257e12306cafec614feb408)

commit 1933eef816241d157fa980709dc2b87dfb1f21d0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 4 23:41:31 2013 +0100

    Makefile.groups: restored outbound as packaging group
    (cherry picked from commit 6375044137494f1203f26580e16f63c92225c596)

commit 9fd2a4cb210e08f576092a6a049570c1a9d0b27f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 4 20:06:53 2013 +0100

    Makefile.defs: version set to 4.0.0-rc1

commit 3fd1ec548504b574522cc2b3a2c623366612ffb7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 4 19:56:54 2013 +0100

    usrloc: added missing state from AoR contact dump
    (cherry picked from commit 068e6e5903801ca7cb7d1ca304d35bca70a34b58)

commit 5591cce6007b6d770fbf7e10309caa3593798684
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 4 16:30:34 2013 +0100

    dispatcher: release lock instead of destroy when cleaning active calls hash table
    
    - this could happen when dispatcher list was reloaded
    - reported and fix by Dmitry, closes FS#275
    (cherry picked from commit d83b9aefd5afa25b2d18a8bf92357fbd33d627bf)

commit c390d7ed3bf1072ddfa8c1b3ac240359ea0a466e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 4 16:19:20 2013 +0100

    Makefile.groups: refer to pkg groups instead of K
    (cherry picked from commit 3cf821d9983418d68ca33edc35ff5eb2e592d16f)

commit d8606ec25cc4083a9c425639f14f0bbe26768f7a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 4 16:14:42 2013 +0100

    db_postgres: handle prepare statements in DB APIv2
    
    - patch by  Markus Bucher, closes FS#272
    (cherry picked from commit 09c7b67beee9529d6a7c06e600c7f294bf453eda)

commit 31219de430f48fc15bbf58cde5d6073cd5625ef5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 4 16:09:36 2013 +0100

    Makefile: updated the groups of modules
    
    - they are kept in Makefile.groups to keep main Makefile cleaner
    - most of modules are in lists groupped mostly by dependency
    - compilation and packaging groups are build using the lists
    - exclude_modules list is automatically built from all modules without
      those part of lists with external dependencies
    (cherry picked from commit b5024f320b578c831d3ee13b077bb87954bc61b0)

commit dc15e648b398ef7d8052181b822c9756bed95013
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 4 10:46:01 2013 +0100

    Makefile.defs: -DWITH_AS_SUPPORT is on by default
    
    - it was for kamailio flavour only
    - can be disabled with WITHAS=0 and exclude_modules+=seas
    (cherry picked from commit 01cbe8bf98d6ad1ef8cf7e0b9f646fde81831fc6)

commit c40939ad2aae3dfb7d33ed8016223da9038f1ca7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 3 23:53:14 2013 +0100

    Makefile: split module groups definitions in Makefile.groups
    
    - the part was quite big and it is more config related than build rules
    - it has to be updated with the current list of modules
    (cherry picked from commit 23a22e2c8d73843798d66ec1bebe22cf7702213b)

commit 0d6e0778ef4d86ebd06671333f86f45fc2ec375d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 1 18:12:23 2013 +0100

    rtpproxy: proper fixup function for rtpproxy_manage(...)
    
    - second parameter was resolved as spve type, although fixed as str
    - reported by  Markus Bucher, FS#273
    (cherry picked from commit b23510e0adb6060a257c8662700450ed7faef080)

commit e239cb78c6a16e94c8ef42530a89f1a734e89afa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 27 09:24:52 2013 +0100

    Makefile.defs: version set to 4.0.0-rc0
    
    - branch for release series 4.0.x has been created

commit 9365c5c19cb0b9d4300fa5b0a220bf19738c808f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 25 11:19:15 2013 +0100

    core: parser - function to proper handling multipart bodies with same content type
    
    - closes FS#170, based on a patch by Luis Martin

commit 45b2ea3018cc84f8bcf9e687dcc0a03e81597711
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 24 20:04:51 2013 +0100

    siputils: completed the function to return RURI parameter value
    
    - closes FS#238, based on a patch by Luis Martin

commit 39bffdd7db9c3118045eae9640659997bac4bf4e
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sun Feb 24 22:17:25 2013 +0100

    snmpstats add support for ws, wss and sctp transports

commit 4547a28b077b5bdaf9128e98fd4e1ee9a8c11847
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sun Feb 24 17:53:27 2013 +0100

    snmpstats Add missing SIP response codes
    
    And switch from Wikipedia to the IANA list as a master list.

commit 7952711e6079e02a07ad027c6d8840e755c6e528
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sun Feb 24 10:25:38 2013 +0100

    snmpstats fix typo

commit 402e44861c489d4246a0fe1f57bc2cc5fe7a70c9
Author: Marius Zbihlei <mzbihlei@mzbihlei-macbookpro.local>
Date:   Sat Feb 23 14:58:07 2013 +0000

    Added own _strnstr method as strnstr is BSD only
    
    This cause the tm module to not be loaded on non-BSD (i.e. Linux) system
    Problem reported by Joel Vandal.

commit 09dcd2353773b011bcce9f24886ab35a47409ff1
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Fri Feb 22 14:45:58 2013 -0500

    sca: return true if no Contact header is found in an INVITE packet
    
    - stop spurious log messages when receiving a 100 Trying with no Contact.

commit 8fbcb1d1003b3ff3c28cf18aa6791f191a831cea
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu Feb 21 22:56:37 2013 -0500

    sca: log at debug level when reporting lack of Contact header

commit 9cb26a2eefe93e0ca162db917e34e784e703770a
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu Feb 21 22:32:23 2013 -0500

    sca: ensure SCA caller has correct callee CLI when callee is non-SCA.
    
    - previously only set when callee was also SCA

commit 86771e45a92f6262a9fee1bd698c8e9dbe3b0b70
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu Feb 21 18:55:02 2013 -0500

    sca: remove misleading comment.
    
    - suggestion in comment has long since been implemented

commit 3c5b0019bbe1589410d8744545b64a278a222761
Author: Konstantin Mosesov <ez@voipgroup.org.ua>
Date:   Fri Feb 22 00:51:33 2013 +0200

    app_python: Bugfix for rewrite_ruri
    
    *) Fixed a bug in msg_rewrite_ruri discovered by "V Tone" <vtone001@gmail.com>.
    *) Removed 'python exception' when do_action returns error. Reason: it is not an exception.
    *) Removed abort() if first_line type is invalid.

commit 3bae735a5e38414bd53738928ba531a329290777
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu Feb 21 17:00:31 2013 -0500

    sca: prevent possible NULL-dereference in log message when NOTIFY fails.
    
    - sub struct may be NULL outside of else block. Use non-shmem req_sub from
      incoming SUBSCRIBE packet instead.

commit 0fd954bc6a8f94ac5e8087f6b8abdba372505c6e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 21 11:34:25 2013 +0100

    kamailio.cfg: fixed typos to speeddial
    
    - patch by Thilo Bangert, FS#268

commit 77f99fc7c0252c5fa71ad5939f048742592f1d43
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 21 11:25:39 2013 +0100

    tm: add Max-Forwards header to local requests if not given as parameter
    
    - add the header to local generated CANCEL and ACK
    - based on a patch by Morten Tryfoss

commit 9e6f0268097d81c0e06c7fe33599d0763ed38179
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 21 10:40:07 2013 +0100

    core: dns - prevent queries for IPv4/6 address literals
    
    - prevent A queries for IPv6 address literals or AAAA queries for IPv4
      address literals
    - patch by Simon Perreault

commit 4439b188634deeb3c0745a7a9664de8745d9272e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 20 11:29:06 2013 +0100

    Makefile.defs: version set to 4.0.0-pre2

commit 164b8167855415771a82715ef59a300af8c2bafa
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Feb 20 09:59:56 2013 +0000

    modules/outbound: Fix core dump crash
    
    - Reported by oej

commit 8d10bcd44834fd6f2a0c41238fd2dc197143c06e
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Feb 20 09:49:44 2013 +0000

    modules/outbound: Fixes the crash but is logically incorrect for outbound
    
    - Not sure why the crash happened at all - but this fix breaks the outbound logic
    
    Revert "outbound Fix core dump crash"
    
    This reverts commit 6369444761d44526ded2620e33438abb182d2bdc.

commit 6369444761d44526ded2620e33438abb182d2bdc
Author: Olle E. Johansson <oej@edvina.net>
Date:   Tue Feb 19 23:08:13 2013 +0100

    outbound Fix core dump crash
    
    When we got a CANCEL without Contact the parse_contact was sent a null
    pointer. Changing the "or" to "and" fixed this and Kamailio no longer cores
    on Cancel coming on over websockets from jssip.
    
    Tested at SIPit 30. Core dumps and backtraces available.
    Pdunkley - please check this patch

commit 8524f32bc07bd121326369f432eb29a257856f41
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Feb 18 22:36:45 2013 +0100

    maxfwd The default value is not 256, it's 16 in the source code.

commit 3f05697f6503f682274fce7bd93eeeaaa9b58188
Author: Richard Good <richard.good@smilecoms.com>
Date:   Mon Feb 18 09:48:22 2013 +0200

    dialog_ng: changed LM_ERR to LM_DBG in dlg_hash.c
    
     - dlg_set_leg_info() line 416 was incorrectly logged as ERR when it should be only DBG

commit 2e58de7e16203c849cf1c445dfb33d304ffd3507
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Feb 15 21:13:29 2013 -0500

    rtpproxy: when adding ICE relay candidates, always include RTCP candidate

commit 05d02fd85b12f8e529f088e28cd1923351631e31
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Feb 15 20:12:56 2013 -0500

    sdp: fix TABS and whitespaces

commit b6e2a5c152de3f13251bca6a4f52f8bc9f725018
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Feb 15 12:08:20 2013 -0500

    xhttp_rpc: cosmetic updates to header's web page

commit c3db1a1b598416d1380d54e1a21e9991070a075b
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Feb 15 11:27:15 2013 -0500

    xhttp_pi: fix default value for xhttp_pi_root param

commit 8066d290b69a472fc46df248ae861487c932f738
Author: Ovidiu Sas <osas@ubuntu.(none)>
Date:   Tue Feb 12 15:13:05 2013 -0500

    xhttp_pi: remove unused variable

commit 36d0763385605c8174a538297dd8dfa94092e9c5
Author: Ovidiu Sas <osas@ubuntu.(none)>
Date:   Tue Feb 12 14:38:53 2013 -0500

    xhttp_pi: remove unused variable

commit 0a56f3b4c08236265dc66965e61d1a36a7594b36
Author: Alexandr Dubovikov <alexandr.dubovikov@gmail.com>
Date:   Tue Feb 12 10:44:46 2013 +0100

    modules:sipcapture fixed LM_ERR. Sorry :-(

commit 1690eafbb599842f0507ad41c1590fcbba8c7630
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 11 23:40:53 2013 +0100

    msrp: return proper value for $msrp(code)
    
    - internally there is an offset of 10000 to the value in the msrp reply
    - reported by Peter Dunkley

commit ae0183fe5af84ce986baa36b0e6a33f4e06f6803
Author: Konstantin Mosesov <ez@voipgroup.org.ua>
Date:   Sat Feb 9 16:39:49 2013 +0200

    app_python: fixed compilation errors and warnings.

commit f38eaeda810730a10a0b67ee42ae629642cdebc2
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Feb 8 22:13:17 2013 +0100

    imc README updates. Configuration files works with 4.0.0 now.

commit a0c0b57d0bcede9144b8ddf71556f4bdb58baebd
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Feb 8 21:58:50 2013 +0100

    db_text change "openser" and minor edits

commit d4f64eb262f73e316772955afc4153b84ba74954
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Feb 8 21:41:11 2013 +0100

    maxfwd Update README, fix typos

commit 88b25387f5ddd83a6cb211a4e650191d268fd893
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Feb 8 21:33:37 2013 +0100

    mangler Update README for readability

commit 022935946d2b66ab74d2fb3c4601b340cd57fe34
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Feb 8 21:32:39 2013 +0100

    ldap Add the README

commit 28ee292ca10a8fc8428ac8cff763dbf57ed19db3
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Feb 8 21:21:02 2013 +0100

    ldap Convert an "a" to an "o"

commit 3ce0e28280d4b7a5f4b991af861455114b829976
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Feb 8 21:12:52 2013 +0100

    kex Fix copy/paste typos and minor edits for readability

commit a9ca3f4a05d0655b11ba90bc64d68b53c4ba039c
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Feb 8 21:03:07 2013 +0100

    ipops Minor updates to README

commit 63653d7d18a7124ff3a33991f3db4cd8271a9e24
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Feb 8 20:56:06 2013 +0100

    mi_fifo Typo fixes mostly

commit beb5537e70bc36f459223633109d31306ae600f8
Merge: e4ffcaf 80e8407
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Feb 7 22:05:42 2013 +0100

    Merge branch 'master' of ssh://git.sip-router.org/sip-router
    
    Arrrggh. My mistake.
    * 'master' of ssh://git.sip-router.org/sip-router:
      registrar: Fixed typo in event_route name, 'usrloc:expired-contact'

commit e4ffcaf671c93222a5aed846cf89fefaf72b2b4a
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Feb 7 22:05:05 2013 +0100

    outbound - Fix typos in example configuration

commit 80e8407dedb06d386167924a40fbf47119708336
Author: Giacomo Vacca <giacomo.vacca@truphone.com>
Date:   Tue Feb 5 17:16:18 2013 +0000

    registrar: Fixed typo in event_route name, 'usrloc:expired-contact'
    
    - (Instead of changing all the related documentation that refers to usrloc:contact-expired)

commit 1c643eb26a25880669a719a29c1c8e984e32983d
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Feb 7 11:04:00 2013 +0100

    siptrace Fix bug in documentation
    
    The default database URL was mysql, not "", which caused me some strange issues.

commit fcbf4a0329adab01b079d72408582c2b5d4390e6
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Feb 7 10:39:17 2013 +0100

    sipcapture - update example configuration

commit 7f5b6c26d4bf1f50b1890d177121f4c4fd65428c
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Feb 6 23:39:27 2013 -0500

    xhttp_pi: documentation updates

commit 0c970537a2d2aa66d24650e07efb587acd9edfc0
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Feb 6 23:37:53 2013 -0500

    xhttp_rpc: documentation updates

commit ce5aa2416d93d3626db8d69651530edf4575a569
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Wed Feb 6 18:05:05 2013 -0500

    Revert "nathelper: add new option sipping_disable_bflag"
    
    This reverts commit dc9a06f7b33a758cb3a44fbc1d018e1a81a794a5.

commit 23b84739a72c5cca1fd397fbe1a7468a621cc2e6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 6 23:08:02 2013 +0100

    msilo: safety check for freeing tmp_extra_headers
    
    - it can be a static empty buffer
    - reported by Stoyan Mihaylov

commit 1d6b2ce07c6b661ed3e3a1c31b8ec408d68ed4e9
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Feb 6 20:42:50 2013 +0100

    xhttp_rpc Fix typo and minor formatting in README

commit dc9a06f7b33a758cb3a44fbc1d018e1a81a794a5
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Wed Feb 6 11:38:57 2013 -0500

    nathelper: add new option sipping_disable_bflag
    
    sipping_disable_bflag can be set on a per-registration basis
    to disable NAT pings completely

commit da298e85166b873f4825e4baa96db0d317771e20
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Feb 6 12:55:55 2013 +0000

    modules/msrp: Fixed typos in MSRP README and added extra event_route example

commit f56e82a286e00a17dbf02e9a5056ef73488b89b1
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Feb 6 12:36:52 2013 +0000

    modules/msrp: Fixed error in msrp_cmap_lookup()

commit 1e16eb9c892358a972ae71f05ec138fbe0d23126
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Feb 6 11:21:11 2013 +0200

    modules/lcr: treat lcr_gw/ip_addr empty string value same as null value

commit 62cd05a469f657b5371ecd1538f9c9b224f7e589
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Tue Feb 5 10:06:47 2013 -0500

    xhttp_pi: documentation updates

commit af7d4496febf95e56b604849a8f818e688b21f53
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon Feb 4 10:59:10 2013 -0500

    lib/srdb1: while converting strings to int/bigint check for invalid characters

commit 47276cf597ab941016fd49dbcfaaab3da8802834
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Sun Feb 3 23:36:26 2013 -0500

    ims_icscf: getting rid of "defined but not used" compiler warning

commit d474abbb3d93c992ccff561909402ca1b52297bd
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Sun Feb 3 10:50:47 2013 -0500

    ims_usrloc_pcscf: remove unused variables

commit 7d6d016c7556a3241d47801b0480c022ca2dd3c8
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Sun Feb 3 10:31:55 2013 -0500

    ims_usrloc_scscf: remove unused variables

commit 622b01719bb8a95c5995c8412cd040787f0cd0a6
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Feb 1 19:45:28 2013 -0500

    xhttp_pi: new commands in the pi_framework_sample:
     - add
     - update
     - delete

commit 60e60e26cebeea2d8e07ec4ffd036ab1f35e2f12
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Fri Feb 1 11:45:32 2013 -0500

    sca: restore correct table version number in db creation files.
    
    - Had been reverted by commit f636e215089a9b14daa113d93025831e827192b5
      because the schema xml file had the wrong version number.

commit 36c7b450889a8005af3f14b0edb55f4ede6f98a1
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri Feb 1 10:14:26 2013 +0000

    modules/websocket: moved example WebSocket configuration file to examples directory

commit cdd23170e8fd6da4817619ee82ded0fa27936081
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Wed Jan 30 15:17:28 2013 -0500

    sca: db table version incremented to 1
    
    - should have been part of commit adding record_route to table.

commit 2eeb686ea57ce569d3c5eb05430c78d0fdbdd4eb
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Jan 30 13:26:35 2013 +0100

    tls Small modificiation in tls configuration example

commit 147430e2f5849996fcfff4933795ef212fdfb83a
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Wed Jan 30 12:17:50 2013 +0100

    Fix: We trust the IP in the media for calls from the network to the user
    Fix: Rx-Configuration updates

commit 50a041f5c04ef79d8812d5871903931b120c0812
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Wed Jan 30 11:55:42 2013 +0100

    Fix linking for the IMS-QOS module

commit 6729c79d7fe3778a889ef7e6777c0bbe2e011528
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Tue Jan 15 11:17:45 2013 +0100

    Cleanup of example I-CSCF config.

commit ef63f7cd1a6966e3309d8f83e88a7e62b41bd4ed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 28 16:54:44 2013 +0100

    kamailio.cfg: use route(RELAY) instead of t_relay()
    
    - coherent exit from config when sending out

commit a21750ff6fcf87d8e3f54597bdd3f1171846e6cb
Author: Alex Hermann <alex@speakup.nl>
Date:   Mon Jan 28 13:08:02 2013 +0100

    modules/sqlops: Check if pv_spec is available before trying to use it.
    
    Instead of segfaulting when the script writer has not specified enough PV
    specs to hold all the query's result columns, bail out with an error message.

commit ebe16f75b38c76dab141ca9583b10b67e4f45f57
Author: Alex Hermann <alex@speakup.nl>
Date:   Mon Jan 28 13:06:08 2013 +0100

    lib/srdb1: Fix compilation warning on 32-bit architectures
    
    On "bits-challenged" architectures, long != 64 bits.
    Use long long instead, seems to work on 64-bit archs too.

commit a0968999375227bf187bca374e544e359a9c4c5f
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sun Jan 27 19:55:49 2013 +0100

    tls README: Change "ser" and "sip-router" to "kamailio"

commit e59acd4d006e5048610e75f2cfc2df30b2f7c968
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sun Jan 27 14:33:13 2013 +0100

    tls Update README with RPC commands
    
    The selects are still missing.

commit 6b212dc881dae76ab872c79e39f96b21ee4e6687
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sat Jan 26 21:10:03 2013 +0100

    tls Update of README

commit 78f0c33c3793a7c586860c65ed84e8442808d580
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sat Jan 26 17:56:51 2013 +0100

    dispatcher - Fix typo in README and add return value information for ds_select_dst
    
    The return value was used in the example, but not documented.

commit bc507d28e1168313772142925721b32e1a7b634a
Author: Philippe Sultan <philippe.sultan@gmail.com>
Date:   Fri Jan 25 20:59:23 2013 +0100

    kamctl: added command for management of uid_domain records

commit 9cb173699b25bc420ff5938214b3df81ed18a4ba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 25 17:30:42 2013 +0100

    core: made a wrapper forward_reply_nocb()
    
    - it forwards a reply without calling the callbacks from modules for sip
      response handling
    - fixes the issue of sl_forward_reply() looping when used in TM onreply
      routes

commit 0636b8a70109ee44b46ec0cc76d4513c87c18e3f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 25 17:29:46 2013 +0100

    sl: use forward_reply_nocb() for sl_forward_reply()
    
    - otherwise it gets to looping if the function is used from TM onreply
      routes

commit d2d6b4b932c7df6e6620a256692be5ef049356a3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 25 11:38:38 2013 +0100

    core: end simple pv name (e.g., $xy) at end of line
    
    - cfg parser was throwing error if last token in a line was $xy as pv
      with \n was not found

commit c3987b2ef44c26b781d9b026d86370184e2a4ae3
Author: Anca Vamanu <anca.vamanu@1and1.ro>
Date:   Thu Jan 24 13:45:18 2013 +0200

    db_cassandra: Replaced 'openser' with 'kamailio'

commit 139ae7966a0ff8e5e46a902d9e14dc8840934bd0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 24 11:45:31 2013 +0100

    core: default compatibility set to SR_COMPAT_MAX
    
    - means that $xy is tried first as pv and if not, then is considered avp
      (was default compat mode for default flavour in the past)
    - you can still use:
        - #!KAMAILIO in config to force SR_COMPAT_KAMAILIO (i.e., $xy must
    	  be a pv, otherwise is error)
        - #!SER is config to force SR_COMPAT_SER (i.e., $xy is avp/attr)

commit 216029a609630a7d18ce3b77d3d9ae95f45d662c
Merge: 2d129b5 f1b5145
Author: Matthew Williams <mgwilliams@gmail.com>
Date:   Wed Jan 23 11:27:54 2013 -0800

    Merge branch 'master' of ssh://git.sip-router.org/sip-router

commit 2d129b5538b64acea788b502dcf97c5ffffdf949
Author: Matthew Williams <mgwilliams@gmail.com>
Date:   Wed Jan 23 10:49:52 2013 -0800

    correct url to libjson in json and jsonrpc-c module docs

commit f1b514596856889fa2a8e4b164178998177d7b59
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Jan 23 13:42:52 2013 +0000

    pkg/kamailio/(centos|fedora): Removed old FC16 build
    
    - Fedora 18 is now out and I only plan to keep this .spec correct
      for CentOS and Fedora working for current and previous OS releases.

commit cb56b67788fc61f8de65d0335c6364c7aba15759
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 23 12:55:51 2013 +0100

    lib/srdb1: update custom sql functions for uid tables

commit 9a1d64bddbf3ec931d39a0e47370e8d46ec2aeb9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 23 12:49:16 2013 +0100

    kamctl: added option to grant sql access from a remote host
    
    - set DBACCESSHOST in kamctlrc

commit 1fd2b4ec865cbe738d92e72259fed27380d252ab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 23 00:45:17 2013 +0100

    kamctl: added option to creat uid-related tables
    
    - few more options to be able to create database only, grant or revoke
      privileges from command line
    - the extensions were added for mysql

commit 71d1f9b233559e12970019819323cdfb9427b836
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 22 23:09:47 2013 +0100

    kamctl: cleaned db creation

commit 15e1ae6720136a698326a0b53f6db8eef73e3e5a
Author: Richard Brady <rnbrady@gmail.com>
Date:   Tue Jan 22 17:19:31 2013 +0100

    json: proper handling of empty values for json documents

commit 3e580e1ee24f9b9ec4b1fa151b23ebc84f3db1cb
Author: Alexandr Dubovikov <alexandr.dubovikov@gmail.com>
Date:   Tue Jan 22 15:45:38 2013 +0100

    modules:sipcapture  Added PSQL schema, fixed columns length, fixed id column for PostgreSQL
    
    	Thanks Ovind Kolbu for schema and patch

commit f76bd09d4800ea63552c11002d7f6f72569e78ed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 22 13:40:11 2013 +0100

    pua_reginfo: fix setting lengths of contact attributes
    
    - fix also for warning from FS#255 reported by Ovidiu Sas

commit ff22a1cbc2b817d63611b3da967d8245e11cb84c
Author: Richard Brady <rnbrady@gmail.com>
Date:   Tue Jan 22 12:19:53 2013 +0100

    siputils: fix decode2format fuction to handle ; in userpart

commit 58417e5f23c50a1892584d368e49373c579af31e
Author: Alexandr Dubovikov <alexandr.dubovikov@gmail.com>
Date:   Tue Jan 22 11:41:43 2013 +0100

    modules:sipcapture Changed authorization column to "auth". Now PostgreSQL should be happy.
    
    for old schema please use:
    
    modparam("sipcapture", "authorization_column", "authorization")

commit c579bce3e6fa4efc29cf4fd8681f471a768a8e7c
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon Jan 21 15:10:39 2013 -0500

    kamdbctl: fix presence tables provisioning

commit da007aaf6a2296c62189d30c6991e5cdb9f8a4ec
Author: Konstantin Mosesov <ez@voipgroup.org.ua>
Date:   Mon Jan 21 19:40:19 2013 +0200

    app_python: reverted changes (dlflags)

commit 36013e021dde6362bb335bbcadd41b6838151a45
Merge: f50e910 288c597
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Jan 20 20:13:40 2013 +0000

    Merge branch 'master' of ssh://git.sip-router.org/sip-router

commit f50e910b9710fd1055aae7e445a0504b841413a3
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Jan 20 20:04:45 2013 +0000

    pkg/kamailio/fedora: added build files for Fedora 18

commit 288c597bfba2ffba4c49e691488cee574d714a97
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sun Jan 20 16:58:59 2013 +0100

    README remove "modules_k"

commit 41fab9cb21af174734ef820da4bbf6d19d34d56a
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sun Jan 20 16:55:23 2013 +0100

    README-MODULES - merge listing of modules into one combined
    
    Thanks to Daniel for merging the directories.

commit 4cc713182c4f5b53a00a8d2d6d3a21afca589b77
Author: Konstantin Mosesov <ez@voipgroup.org.ua>
Date:   Sun Jan 20 17:38:06 2013 +0200

    app_python:
        - fixed runtime warning: exports dlflags interface is deprecated and it will not be supported in newer versions; consider using mod_register() instead
        - python routines can be called in any routes.

commit 1d29c95e982244a5140f93c8ae886c8d457d8e24
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Jan 20 15:07:59 2013 +0000

    pkg/kamailio/(centos|fedora): updated kamailio.spec

commit d934a2acd31408ae6afdf31007f2ebe4527d1f3d
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Jan 20 14:23:17 2013 +0000

    modules/db_postgres: Fixes
    
    - Fixed submit_query() retry mechanism - connection errors now detected and retried.
    - Fixed memory leak when raw queries contain > 1 SQL command.
    - Fixes by Hugh Waite @ Crocodile RCS

commit c059041a71a1b7175243c366316108ce370fffa7
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Jan 20 14:18:55 2013 +0000

    core: fixed bug in PV caching that broke the use of the $$ symbol
    
    - Found and fixed by Hugh Waite @ Crocodile RCS

commit 9a3b3229e0b0f39489feca8da3c0a7aeeaae600e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 20 14:28:57 2013 +0100

    Makefile.defs: version set to 4.0.0-pre1

commit fedd38e03f6fcc4851d738cf2bd274b5290ae1ae
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 20 14:19:11 2013 +0100

    Makefile: updated the names for perl modules

commit e5e821150f53135e8c288f71ddd95c6c23e8d8d9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 20 14:18:02 2013 +0100

    perlvdb: module renamed to db_perlvdb
    
    - it is a database driver module

commit 63a09d8562a1ac3679dc34c409a37f1d6617e430
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 20 13:26:01 2013 +0100

    modules/*: updated include paths

commit 1abe29004193a348a1dcca72665fef1d390610b0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 20 12:57:52 2013 +0100

    modules_k/*: moved k modules in directory modules/

commit dbe58f4cff868f069bc417b3002c7ac75ce484a1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 20 12:51:29 2013 +0100

    modules_k/: added placeholder for an empty directory

commit ba3fa594f3ade8f8afd69606f92d1e4fa4685ede
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 20 12:47:08 2013 +0100

    app_perl: perl module moved and renamed to modules/app_perl
    
    - same naming pattern as for the other embedded interpreters

commit 0533e3f86bb605d4ce68ae60b80013dcf8540903
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 20 12:14:41 2013 +0100

    perl: samples and documentation updated to use package Kamailio

commit e3f78196b345ab22eaba8f4ade7492e660782485
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 20 11:59:00 2013 +0100

    perl: xs file updated to use Kamailio instead of OpenSER

commit 1be653e243b02094a93ef20509fc98326f160284
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 20 11:53:36 2013 +0100

    perl: Perl packages renamed from OpenSER::* to Kamailio::*
    
    - part of patch from Stoyan Mihaylov

commit f448282ec6775857f4bef733f4785dd571bfe081
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 20 11:47:48 2013 +0100

    perl: renaming openser to kamailio in C source files

commit 9d5cc7085e916bf348ba52828d5c9519652c61ae
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 20 11:34:20 2013 +0100

    perl: renamed files and directory from openser to kamailio
    
    - part of patch from Stoyan Mihaylov

commit 4e939748186c6dcff6744d36439b9620fe41a196
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sat Jan 19 22:33:18 2013 +0100

    iptrtpproxy Documentation cleanup
    
    And a missing file from sanity module

commit 80dc9107c5cd47cab24786a12d2612c25f714ff3
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sat Jan 19 20:07:08 2013 +0100

    sanity Sanitize XML file names and formats

commit 396de50105c29c102da1afb9fabe8ea1324a7282
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sat Jan 19 19:57:50 2013 +0100

    xmlops Updating xml formats

commit 67a0aafe4933d6ccbc04e6a86a21c34f62bae7fb
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Fri Jan 18 10:21:50 2013 -0500

    tmrec: fix example given in docs

commit 3cec800fb8e48b6f2dbc880c5a991e9d636c9f5c
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Fri Jan 18 14:33:53 2013 +0200

    modules_k/statistics: fixed bug when using pvar as stat value (fixup function was broken)

commit a865b622be84ddc1dacff35401adbb6937ec86b3
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Jan 18 13:32:55 2013 +0100

    README - converted to Kamailio

commit 5b6231d2d85f2a5a07b09e7e534f25e16f5e43b2
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Jan 18 09:41:42 2013 +0100

    Update to current module set for 4.0

commit ebde66ba5f97ff5587e36b8e952b19a1becd08ab
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Jan 17 19:19:37 2013 -0500

    carrierroute: fix cross-compilation

commit 83eafc8d8f767f4705d5f76ad0ffd4349a06c927
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 16 22:37:08 2013 +0100

    dialog: fix for is_in_profile()
    
    - function was broken, reported by Klaus Darilion

commit ac2a3acddef3d5dd3a8033859f8a245624944d8e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 16 22:28:30 2013 +0100

    Revert "First commit (raw code) of new module: app_java (Java Native Interface support for Kamailio)."
    
    This reverts commit 3cc85a3915ed69471966cf741d7cf2adee4f3b0b.
    
    - code in master is frozen for v4.0.0

commit ebaab480a74fdde6036b471ec1175c4ad294c758
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 16 22:27:34 2013 +0100

    Revert "app_java:"
    
    This reverts commit db74e5230a26fdfebbf88f9575ea8a7636719743.
    
    - code is master is fronzen for v4.0.0

commit db74e5230a26fdfebbf88f9575ea8a7636719743
Author: Konstantin Mosesov <ez@voipgroup.org.ua>
Date:   Wed Jan 16 21:08:42 2013 +0200

    app_java:
        - code cleanup
        - changed all *alloc to pkg_*alloc
        - added examples module configuration file

commit 3cc85a3915ed69471966cf741d7cf2adee4f3b0b
Author: Konstantin Mosesov <ez@voipgroup.org.ua>
Date:   Wed Jan 16 20:43:29 2013 +0200

    First commit (raw code) of new module: app_java (Java Native Interface support for Kamailio).

commit 588a1a4280840e40beaae77345533b40ef1c710d
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Jan 16 11:38:18 2013 -0500

    xhttp_pi: adding note about using the provisioning interface with db_text

commit c065b24620a9475a70a19de95231a814076eefae
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Jan 16 10:48:25 2013 -0500

    xhttp_pi: more documentation updates

commit 0f59c52cb1d21d07654f815af3636330dc02e164
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Jan 16 10:37:30 2013 -0500

    xhttp_pi: documentation updates
     - reported by Philippe Sultan <philippe.sultan@gmail.com>

commit 32e73f99a3bab4bc673504d316831f0a8ff1f48c
Author: Olle E. Johansson <oej@edvina.net>
Date:   Tue Jan 15 09:46:22 2013 +0100

    Starting to prepare README/INSTALL files for release

commit 241681f6a2bc9d9647251963eee5f65386717edb
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Tue Jan 15 09:03:25 2013 +0100

    b/f: If no parameter is given, the "fixup_lir" method will never get called...

commit 7f7e0d046cbaf59170605c21070eb476a28fbc18
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Tue Jan 15 08:18:52 2013 +0100

    b/f: Need to link librt (on OS non-Darwin)

commit 04b1b6c94a69da8b4bf5134d890edfaf0c0ad153
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Jan 14 19:28:27 2013 +0100

    b/f: Modify IMS-Group Modulenames to reflect module-name changes.

commit b87c9b03499e58d481cf6fe02302a378051272a0
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Mon Jan 14 17:46:08 2013 +0100

    b/f: Do not remove lib*, only "real" libs

commit b926764c5cfb6737407b2090a6c5659b46373237
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 12 13:10:18 2013 +0100

    registrar: fix event route execution warning

commit a797eab732be6b17e3727ee604d21fcaddd5b35e
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sat Jan 12 08:45:11 2013 +0100

    xmlrpc Modify doc structure to kamailio-like

commit 9bfc37fcc95da2d0b970efb6a3333e6d8e5f5bde
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sat Jan 12 08:33:25 2013 +0100

    usrloc(k) Fix compiler warnings
    
    Thanks to juha for the reminder

commit 4af97738081da634643f0fdfd681e7a94740a6d0
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Jan 11 19:14:15 2013 -0500

    xhttp_pi: make sure that cfg directory exists during install

commit 11cedccfbc11c9efde566ecd2afb883246c64ba7
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Jan 11 15:59:31 2013 -0500

    lib/ims: fix cross compilation

commit 35ba820e82840661d23c93e10bd289b8a6e14f5f
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Jan 11 15:20:11 2013 -0500

    sqlops: remove unused variable `sv'

commit c8878c0c702173d44dd4d9fad263ea8e329e6897
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Jan 11 15:13:16 2013 -0500

    permissions: remove unused variable `count'

commit 35d8fd13382fc5fa6256f17a0f43c396be7c638d
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Jan 11 14:13:53 2013 -0500

    outbound: fix cross-compilation

commit 7bf23bc79b3ace2348c94bf284aac13dd917c3ab
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Jan 11 14:13:36 2013 -0500

    osp: fix cross-compilation

commit d18997cd35d3ac03f446a61a7f198eb1b0704bd0
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Jan 11 14:13:07 2013 -0500

    websocket: fix cross-compilation

commit c16ae05d5b91984a9d17ce6b643f29cf7b92cd75
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Jan 11 14:12:49 2013 -0500

    tls: fix ssl cross-compilation

commit c9d8a66071efb77428ae74572d453c5b4ded4764
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Jan 11 14:12:10 2013 -0500

    auth_identity: fix ssl cross-compilation

commit f350ec8cd45819ed6f60947bca2ac6e747f86541
Author: Klaus Darilion <klaus.mailinglists@pernau.at>
Date:   Fri Jan 11 14:22:57 2013 +0100

    modules_k/uac: document RR append_fromtag requirement in auto mode

commit 37c43f695fae346fde83690596150a84192ad0db
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri Jan 11 10:54:00 2013 +0000

    pkg/kamailio/(centos|fedora): updated release tag in .spec

commit 5a78a8b8ec104550a37d8e2ae9005bf87d21e00f
Author: Anca Vamanu <anca.vamanu@1and1.ro>
Date:   Fri Jan 11 11:07:45 2013 +0200

    dialog: fix bug when detect_spirals enabled
    
    If detect_spirals enabled and the caller sent an Invite which received a
    negative response and then immediately sent another Invite with the
    same callid and tag, the module did not create a dialog record for the
    second Invite. It wrongly concluded that the Invite is spiraled. This
    resulted in missing CDR for that call.
    Behavior observed if the first Invite has a small Session-Timer interval
    and receives a 422 reply. When the phone sent the second Invite with a
    larger Session-Timer, which could have been successful, it was not recorded
    by the dialog module.

commit a1a197aa27a62426599d908870c60749e9941a03
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Fri Jan 11 10:47:44 2013 +0200

    modules/ims_qos: update to correct binding name for ims_usrloc_pcscf

commit b414cb1d7dc92e24ea98e5624060f9ba25726602
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 11 09:32:12 2013 +0100

    Makefile.defs: version set to 4.0.0-pre0
    
    - marking pre-release phase

commit 622640b85cbf681055c1a9c28d3f3ab61c13b36e
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Jan 10 16:53:12 2013 -0500

    ims_registrar_scscf: fix cross-compilation

commit 2c70b76e122d061b62058623e85e42872cd003ac
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Jan 10 16:43:29 2013 -0500

    ims_registrar_pcscf: fic cross-compilation

commit 7b483c4cd97d61c8eefc484d31ffb3ba43d03ca5
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Jan 10 16:43:05 2013 -0500

    ims_isc: fix cross-compilation

commit f1e6a00c93f18871c5c069a08aac77fe783fd6cd
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Jan 10 16:42:34 2013 -0500

    ims_icscf: fic cross-compilation

commit 5799a797c7e4d0e84aca20618ef61dbf1a33692c
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Jan 10 16:42:08 2013 -0500

    ims_auth: fix cross-compilation

commit 52a773fb8bcd9a07f12dcb0de9bff8744ab386d3
Author: Klaus Darilion <klaus.mailinglists@pernau.at>
Date:   Thu Jan 10 22:45:09 2013 +0100

    kamailio.cfg: describe log levels

commit 6d34982c99060436bc9a3a07058eb805488fc34d
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Jan 10 21:45:09 2013 +0100

    mtree	Add RPC command mtree.summary

commit 52331c6ba80f2eb862405e7987ab21d6f55549e0
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Jan 10 20:10:49 2013 +0100

    mtree Bug fix - save number of nodes in mtree data structure at load
    
    Otherwise MI function doesn't report anything but zero nodes and memory

commit 222166ef3a20c0c4a98a3c810112901c71ef275d
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Thu Jan 10 19:01:47 2013 +0000

    modules/rtpproxy: allowing rtpproxy_manage to take the flags parameter as a pseudo-variable
    
    - Feature added by Hugh Waite @ Crocodile RCS

commit ef2b3a6ee84f75bd49a06635a486807eeaebc08a
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Thu Jan 10 12:50:06 2013 -0500

    kamdbctl: new command - kamdbctl pframework create
     - creates a provisioning framework for the installed db tables

commit 2793567c9f4f31e2d58e23faa092750f0d71a0c1
Author: Alex Hermann <alex@speakup.nl>
Date:   Thu Sep 29 18:47:46 2011 +0200

    modules_k/cfgutils: add locking around gflags
    
    gflags are stored in shared memory and must thus be protected against
    concurrent access.
    
    Reads from an int are atomic on most (all?) real world hardware, so only
    modification of the flags is placed under the protection of the lock, not
    reads.

commit 6f0f560ec9bf67d93e18f932f572aa8b526ac955
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Thu Jan 10 16:00:46 2013 +0000

    pkg/kamailio/(centos|fedora): updated .spec

commit 3b575a618545dcd65362ea6de972222703d824d9
Author: Richard Good <richard.good@smilecoms.com>
Date:   Thu Jan 10 16:28:07 2013 +0200

    modules/ims_qos: Added documentation
    
    Added admin documentation and README for ims_qos module

commit e7b5f667a4b094c1aa1c426fe33648db782f9190
Author: Richard Good <richard.good@smilecoms.com>
Date:   Thu Jan 10 16:08:54 2013 +0200

    modules/ims_usrloc_pcscf: Updated documentation
    
    Updated documentation and added README for ims_usrloc_pcscf module

commit 743c1f7f9645ce760f5f1892fbee187f96c8513a
Author: Richard Good <richard.good@smilecoms.com>
Date:   Thu Jan 10 15:50:01 2013 +0200

    modules/ims_auth:  Updated documentation
    
    Updated documentation and added README for ims_auth modules

commit 0b476ea4981b750e3f5974f5fd1e3b8fb39ed8fa
Author: Richard Good <richard.good@smilecoms.com>
Date:   Thu Jan 10 15:40:00 2013 +0200

    modules/ims_icscf: documentation updated
    
    Documentation for IMS ICSCF modules updated and README added

commit 06fb17e57e871e99eb251e3243f70652e92a013d
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Thu Jan 10 15:25:56 2013 +0200

    modules/ims_qos: Added IMS QoS module
    	- This module provides Diameter Rx IMS interface between PCSCF and PCRF
    	  functions

commit cbf2cb0c1d0301d63154834fbd9220e334b9c64c
Author: Jason Penton <jaybeepee@jaybeepee-laptop.(none)>
Date:   Thu Jan 10 14:33:54 2013 +0200

    parser/sdp: fast-access pointer for raw SDP stream string
    	- basically a pointer to the raw SDP stream

commit f0cb7735b766e14ba142a45064e254d82d079746
Author: Richard Good <richard.good@smilecoms.com>
Date:   Thu Jan 10 14:29:38 2013 +0200

    modules/ims_isc: documentation added
    
    Added documentation including README for ims_isc module

commit 8fb8b261fa76e5c3497b602f6b850fe02e5db48f
Author: Alex Hermann <alex@speakup.nl>
Date:   Tue Jan 8 19:09:48 2013 +0100

    core: make database version table name configurable from script
    
    When kamailio is part of a bigger project and is sharing its database with
    it, it is nice to have a less generic table name than "version".
    
    Also usefull when upgrading kamailio, where the new version has (backwards
    compatibel) changes in the database definition. If each kamailio version uses
    its own version table, they can all use the same database.

commit 89a9db548f01eea54eb11ae57b76abcfb5e5c5f6
Author: Alex Hermann <alex@speakup.nl>
Date:   Mon Nov 5 13:33:27 2012 +0100

    modules_k/kex: call pkg_proc_stats_destroy in module destroy function to free memory

commit 2628e120432001c118eb89ac1b7023a9f5e795ad
Author: Alex Hermann <alex@speakup.nl>
Date:   Mon Oct 29 15:25:21 2012 +0100

    modules_k/tmx: Add $T_reply_last, returning last reply code
    
    Make the last/previous reply on a branch available to the script via
    $T_reply_last. Only available in TM_ONREPLY_ROUTE.

commit a2d09db983aa0b9a54ee78d5a910ba92140b05f8
Author: Alex Hermann <alex@speakup.nl>
Date:   Thu Oct 11 18:43:07 2012 +0200

    modules/rtpproxy: Add 'b' flag to add a branch specific string tot the call-id
    
    In a forking call, sometimes it is needed that each branch uses different
    options to the rtpproxy. This patch adds a parameter that makes each
    rtpproxy session unique to a branch by appending the value of a PV to the
    call-id rtpproxy parameter.

commit f11f35045f6eaffd153d767946399fbb397bc3eb
Author: Alex Hermann <alex@speakup.nl>
Date:   Mon Jul 4 17:33:50 2011 +0200

    modules/avpops: avp_db_query: treat BIGINT result as INT, disregarding the most significant 32 bits.

commit 457d075d3aabcaff6b6d14b6dfbc01c8a91734ec
Author: Alex Hermann <alex@speakup.nl>
Date:   Thu Oct 11 18:28:34 2012 +0200

    modules/tm: Remember per-branch onreply_route and onfailure_route settings
    
    The onreply and onfailure routes were set only per transaction. This means
    that when the onreply and/or failure route is changed in failure route (serial
    forking), late replies to earlier branches would use the new onreply and
    failure route instead of the routes set for them.
    
    This commit copies the transaction's onreply and failure routes to the branch,
    so the route set when the request is sent out is always chosen, no matter
    how late the reply arrives.
    
    Because the per-branch setting is copied after running onbranch_route, it is
    now also possible to set the routes per-branch instead of per-transaction.

commit 0b9f84519dd018159d67bb827d7e5c7e1e4431e2
Author: Alex Hermann <alex@speakup.nl>
Date:   Mon Aug 29 18:44:20 2011 +0200

    modules/tm: add option to check callid when matching transactions
    
    Use this if you don't want replies/requests from broken clients, which
    send a mangled Call-ID, to match the transaction. For example when
    the UAC won't recognise the response anyway because of changed
    Call-ID, this setting will prevent accounting records to be created
    or failure_route to be skipped.

commit 9ff6a40fce5160f23a385693d79df508759f1a31
Author: Alex Hermann <alex@speakup.nl>
Date:   Thu Aug 25 11:16:18 2011 +0200

    modules_k/trusted: no not open DB connections if db_mode==1.
    
    For cached operation, childs (except MI) do not need DB access

commit d1a85fbb01a9ae5b23c7b4f58de4ec584295d611
Author: Alex Hermann <alex@speakup.nl>
Date:   Fri Aug 26 11:16:45 2011 +0200

    modules_k/nathelper: add return value 2 to fix_nated_sdp() indicating no ip's have been replaced

commit 358f0b859cdb15afa0c1079009a67b7aa9349f2e
Author: Alex Hermann <alex@speakup.nl>
Date:   Fri Aug 26 13:08:39 2011 +0200

    modules_k/pv: make individial flags accessible via $Mf(idx), $Bf(idx) and $Sf(idx)
    
    The parameter is the flag number (or registered name). If present
    allows setting and reading the corresponding flag. As each flag is
    now available as separate PV, it can be used in logging, transformations
    and, last but not least, in loading/storing individual flags
    from/to a database with sql_pvquery().
    
    When setting, any value != =0 will set the flag, 0 will clear it. When reading
    a set flag returns 1, cleared flag 0.
    
    example:
    
    xlog("flags: 0x$mF / $Mf(15) / $Mf(16)");
    setflag(15);
    xlog("flags: 0x$mF / $Mf(15) / $Mf(16)");
    $Mf(16) = 1;
    xlog("flags: 0x$mF / $Mf(15) / $Mf(16)");
    $Mf(15) = 0;
    xlog("flags: 0x$mF / $Mf(15) / $Mf(16)");
    
    output:
    
    flags: 0x00000000 / 0 / 0
    flags: 0x00008000 / 1 / 0
    flags: 0x00018000 / 1 / 1
    flags: 0x00010000 / 0 / 1

commit 847ea5b2bc81749a44de34b35e5ef8516819951a
Author: Alex Hermann <alex@speakup.nl>
Date:   Tue Aug 30 13:35:55 2011 +0200

    modules_k/trusted: Free memory of old trusted list when the list has been reloaded

commit 1411a5789139cc302179b7d9f3a2b678e2caef9c
Author: Alex Hermann <alex@speakup.nl>
Date:   Fri Sep 16 13:48:59 2011 +0200

    modules/mtree: Do not log an error when prefix not found.
    
    A not found prefix is already represented as a negative return code.
    No need to log an error, as it may be perfectly valid that a prefix does not
    exists.

commit 58e81b6c42cc48bd2b4afe84491a1a12d9d4b973
Author: Alex Hermann <alex@speakup.nl>
Date:   Thu Sep 22 15:59:23 2011 +0200

    lib/srdb1: store BIGINT result also as 32-bit integer if it fits
    
    BIGINT is always converted to string. Additionally it is now stored as INT too.
    
    MySQL (at least on 64-bit) is returning BIGINT for all "generated" INT values,
    like COUNT(*). By storing thee results as INT (if possible), the config script
    will be compatible with both 32-bit and 64-bit column values.

commit d5898510adbe9c45d16a770531a3e7c95061956b
Author: Alex Hermann <alex@speakup.nl>
Date:   Mon Oct 3 15:55:42 2011 +0200

    modules_k/tmx: Add active_transactions statistics
    
    An active transaction is a transaction that is still waiting for a reply.
    If it has seen a reply but is existing just to collect retransmissions,
    it is not counted (in contrast to inuse_transactions).

commit 74c1a6224a0d55735f01e0b0800206eec002fab0
Author: Alex Hermann <alex@speakup.nl>
Date:   Tue Mar 27 16:44:23 2012 +0200

    modules_k/dialog: Allow unset_dlg_profile also in REQUEST_ROUTE
    
    even if the function has no use in normal REQUEST_ROUTE, the route block
    may be called from other route blocks like failure_route.

commit 1109a4ff6c68d9b2a619198cf1150b3431565bf0
Author: Alex Hermann <alex@speakup.nl>
Date:   Mon Jan 7 15:35:46 2013 +0100

    modules_k/sqlops: eleminate string copy in sql_exec_xquery()
    
    xavp api will make a copy in shmem, no need to make a private copy first.
    
    Thanks to Juha heinanen and Daniel-Constantin Mierla for finding this
    inefficiency.

commit 9b3d4e192859d83d8ec990751a5ead29ff72dab1
Author: Alex Hermann <alex@speakup.nl>
Date:   Thu Nov 29 11:47:10 2012 +0100

    modules/pv: Fix $snd(ip) for IPv6
    
    Result was always an empty string surrounded by []. Converted to use ip_addr2a().
    This also prevents the surrounding [], which are not part of an IPv6 address.

commit 0ba54b551aa5dd7c13d4c6c4c275fd4cba3b17b0
Author: Alex Hermann <alex@speakup.nl>
Date:   Thu Feb 23 23:48:16 2012 +0100

    modules_k/htable: don't return expired values
    
    If an item has expired, it will be treated as non-existent.

commit 87d10dc1dce72d5c6b3a658f1d1193d16633eb6c
Author: Alex Hermann <alex@speakup.nl>
Date:   Mon Feb 27 14:14:44 2012 +0100

    modules_k/perl: Fix resetting of flags in sv2int_str
    
    According to the functions comments and its usages in the same file, the flags would only be or'red, not reset
    
    This fixes setting an string named avp with an integer value:
    
    OpenSER::AVP::add("string", 12345);

commit dfe3f66fc7969a5c479f78b1ec000914c48bd9ff
Author: Alex Hermann <alex@speakup.nl>
Date:   Tue Feb 28 11:39:10 2012 +0100

    modules/sanity: Fail if request uri can't be parsed

commit 1be860ef1a766bf271e7f7f7efcdc1006fe5bde9
Author: Alex Hermann <alex@speakup.nl>
Date:   Thu Jun 7 14:20:01 2012 +0200

    modules_k/pua_mi: when checking for 0-length string, check s.len, not s.s

commit 1e1202d3a710eeec5f534fc11f0406ba3e449df6
Author: Alex Hermann <alex@speakup.nl>
Date:   Mon Jul 16 15:24:37 2012 +0200

    modules/auth: replace ser_time() wih time()
    
    The values returned by ser_time() deviate so much from time() (and thus
    system time) that the module was creating expired nonces in challenges
    and rejected valid nonces as being "from the future".
    
    See also FS#243

commit bf7c1ee6d77e781e846504970a1c2d3ef9544908
Author: Alex Hermann <alex@speakup.nl>
Date:   Tue May 15 12:29:14 2012 +0200

    modules/rtpproxy: return -3 when no more rtpproxy nodes can be found
    
    Provide a unique error code for the case when no (more) proxy nodes
    are availave in the set. This allows the script recognize it from
    the more general errors (all -1) and do special processing (failover
    to another set)

commit d0d17a8b9c20bfd9e8ce78931dd9f52254242a74
Author: Alex Hermann <alex@speakup.nl>
Date:   Mon Jan 7 15:16:27 2013 +0100

    modules_k/uac: regenerate README

commit f310fd10bda2da682dee9eaa91474c704ffd8c2c
Author: Alex Hermann <alex@speakup.nl>
Date:   Tue Jul 10 12:41:45 2012 +0200

    modules_k/uac: uac_reg: add reg_retry_interval parameter
    
    The new parameter allows to retry failed registration attempts.
    Instead of unconditionally marking the entry as disabled, the
    registration will be retried after the set interval. Setting it
    to 0 (default) retains the old behaviour.

commit 7432aa5ee180851dd5d6d933cbfe7ced93396566
Author: Alex Hermann <alex@speakup.nl>
Date:   Tue Feb 28 15:23:17 2012 +0100

    modules_k/uac: uac_reg: skip realm checking if realm is empty
    
    When realm is the empty string, do not check the realm, but accept anything
    the UAS throws at us.

commit 0507b848d0257b478b422b49eb339ade7b801579
Author: Alex Hermann <alex@speakup.nl>
Date:   Tue Feb 28 13:10:23 2012 +0100

    modules_k/uac: skip realm matching when realm pv for uac_auth is empty or null
    
    This can be used if the realm used by the upsteam UAS isn't known in advance.

commit eb1abe66b9f97a4f98386d294b538a53ec05c9a6
Author: Alex Hermann <alex@speakup.nl>
Date:   Tue Feb 21 12:35:18 2012 +0100

    modules_k/uac: Add reg_db_table parameter to specify table name for registrations

commit d2bdfd325665a0bc2652cdaa237d0afda9e4e8f8
Author: Alex Hermann <alex@speakup.nl>
Date:   Fri Sep 2 09:36:43 2011 +0200

    modules_k/tmx: add t_is_reply_route()
    
    Function to determine if the top executed route block is a reply.
    In line with t_is_failure_route() and t_is_branch_route().

commit 87bce89fe77942146d03ce4a44e6330e4a8149e7
Author: Alex Hermann <alex@speakup.nl>
Date:   Thu Sep 1 17:18:03 2011 +0200

    modules_k/tmx: add $T_reply_reason PV
    
    Especially for internally generated (faked) replies it was hard to
    get the reason phrase. This PV provides just that.

commit 43533b41f2a4fb23b24bcf98b01fca223c605cd9
Author: Alex Hermann <alex@speakup.nl>
Date:   Mon Jan 7 17:10:18 2013 +0100

    Makefile: add corex module to kstandard group

commit 14ef60cf93f2e7d2a458f8a3ce287e52f1b497d6
Author: Alex Hermann <alex@speakup.nl>
Date:   Mon Jan 7 14:04:57 2013 +0100

    modules/tmx: set $T_branch_idx to sane values for more route types
    
    $T_branch_idx will now return a branch number (0-based) in more route types.
    
    BRANCH_ROUTE and TM_ON_REPLY_ROUTE: currently handled branch number
    REQUEST_ROUTE and FAILURE_ROUTE: next branch number, will be increased by
        every append_branch
    
    In FAILURE_ROUTE, the branch number of the winning reply can be retreived
    with $T_rpl($T_branch_idx)
    
    All other route types will result in (the invalid) branch number -1.

commit 397ef369d7092aa670d63f81aa86657daee47071
Author: Alex Hermann <alex@speakup.nl>
Date:   Fri Oct 12 14:06:33 2012 +0200

    modules/tm: Set branch_index to T_BR_UNDEFINED when outside BRANCH_ROUTE or TM_ONREPLY_ROUTE.
    
    The inconsistent value of $T_branch_idx between BRANCH_ROUTE and
    TM_ON_REPLY_ROUTE was fixed in an earlier commit, but now the value 0 has a
    double meaning (branch 0 or invalid branch). This patch makes the invalid
    branch distinguishable by setting it to -1.
    
    Now $T_branch_idx will return the branch number (0-based) in BRANCH_ROUTE
    and TM_ON_REPLY_ROUTE and -1 in other route types or if the message is not
    part of a transaction.

commit e23e51ee2d5390b903b9f3029b01181c0dc5a7ba
Author: Alex Hermann <alex@speakup.nl>
Date:   Thu Oct 11 16:53:55 2012 +0200

    modules/tm: Make branch_index consistent in all route types
    
    The branch index was set one to high in BRANCH_ROUTE, leading to
    inconsistent branch numbers in reply routes.

commit aa454db1818220d6b05699b9ee6e01a8237ffcb1
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Jan 9 22:21:45 2013 +0100

    siptrace	Typo after test compilations. Bad luck.

commit a59b5bc19b2cc672794c959ee6eb4e42c461a3e9
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Jan 9 21:20:17 2013 +0100

    cdp  Documentation updates
    
    Read my lips: It's configuration, not confiuaragion or confirtuaration... :-)

commit a6b038332e38e6f60fee32896ffd610cf76e11ee
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Jan 9 20:43:00 2013 +0100

    avp XML doc updates

commit c79c33f14d9cf15444cdd024551c788679cf71bb
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Jan 9 20:42:12 2013 +0100

    avp 	Documentation typo fix and update (SER => Kamailio)

commit 66560d5ad5c136aa833db57ed32283d788f56611
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Jan 9 20:18:42 2013 +0100

    outbound(k) Minor edit of documentation.
    
    Please ignore, keep calm and carry on.

commit 226c92425b266f1c1a5efb2286cf067ce0b7df22
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Jan 9 20:13:26 2013 +0100

    siptrace(k) Fixing a bad change in docs...

commit 9b1c23481551ef74b6efeb0118c1119470a08826
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Jan 9 20:09:39 2013 +0100

    siptrace(k)	Add RPC command for turning on/off
    
    Copying the functionality of the existing MI command.
    
    Also, setting the value of the trace_flag to 0 by default, as
    documented in the documentation.

commit fd77c500050073e019b0366fdcd3a6c125a20cb9
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Jan 9 20:04:29 2013 +0100

    sipcapture: Fix typo in XML markup

commit 9af31f9c44cc35a4cbe74accf79513c7272ec93c
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Jan 9 19:50:12 2013 +0100

    sipcapture Small cleanup in docs

commit ba12e3893787a8340d21aa18ab6faa81e825713f
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Jan 9 18:38:54 2013 +0100

    sipcapture  Small typo

commit 8ebf2dbe6cc0e51b47c423227f5dcff14c7af4c3
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Jan 9 18:37:43 2013 +0100

    sipcapture	Add RPC command to turn on/off or check status
    
    Kamailio RPC rocks - much more than IMS ;-)

commit 70ca23583a136f2a401ce57d4b9f110e2f4db1fe
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Wed Jan 9 12:34:27 2013 -0500

    pv(k): Remove read-only empty strings that might be attempted to be written to

commit 2207618978f5d61c3afe65007c3460a2e1ef0d37
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Jan 9 16:53:07 2013 +0100

    usrloc(k)	Add RPC for AOR lookup
    
    Copied from mi interface. RPC rocks!

commit 875c5e71cf1ac077f17eb15030ce8cfb0d299e89
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Jan 9 15:29:48 2013 +0100

    usrloc(k) Reveal existing rpc command in README

commit e1306157b324d2ad21d97af0edf14072769787d7
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Jan 9 14:00:32 2013 +0100

    db_cassandra Minor edits and typo fixes to README

commit 8341030426fbe1f48e527b52d694b188ecdd48dc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 9 14:55:46 2013 +0100

    registrar: execute event route when a contact expires
    
    - the name of the routing block is event_route[usrloc:contact-expired]

commit ff18475e9fd3c6d4da4ca2e85c045fc761eb48e5
Author: Anca Vamanu <anca.vamanu@1and1.ro>
Date:   Wed Jan 9 15:44:38 2013 +0200

    db_cassandra: updated documentation
    
    - added URLs for Thrift library and Cassandra

commit b7fde2349a28e22cd9e02412d914d07ee8654f79
Author: Anca Vamanu <anca.vamanu@1and1.ro>
Date:   Wed Jan 9 14:19:06 2013 +0200

    db_cassandra: Improved documentation and config file example

commit b2e1fdd5df2e52d1393ebe592869e54fb6ee734f
Author: Anca Vamanu <anca.vamanu@1and1.ro>
Date:   Wed Jan 9 12:52:13 2013 +0200

    dbcassandra Added schema files for domain module

commit 3b9de69fcc60bf918413a8b79fb475067c1852b3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 8 22:38:35 2013 +0100

    dialog(k): bridge contact address can be set via parameter

commit 644902198d7727d8c283109d84de36babf5544ad
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 8 22:34:00 2013 +0100

    dialog: add contact header in REFER for dlg_bridge()
    
    - some UAs reject the REFER if there is no contact header

commit 0574a4833122a6f4c0b70e84dfbe7bb2f0f821ce
Merge: fca96b0 d923afb
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Wed Jan 9 11:18:48 2013 +0200

    Merge branch 'master' of ssh://git.sip-router.org/sip-router

commit fca96b0b6383198bbd95f0421e66bfb9cb1956f3
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Wed Jan 9 11:17:03 2013 +0200

    modules_k/rr: updated README

commit d923afb1737651cbb7e4aac2517445afd4625c6c
Merge: d645d52 ead5275
Author: Richard Good <richard.good@smilecoms.com>
Date:   Wed Jan 9 10:35:22 2013 +0200

    Merge branch 'master' of ssh://git.sip-router.org/sip-router

commit d645d525cc6e67ef17af31cbe7a54099134794e7
Author: Richard Good <richard.good@smilecoms.com>
Date:   Wed Jan 9 10:34:05 2013 +0200

    examples/scscf/kamailio.cfg - fixed IMS modules names
    
    Updated SCSCF example cfg to use new IMS module naming convention

commit ead52752c9b61c0fcadd95d3d39042498068c73c
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Wed Jan 9 10:31:51 2013 +0200

    modules_k/rr: added feature to set custom username for Record-Route URI
        - this is an AVP param that can be used to customise the default
          username (Request-URI) added to the Record-Route URI before
          calling record_route.

commit 9d394f9844b6043372b72539c69e9d56b0861d6d
Author: Richard Good <richard.good@smilecoms.com>
Date:   Wed Jan 9 10:29:25 2013 +0200

    examples/pcscf/kamailio.cfg - fixed IMS modules names
    
    Updated PCSCF example cfg to use new IMS module naming convention

commit d3dee2b4579310fde42cfc727ebd5dc7537d8446
Author: Richard Good <richard.good@smilecoms.com>
Date:   Wed Jan 9 10:19:47 2013 +0200

    examples/icscf/kamailio.cfg - fixed IMS modules names
    
    Updated ICSCF example cfg to use new IMS module naming convention

commit 68d7468cf77e1831186ea0017ead15adb73c1328
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Jan 9 08:37:41 2013 +0100

    snmpstats(k) Change from OpenSER to Kamailio
    
    Note: Apart from code name changes, the MIB files and the objects
    has changed names. This will affect all systems monitoring your
    SIP server as you upgrade to 4.0.0

commit 2b09c72457a1c84508d74feb9dbc2d86f682508c
Author: Olle E. Johansson <oej@edvina.net>
Date:   Wed Jan 9 07:56:14 2013 +0100

    htable(k) Add new RPC htable.listTables
    
    This RPC list all defined tables and their settings

commit 85ee107929a80b54d47eaabef6f25d7b2f0659e7
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Tue Jan 8 20:58:03 2013 +0100

    Added sample configuration files for Kamailio IMS Setup. IMS Rocks!
    
    Greetings from the Dolomites, Italy, Carsten

commit d21c7e32ceb52a90a9106fb3bba66cdd357a1fa6
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Tue Jan 8 14:30:17 2013 -0500

    pipelimit: fix documentation typo

commit 3f8d1e2bdba6650d2541261a2184a0bef5b88b07
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Tue Jan 8 14:21:46 2013 -0500

    pipelimit: enhance return codes for pl_check() function

commit 16784302104e5fc40b3873019938d140c402eff6
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Tue Jan 8 13:08:44 2013 -0500

    module*/*/Makefile: libcurl dependencies build fixes

commit 66cc4397e04591fd5b2af9798a1ab22d3dbaf7b6
Author: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be>
Date:   Tue Jan 8 12:42:40 2013 -0500

    module*/*/Makefile: libpcre dependencies build fixes

commit 79295e7a5820921646846eec062e1ff7c27fec9d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 8 18:41:35 2013 +0100

    kamailio.cfg: mention v4.0 in the header of config file

commit ea4daadd16ff3d45c0c35d90df38bfcc33e8bfbe
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Tue Jan 8 16:21:19 2013 +0000

    pkg/kamailio/(centos|fedora): Updated .spec file

commit 60f177ba77647fb7203f5c3b92d34a196f237a09
Author: richard <richard@richard-laptop.(none)>
Date:   Tue Jan 8 17:32:11 2013 +0200

    modules/usrloc_pcscf and modules/usrloc_scscf - removed unnecessary junk files

commit 36a0cb38bcafcb4d4e2bfbc0977e0c1f25e74d14
Author: richard <richard@richard-laptop.(none)>
Date:   Tue Jan 8 17:23:29 2013 +0200

    modules/ims* and modules/dialog2 - changed modules name to prepend ims_ to all IMS modules
    
    As per mailing list and offline discussions have prepended _ims to all IMS modules and renamed dialog2 dialog_ng
    New modules name:
    dialog_ng
    ims_auth
    ims_icscf
    ims_isc
    ims_registrar_pcscf
    ims_registrar_scscf
    ims_usrloc_pcscf
    ims_usrloc_scscf

commit 4c7ba37b7d8bf55d1983950812a3ae060e5ee3e4
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Tue Jan 8 16:47:13 2013 +0200

    modules/cdp: Added kcore link for statistics

commit 1ee54a1e511b98848fd2a6a5075009e2e0b4df06
Author: Olle E. Johansson <oej@edvina.net>
Date:   Tue Jan 8 12:52:44 2013 +0100

    permissions(k) Add RPC function calls that match functionality in old modules_s module

commit 82303dfad79c601767bb8e1a115fd30d1fb3a282
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Tue Jan 8 11:27:11 2013 +0000

    modules_k/outbound: updated documentation
    
    - Fixed some mistakes in the Edge Proxy example
    - Filled in more detail in the Registrar example

commit f57ac2ddaf1a4bbb8178f9fdc2fc408819d41228
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Tue Jan 8 11:02:09 2013 +0000

    modules_k/rr: fixed typo in a diagnostic
    
    - Thanks to oej for pointing this out

commit a20893dd6cbf1a5fc7f48d9e8fd1823bbb1ba07f
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Tue Jan 8 11:01:31 2013 +0000

    modules_k/outbound: downgraded and ERR diagnostic to INFO
    
    - Thanks to oej for pointing this out

commit 5fc244a81ff4749bd8cb0196a1baecd8a721191a
Merge: ecba6cf 9a10ed3
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Tue Jan 8 11:01:37 2013 +0200

    Merge branch 'master' of ssh://git.sip-router.org/sip-router

commit ecba6cf229f849dd6390bbb2b9e9e70628fd0bd7
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Tue Jan 8 11:00:16 2013 +0200

    modules/cdp: added omitted statistics files

commit 9a10ed3334804f520ecdab03f1019a19e13e0494
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Tue Jan 8 00:24:47 2013 +0000

    modules_k/registrar: documented new "flow_timer" modparam

commit e18905ea53c2c5d4a565de596e2c2913ede6466f
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Tue Jan 8 00:24:13 2013 +0000

    modules_k/registrar: Added modparam to allow Flow-Timer: to be set in 200 OK response to REGISTER requests

commit 2aa85480330e368154e2d1c407380ba06f66d3f5
Author: Juha Heinanen <jh@tutpro.com>
Date:   Mon Jan 7 21:59:18 2013 +0200

    modules/rtpproxy: removed LM_DBG that caused compiler warnings

commit 329db6c3ace5e93a3b7ab7155481f2e9705119b3
Merge: e7bb3af c9de09b
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Jan 7 16:11:05 2013 +0000

    Merge branch 'master' of ssh://git.sip-router.org/sip-router
    
    * 'master' of ssh://git.sip-router.org/sip-router:
      core: when printing the listening sockets on startup print also the advertise-port

commit e7bb3af61bea673af801a5b9280f50ec13958a3b
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Jan 7 16:10:46 2013 +0000

    modules_k/outbound: Updated the module documentation

commit 4cb23b43c246cb227282474d2b7bd6d6ff9c2033
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Jan 7 16:10:17 2013 +0000

    modules_k/registrar: Updated registrar module documentation to describe the outbound_mode parameter

commit c486a9358f146ac2b3e5047021c197c3eb6b41d8
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Jan 7 16:08:13 2013 +0000

    modules_k/registrar: New outbound_mode parameter
    
    - Controls whether outbound options-tag is required in REGISTER
      requests and whether they are added to responses to REGISTER requests.
    - Needed so that an Outbound Edge Proxy can add a Flow-Timer: header
      to 200 OK responses (to REGISTERs) that contain a Requires: header with
      the outbound options-tag.

commit c9de09b99b417aebb8fe84d44dec6c1bff1d8849
Author: Klaus Darilion <klaus.mailinglists@pernau.at>
Date:   Mon Jan 7 16:22:38 2013 +0100

    core: when printing the listening sockets on startup print also the advertise-port

commit da1d8d1a9315d187b050468aa33772253f10e47b
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Mon Jan 7 12:47:11 2013 +0200

    modules/sipcapture: fixed defines for Solaris

commit ff1c7f3756bf7c2175b7209ccc13ab0cbf6cb4f8
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Mon Jan 7 11:02:06 2013 +0200

    md5.h: fixed types for Sun Solaris

commit 3dd44561692657027289ff320709ce5d4bff210e
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Mon Jan 7 09:56:24 2013 +0200

    modules/cdp: housekeeping
        - corrected copyright
        - fixed timer code (latency thresholds)
        - changed to KAMAILIO module interface

commit 0b108c83ba7138c760fa86c9274633c92b7193a1
Merge: 9f63684 94e9bd8
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Jan 6 19:37:22 2013 +0000

    Merge branch 'master' into outbound
    
    * master:
      pkg/kamailio/(centos|fedora): Updated ver and rel in .spec
      sl: fix compilation warnings in sl_forward_reply()
      dialog: fixed ka_timer linking
      core: command line option -v replaced with -K
      msrp: new parameter use_path_addr
      msrp: added rpc command to list active connections
      msrp: added internal map table to track msrp connections
      pipelimit: implemented support for RPC commands
      Makefile.defs: major version base updated to 4.0.0
      sl: new function sl_forward_reply(...)
      core: added function to remove an exiting lump structure from internal list
      dialog2: generate and add missing README for dialog2 module
      Do not bind with libser_cmd, this is not required.
      Added Debian-Packaging for IMS modules
      - Add group for IMS modules - Added convenience rule to build packages for current debian-stable
      ims modules: don't link with -lrt on macosx
      auth_ims: don't link with -lrt on darwin os
      kamailio.cfg: xhttp left only in kamailio-oob.cfg
      modules/rtpproxy: rtpproxy_manage can now add ice relay candidates
      parser/sdp: fixed freeing of ice attributes

commit 94e9bd8f15e192ee8b1c14d759129992b35435bf
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Jan 6 19:36:39 2013 +0000

    pkg/kamailio/(centos|fedora): Updated ver and rel in .spec

commit 9f636841675f9cdd5a4baf768784564be71660b0
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Jan 6 19:32:45 2013 +0000

    modules_k/outbound: Updates to outbound module documentation

commit 539e606d4ab88b837207fbe5a921f05756eba8a5
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Jan 6 19:32:29 2013 +0000

    modules_k/outbound: Fixes to outbound code arising from testing

commit b0ee720bec6d188615b98e8b107100fc5158e839
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Jan 6 19:32:04 2013 +0000

    modules_k/rr: Updates to rr module documentation for outbound

commit a9d425f4aa8fe0fdc4aac3e158b6c98fd59a5776
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Jan 6 19:31:41 2013 +0000

    modules_k/rr: Fixes to loose.c from outbound testing

commit 3f0f60d22d5577965b50821b1c7d0835c898c3f9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 6 15:28:28 2013 +0100

    sl: fix compilation warnings in sl_forward_reply()
    
    - reported by Juha Heinanen

commit ddcef074088df261ce3fb98adfbb1b76b73c30a6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 6 15:24:39 2013 +0100

    dialog: fixed ka_timer linking
    
    - patch by Rinor Hoxha

commit 70d6cae27153d6641b2a781634aeb585b741d3a0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 6 00:00:40 2013 +0100

    core: command line option -v replaced with -K
    
    - -v was exposing to misusage for -V (version), now is aliased to it

commit 830af85c45933b3cdc3c48152667162fcf969a55
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 5 23:51:07 2013 +0100

    msrp: new parameter use_path_addr
    
    - specify host and port for usage in Use-Path header

commit bc8b005ba4d4c89afa6152dd212eda9b6689bb86
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 5 23:36:43 2013 +0100

    msrp: added rpc command to list active connections

commit ea3cacb10d2cc15f23c3a0c7fead151939873951
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Jan 5 22:00:55 2013 +0100

    msrp: added internal map table to track msrp connections
    
    - initial version
    - the table can be enabled via config parameters

commit f432022f943ad4f72d3643974f065c6007af6589
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Jan 4 21:34:50 2013 -0500

    pipelimit: implemented support for RPC commands

commit e03be11d30abd9f6a5a756ae142444395f09df93
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 4 19:29:30 2013 +0100

    Makefile.defs: major version base updated to 4.0.0
    
    - development version is now 4.0.0-dev8

commit d01b11b0cbbbfb84ae3d10fb90c05aedf07c9ccc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 4 19:26:21 2013 +0100

    sl: new function sl_forward_reply(...)
    
    - forward the received reply fron configuration, before it would be done
      by the core. It has the option to change the status code and reason
      phrase
    - the forwarding is statelessy, not affecting the tm states

commit 7fd561975706676e61bb3d90968652edcb96f35c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 4 19:25:05 2013 +0100

    core: added function to remove an exiting lump structure from internal list

commit d2b805c8b13943f82240276f98f78145ac7572f9
Author: Henning Westerholt <hw@kamailio.org>
Date:   Thu Jan 3 16:44:03 2013 +0100

    dialog2: generate and add missing README for dialog2 module

commit 2ce18eee8cfb85d7c88187a419c8d3f81228a1f8
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Thu Jan 3 16:24:59 2013 +0100

    Do not bind with libser_cmd, this is not required.

commit 9cb6a84106aca0c998084c25b8b05d9d34a35ff2
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Thu Jan 3 15:03:46 2013 +0100

    Added Debian-Packaging for IMS modules

commit fc1706e0c3b53500a321c13bc3450a4ccbe6dd6c
Author: Carsten Bock <carsten@ng-voice.com>
Date:   Thu Jan 3 15:02:40 2013 +0100

    - Add group for IMS modules
    - Added convenience rule to build packages for current debian-stable

commit 539f97bdaa4b6c12fec3a943b6adb7902b748827
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 2 14:38:22 2013 +0100

    ims modules: don't link with -lrt on macosx
    
    - define MAXINT on mac os x

commit cf93bf2097660c093645550f1d3b54fdc1154288
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 2 14:22:39 2013 +0100

    auth_ims: don't link with -lrt on darwin os

commit 8660e2f031a159d0ac1edb87e20738f50a87d5c6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 2 14:09:53 2013 +0100

    kamailio.cfg: xhttp left only in kamailio-oob.cfg

commit 75fde552f1c4cdea736baa72ff1aa36e527e0215
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Jan 2 13:00:31 2013 +0200

    modules/rtpproxy: rtpproxy_manage can now add ice relay candidates
    
    - The feature is activated by defining ice_candidate_priority_avp module
      parameter.

commit 35bc07e6a13e12aba519be8bde1a1e1dc06a1d94
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Jan 2 09:13:00 2013 +0200

    parser/sdp: fixed freeing of ice attributes

commit a117147b4c6563be21c0403eeeacf5ff0f3ba709
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Tue Jan 1 20:46:18 2013 +0000

    modules_k/outbound: updated example

commit 0a528b23bc39eabfaaf2874a74ce529955c21ff5
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Tue Jan 1 20:45:49 2013 +0000

    modules_k/rr: outbound fixes
    
    - Use the OUTBOUND address in RR when using outbound

commit 9b5c3a991942da005b8c56b049a1ebde5596042b
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Tue Jan 1 20:45:24 2013 +0000

    modules_k/outbound: fixes to use_outbound()

commit e2d144bd76f327ce7c52914ed0462f415e7d06a7
Merge: 4a41827 ddfbbd7
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Dec 31 17:12:01 2012 +0000

    Merge branch 'master' into outbound
    
    * master:
      parser/sdp: added check on body length when looking for 'a=candidate:'
      parser/sdp: added 'a:remote-candidates' media stream attribute

commit 4a418276b50212feb3ef4d659c42e6772fc9fcd7
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Dec 31 17:11:30 2012 +0000

    modules_k/outbound: first draft of outbound module documentation

commit 72d8e454f29174673cc80f9795ac8d564c2ca1bb
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Dec 31 17:11:14 2012 +0000

    modules_k/outbound: Corrected check on flow_token_key length

commit ddfbbd7c0eb7fc1c7ffbb07d6260271ded8b42b3
Author: Juha Heinanen <jh@tutpro.com>
Date:   Mon Dec 31 18:18:05 2012 +0200

    parser/sdp: added check on body length when looking for 'a=candidate:'

commit 88a8eb348359f05a1ff14371f8e323cf086d6497
Author: Juha Heinanen <jh@tutpro.com>
Date:   Mon Dec 31 18:16:23 2012 +0200

    parser/sdp: added 'a:remote-candidates' media stream attribute

commit 5214a6e617bfc8f2471fcf0d02d8fa5cf0a9ce3b
Merge: e00d77f 945b1fd
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Dec 31 16:08:59 2012 +0000

    Merge branch 'master' into outbound
    
    * master:
      pkg/kamailio/(centos|fedora): Added IMS modules to RPM builds
      parser/sdp: added partial parsing of a=candidate attributes
      modules/sipcapture  README: added HEPv2/v3 to supported protocols
      modules:siptrace changed include to hep.h
      Added HEPv3 (UDP) support for sipcapture.
      modules/registrar_pcscf: firs commit of registrar_pcscf module 	- registrar for P-CSCF functionality
      modules/registrar_scscf: first commit of registrar_scscf 	- Registrar functionality for S-CSCF servers
      modules/isc: first commit of ISC module (IMS Service Control)
      modules/usrloc_scscf: first commit of usrloc_scscf modules 	- usrloc functionality for S-CSCF servers
      modules/usrloc_pcscf: first commit of usrloc_pcscf module
      modules/auth_ims: first commit of auth_ims module 	- This module provides IMS specific authentication/authorisation functionality.
      modules/icscf: added I-CSCF module.
      modules/dialog2: first version of dialog2
      lib/ims: added some info to README on IMS library
      IMS Internal Lib: added internal kamailio library for IMS extensions

commit 945b1fd62e1bb5c9d4aa066666d64ae63731c94a
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Dec 31 16:08:20 2012 +0000

    pkg/kamailio/(centos|fedora): Added IMS modules to RPM builds

commit e00d77f710fe36dca08f099306c837ef7e53309f
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Dec 31 15:36:00 2012 +0000

    modules_k/outbound: filled in use_outbound() function

commit 488bf3c94b2498e7539638202ee878c237fde567
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Dec 31 15:35:32 2012 +0000

    core: added parsing of ;ob for URIs and Contact: headers

commit b7a1ea4c8a88eea873bf6b4bfac5e1f477a19073
Author: Juha Heinanen <jh@tutpro.com>
Date:   Mon Dec 31 15:51:53 2012 +0200

    parser/sdp: added partial parsing of a=candidate attributes

commit 9d9394d63c3ccdfa3ce7ba067ef29c4657f0eb37
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Dec 31 13:44:19 2012 +0000

    modules_k/rr: handle outbound failing and outbound just not being used as separate cases

commit dccab57430d0014b386a8f97ca6c8506a81402e7
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Dec 31 13:43:15 2012 +0000

    modules_k/outbound: decode_flow_token() returns different values when an error occurs and when the string obviously isn't a flow-token

commit a0a23aacc9a2d19b30f62702811c1eadc5671d98
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Dec 31 13:28:06 2012 +0000

    modules_k/rr: updated documentation for outbound support

commit 7d6d7f177f465e184e1ef612a82a7406ccadd45a
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Dec 31 13:25:36 2012 +0000

    modules_k/rr: fixed typos in diagnostics and comments

commit a0dd2a75dc763ebb5907573aac3b8653c5faf93a
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Dec 31 13:25:01 2012 +0000

    modules_k/path: fixed a typo in a diagnostic message

commit 6141b16fc5f619938472f6f56d0fb2e0e5456aee
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Dec 31 12:55:06 2012 +0000

    modules_k/rr: tidied up error handling and comments relating to outbound

commit 5ceef3cb48fc4b1e9c75abf91ba45f59f5125751
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Mon Dec 31 12:54:37 2012 +0000

    modules_k/outbound: tightened up error handling in decode_flow_token()

commit 680173cfc89bc051ce026ddf4a62dab494aa20a0
Author: Alexandr Dubovikov <alexandr.dubovikov@gmail.com>
Date:   Mon Dec 31 00:33:16 2012 +0100

    modules/sipcapture  README: added HEPv2/v3 to supported protocols

commit 13889dfc3274f86352c719276b52fd8a458c243f
Author: Alexandr Dubovikov <alexandr.dubovikov@gmail.com>
Date:   Mon Dec 31 00:27:22 2012 +0100

    modules:siptrace changed include to hep.h

commit 6eda5e28355df2f1085f0ab9d303309965c4cd4f
Author: Alexandr Dubovikov <alexandr.dubovikov@gmail.com>
Date:   Mon Dec 31 00:21:02 2012 +0100

    Added HEPv3 (UDP) support for sipcapture.
    
    Many many thanks Dragos Dinu for your help!
    
    Happy New Year! Glückliches neues Jahr! С Новым Годом! La Mulți Ani!

commit bd26883f8cf782a09dd115389b1a5cc60fdd2f83
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Sun Dec 30 22:40:27 2012 +0200

    modules/registrar_pcscf: firs commit of registrar_pcscf module
    	- registrar for P-CSCF functionality

commit d274ee387a3aa27be808b11b879311793f840a40
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Dec 30 19:31:24 2012 +0000

    modules_k/rr: Fixed return from process_outbound()

commit 4bbd8718667d5fed76b7b97b3e915647cf80e611
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Dec 30 19:27:24 2012 +0000

    modules_k/rr: added decoding and using of flow token to loose_route()

commit 200082fd140bcebc7cdbf1d5511f51aa6e6f304e
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Sun Dec 30 20:39:58 2012 +0200

    modules/registrar_scscf: first commit of registrar_scscf
    	- Registrar functionality for S-CSCF servers

commit 49ef3f0279491020a334d93aeb7c76e723305564
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Sun Dec 30 20:36:41 2012 +0200

    modules/isc: first commit of ISC module (IMS Service Control)

commit f08bc36d878529410dcfafa69753f80ade261f6f
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Sun Dec 30 20:34:44 2012 +0200

    modules/usrloc_scscf: first commit of usrloc_scscf modules
    	- usrloc functionality for S-CSCF servers

commit eda0f25661a153dde09c91a371cd7e02e18d7b26
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Sun Dec 30 20:33:00 2012 +0200

    modules/usrloc_pcscf: first commit of usrloc_pcscf module

commit 5e844cf90c0d288a4038f5b2ff7cbebeab856488
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Dec 30 18:31:07 2012 +0000

    modules_k/outbound: changed some errors to info

commit 1ecbbbbe2c2ee63553b47316f454ede3633a2189
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Sun Dec 30 20:29:22 2012 +0200

    modules/auth_ims: first commit of auth_ims module
    	- This module provides IMS specific authentication/authorisation functionality.

commit 29e841d41f57fa24d79fef10ff1e20943fa068ec
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Sun Dec 30 20:26:09 2012 +0200

    modules/icscf: added I-CSCF module.

commit 651dafa718cb96c15781134ed280812c664bd9dc
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Sun Dec 30 20:19:10 2012 +0200

    modules/dialog2: first version of dialog2

commit b4189892a8fb61670da8d8c6a4fb91110e889799
Author: Jason Penton <jason.penton@smilecoms.com>
Date:   Sun Dec 30 20:10:53 2012 +0200

    lib/ims: added some info to README on IMS library

commit acc9e5a3dde72aedbb1eeba561987c5faf80800f
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Dec 30 17:56:55 2012 +0000

    modules_k/rr: add flow token to Record-Route: headers when needed

commit d55cce8e5f2558560bf38a8ff25ddbb80f697284
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Dec 30 17:40:08 2012 +0000

    modules_k/rr: do not double RR when outbound is in use for a request

commit b4f41ed842766e047d286da1ceefb783f6791a5b
Author: root <root@jaybeepee-HP-EliteBook-8560w.(none)>
Date:   Sun Dec 30 19:38:57 2012 +0200

    IMS Internal Lib: added internal kamailio library for IMS extensions

commit 7c79ef5875787a1c05d263a83c803299489308fd
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Dec 30 17:20:52 2012 +0000

    modules_k/rr: bind rr to outbound module

commit 724847a226cd3a5e8c2aa766a17890f06d30d6ce
Merge: 3efe73d 3d2c78d
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Dec 30 17:08:43 2012 +0000

    Merge branch 'master' into outbound
    
    * master:
      uid_gflags: default table for global attrs prefixed with uid_
      libsrdb1/kamctl: added uid_global_attrs table
      libsrdb1/kamctl: added uid_domain and uid_domain_attrs tables
      srdb1/kamctl: added uid_uri and uid_uri_attrs tables
      uid_avp_db: default table name prefixed with uid_
      srdb1/kamctl: added definition of table uid_user_attrs
      libsrdb1/kamctl: added definition of uid_credentials table

commit 3d2c78df699a047d97f016a14c275c5559553fe5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 29 16:42:09 2012 +0100

    uid_gflags: default table for global attrs prefixed with uid_

commit e5831f5896e79ad5b878208a408d61fb374f2715
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 29 16:39:29 2012 +0100

    libsrdb1/kamctl: added uid_global_attrs table

commit 5eaaaf9827bb951add1f45bc5d635a4889954f73
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 29 16:29:17 2012 +0100

    libsrdb1/kamctl: added uid_domain and uid_domain_attrs tables

commit 907e13b7080c3ecbbbf8fa35c1adb4b3d9137ff5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 29 16:15:07 2012 +0100

    srdb1/kamctl: added uid_uri and uid_uri_attrs tables

commit c8b3aa436455314cc5b5591224cc2336c3060d9c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 29 16:00:27 2012 +0100

    uid_avp_db: default table name prefixed with uid_

commit 4d060c204cb5d526b3e05d50131a725d2f931b39
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 29 15:58:06 2012 +0100

    srdb1/kamctl: added definition of table uid_user_attrs

commit 008f9242fd996d3c853b6844fa724473c4ffd4d9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 29 15:36:51 2012 +0100

    libsrdb1/kamctl: added definition of uid_credentials table

commit 3efe73dc002b4e02147a2f950c3058998f658a23
Merge: 8f0ab91 8c512a5
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sat Dec 29 01:22:27 2012 +0000

    Merge branch 'master' into outbound
    
    * master:
      modules_s/usrloc: moved to obsolete folder
      modules_s/registrar: moved to obsolete folder
      modules_s/.gitkeep: added a placeholder to keep empty modules_s folder for a while
      Makefile: make TAGS skips the obsolete folder
      usrloc(k): fixed position of xavp_contact parameter in docs
      usrloc: store per-contact attributes in database
      core: fixed xavp level cloning function
      core: added a fuction that adds an xavp with an xavp value
      kamctl: regenerated database creation scripts
      lib/srdb1: added location_attrs table

commit 8c512a504402594c3d78da8e3ebdbe05e7561a2f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 29 00:19:53 2012 +0100

    modules_s/usrloc: moved to obsolete folder
    
    - use instead the other module with same name

commit f39b8bd436571b7f3ac40740a4a938739f9c6ad9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 29 00:18:25 2012 +0100

    modules_s/registrar: moved to obsolete folder
    
    - use instead the other module with same name

commit 96efc37844a8c128d520b9873aacb3633231e33f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 29 00:17:10 2012 +0100

    modules_s/.gitkeep: added a placeholder to keep empty modules_s folder for a while
    
    - it may be useful if some modules from obsolete folder are wanted back
      (in the repo, or just locally)

commit 8d5f8bbc2edaee9ccbe935d5f44fe4601281f060
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 29 00:09:47 2012 +0100

    Makefile: make TAGS skips the obsolete folder
    
    - use make TAGS-ALL to include all the folders

commit 27570b56727e788da939fedc84304cf87fc1e179
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 28 22:25:29 2012 +0100

    usrloc(k): fixed position of xavp_contact parameter in docs

commit 5463e46f9c3fa2e3aa8345eceb79936de63b7222
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 28 22:20:15 2012 +0100

    usrloc: store per-contact attributes in database
    
    - attributes table is the name of table used for save/lookup plus suffix
      '_attrs' (e.g., location_attrs)
    - feature enable only if xavp_contact parameter is set

commit 88dd1f30481d088b56a97a6fbb84a88f94261eb9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 28 22:17:03 2012 +0100

    core: fixed xavp level cloning function
    
    - new function introduced recently for usrloc usage

commit aea4043106b7b3e44529385293616b7af640c892
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 28 19:21:28 2012 +0100

    core: added a fuction that adds an xavp with an xavp value

commit f636e215089a9b14daa113d93025831e827192b5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 28 19:18:09 2012 +0100

    kamctl: regenerated database creation scripts
    
    - target on location_attrs table
    - affected xhttp_pi and sca

commit 060734a2acf96333ffaef8207812cc27bc127c76
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 28 14:55:35 2012 +0100

    lib/srdb1: added location_attrs table
    
    - store per contact attributes

commit 8f0ab9130af20ed1709b03fff8e831695cbdc64f
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri Dec 28 08:03:50 2012 +0000

    modules_k/path: only add ";ob" parameter when it is the the first hop

commit 7fce787c316de12fd3294ca2a70d79d71ff2ad1b
Merge: 11b7630 b2e5040
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Dec 26 14:25:44 2012 +0000

    Merge branch 'master' into outbound
    
    * master:
      core: check for IP in no_naptr_srv_sip_resolvehost()
      core: try all srv protocols when not already set
      registrar(k): restore the location contact xavp upon lookup
      usrloc(k): option to store xavp per contact
      core: extended xavp api
      registrar(k): use only pre-existing branches in lookup_branches()
      p_usrloc: clean memory in case of malloc error
      Revert "Changing to kamcmd"
      kamcmd changes
      Changing to kamcmd
      kamcmd Updating docs
      Change "sercmd" to "kamcmd" in module documentation files - README
      kamctl Fix typo that causes the "trusted" help to be printed twice and "address" zero times
      kamctl Change "sercmd" to "kamcmd" in help texts
      Fixing compiler warnings

commit 11b7630b3f3423dd5697b9c1938f34ee851d325e
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Dec 26 14:24:58 2012 +0000

    modules_k/path: Updated module documentation for outbound

commit b27311b5ecc189b8324075a3387382c144ad438b
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Dec 26 14:15:48 2012 +0000

    modules_k/path: Added outbound support to add_path()

commit a1501f0b44975057e752d0337fb074ed53fd6a54
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Dec 26 14:15:18 2012 +0000

    modules_k/outbound: Added some includes to api.h

commit b2e5040fa324fa8c95c5b44a5fcab58ed84a4c55
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 26 12:32:00 2012 +0100

    core: check for IP in no_naptr_srv_sip_resolvehost()
    
    - catch IP addresses before attempting to do SRV query

commit 17b3c70ea9cd21b71b44062dfff20cea7e67b349
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 26 11:20:46 2012 +0100

    core: try all srv protocols when not already set
    
    - patch to commit by Mihály Mészáros

commit b21b5125c7c60775226a7a86dc411863477ed799
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 24 10:04:15 2012 +0100

    registrar(k): restore the location contact xavp upon lookup

commit e6ad428f6699621b7ee622984eeea3e3e2f6cb80
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 24 10:03:10 2012 +0100

    usrloc(k): option to store xavp per contact
    
    - stored only in memory for the moment
    - the xavp can contain a list of xavps
    - new config parameter to specify the name of xavp

commit 6f31c603d1e540b1cd7ca7e81648e024acbd1388
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 24 10:02:01 2012 +0100

    core: extended xavp api
    
    - functions to add an avp last in a list or inserted at a specific
      position, to extract an avp from top of the list

commit be0f77ec7fa86f9387393609fbdffafd65a1afe3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 23 19:32:03 2012 +0100

    registrar(k): use only pre-existing branches in lookup_branches()

commit c50a8ba36aee8ae53d66a8128300085934d1a3f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Dec 23 17:19:21 2012 +0100

    p_usrloc: clean memory in case of malloc error

commit 7f7605bd38f76ab9adf1335b4a1de6fa40708486
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sun Dec 23 16:26:16 2012 +0100

    Revert "Changing to kamcmd"
    
    This reverts commit 90432f0e672c5fb11b1e47b9655768bf20e45b89.

commit 5c4bb10fc7a534b92b0dcd9c229ea1392da34cee
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sun Dec 23 10:22:56 2012 +0100

    kamcmd changes

commit 90432f0e672c5fb11b1e47b9655768bf20e45b89
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sun Dec 23 10:22:19 2012 +0100

    Changing to kamcmd

commit 9b745fbb0a065cf30b8069e950b4e6e9f2d8b20c
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sun Dec 23 10:17:36 2012 +0100

    kamcmd Updating docs

commit 922e7f4a9a56b4c02b5fedb93bd3684b2c410881
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sun Dec 23 09:31:28 2012 +0100

    Change "sercmd" to "kamcmd" in module documentation files - README

commit 334b6e7a2c0804a7ee4ce30761fc911a31682876
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sun Dec 23 09:05:50 2012 +0100

    kamctl Fix typo that causes the "trusted" help to be printed twice and "address" zero times

commit 3eeaa5af9107f3795aee714ac47380cfb2ef45c3
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sun Dec 23 09:01:01 2012 +0100

    kamctl Change "sercmd" to "kamcmd" in help texts

commit 95805adb74fbc17fe38f89bf9ec8dd57f31e9d91
Merge: 35683cf 9b2cb40
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sun Dec 23 08:49:50 2012 +0100

    Merge branch 'master' of ssh://git.sip-router.org/sip-router
    
    Do not read this message. It's not needed. Just a stupid swede making mistakes.
    Do not read this message. It's not needed. Just a stupid swede making mistakes.
    Do not read this message. It's not needed. Just a stupid swede making mistakes.
    Do not read this message. It's not needed. Just a stupid swede making mistakes.
    
    * 'master' of ssh://git.sip-router.org/sip-router:
      modules_s/permissions: moved to obsolete folder
      modules_s/textops: moved to obsolete folder
      textopsx: added functions that operate on header value
      modules_k/domain: bind_domain api function takes one param
      modules_k/htable: removed unused variable
      nathelper(k): new test 128 to check port in contact against source port
      modules_s/nathelper: moved to obsolete folder
      nathelper(k): added the select for rewriting the contact
      core: proper pv buffer reinitialization
      dialog(k): Reworked dlg_set_timeout_by_profile() code to change dialog timeouts outside of a profile lock.
      modules/app_lua: Updated app_lua to support URI lookup in registrar
      modules_k/registrar: Extended C-API to include a URI lookup
      pkg/kamailio/(centos|fedora): Added more modules moved from modules_s to modules to the build

commit 35683cfb90e68719205bef377a8bedad3e633f9d
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sun Dec 23 08:49:23 2012 +0100

    Fixing compiler warnings

commit b6b3acf9e2cf3283684773df325eb8ac6d2226c3
Merge: 0c3d25f 9b2cb40
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sat Dec 22 17:03:25 2012 +0000

    Merge branch 'master' into outbound
    
    * master:
      modules_s/permissions: moved to obsolete folder
      modules_s/textops: moved to obsolete folder
      textopsx: added functions that operate on header value

commit 0c3d25f4fba43ee66a6f1edf88b1abfde97668c8
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sat Dec 22 17:02:01 2012 +0000

    modules_k/outbound: Improved flow token encode/decode.  Now should work properly with IPv4 and IPv6

commit 9b2cb40fdb0660b61e9d9bb2086100c54ac7066e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 22 14:29:55 2012 +0100

    modules_s/permissions: moved to obsolete folder
    
    - use the other module with same name

commit 29b41dfd405f5e7de607b97d14f9481d4d91babb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 22 14:28:23 2012 +0100

    modules_s/textops: moved to obsolete folder
    
    - use the other textops module or textopsx
    - use config variable format ($varname(x)), instead of former xlog style
      with %

commit ba6119e3b4d84d8ba656c2a44fdafe3a2c31595f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 22 14:26:18 2012 +0100

    textopsx: added functions that operate on header value
    
    - imported from modules_s/texops and replaced the xlog-% style with
      pvar-$ style

commit 1db38af24d8808a9a2045c7bac25581199717a2b
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sat Dec 22 13:07:58 2012 +0000

    modules_k/outbound: Filled in functions to encode and decode flow tokens

commit 83d07c9a0f883ba08f863103127b96893d1bc92b
Merge: 68e07fa 1a09692
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sat Dec 22 11:04:04 2012 +0000

    Merge branch 'master' into outbound
    
    * master:
      modules_k/domain: bind_domain api function takes one param
      modules_k/htable: removed unused variable
      nathelper(k): new test 128 to check port in contact against source port
      modules_s/nathelper: moved to obsolete folder
      nathelper(k): added the select for rewriting the contact
      core: proper pv buffer reinitialization
      dialog(k): Reworked dlg_set_timeout_by_profile() code to change dialog timeouts outside of a profile lock.

commit 1a09692be74ef8c4f0dc56801bce6a2fb351536d
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Dec 22 12:26:29 2012 +0200

    modules_k/domain: bind_domain api function takes one param

commit a60a7ca8010a66703a90768b42ae16342c50107d
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Dec 22 11:33:13 2012 +0200

    modules_k/htable: removed unused variable

commit bf3acaf0895d900c15e3455cba225226f3debf62
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 22 09:42:35 2012 +0100

    nathelper(k): new test 128 to check port in contact against source port
    
    - used for nat_uac_test()
    - imported from ser flavour

commit f7ef4b3d54dd462648330dfa4522d067376178ce
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 22 09:28:18 2012 +0100

    modules_s/nathelper: moved to obsolete folder
    
    - use the other module with same name
    - pings from config can be done with uac module, uac_req_send()

commit b2ef844bfdcce46d6a1b88f60ff2fe4d1de30855
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 22 09:24:11 2012 +0100

    nathelper(k): added the select for rewriting the contact
    
    - exsting in the ser flavour version

commit d52371ec0a6ce6f1fff4f4fc91df3a89e5983228
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 22 08:32:31 2012 +0100

    core: proper pv buffer reinitialization
    
    - reported by Olle Johansson, FS#259

commit c9957ad5bf1b672a2661f4faeb9b781820a1f636
Author: Alex Balashov <abalashov@evaristesys.com>
Date:   Fri Dec 21 21:08:39 2012 -0500

    dialog(k): Reworked dlg_set_timeout_by_profile() code to change dialog
    timeouts outside of a profile lock.
    
    This is in order to avoid deadlock complications arising from lock/ref
    count operations upstream.  It appears that when update_dlg_timer()
    fails, it does not relinquish control back to the calling function, which
    created problems with unreleased profile locks.

commit 68e07faf94e6aa8664f3d7116026d136062136b1
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri Dec 21 23:38:28 2012 +0000

    modules_k/outbound: Removed nat_test from here
    
    - Will just use the one from nathelper when required.

commit 064120b137e05e3799399664dbc48d0d1d5ba01b
Merge: 7b31e98 72bee68
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri Dec 21 23:34:35 2012 +0000

    Merge branch 'master' into outbound
    
    * master: (592 commits)
      modules/app_lua: Updated app_lua to support URI lookup in registrar
      modules_k/registrar: Extended C-API to include a URI lookup
      pkg/kamailio/(centos|fedora): Added more modules moved from modules_s to modules to the build
      db_text More instructive error message
      modules_s/maxfwd: moved to obsolete folder
      maxfwd(k): max_limit module param can be changed at runtime
      uid_avp_db: fixed include from uid_domain module
      app_python: fixed complilation warnings [-Wformat]
      modules_s/uid_uri_db: moved to modules folder
      modules_s/uid_domain: moved to modules folder
      modules_s/uid_gflags: moved to modules folder
      modules_s/uid_avp_db: moved to modules folder
      modules_s/uid_auth_db: moved to modules folder
      modules_s/pike: moved to obsolete folder
      modules_s/uri_db: renamed to uid_uri_db
      modules_s/gflags: renamed to uid_gflags
      modules_s/domain: renamed to uid_domain
      uid_auth_db: updated doc file to the new name
      modules_s/avp_db: renamed to uid_avp_db
      modues_s/auth_db: renamed to uid_auth_db
      ...
    
    Conflicts:
    	modules_k/nathelper/nathelper.c
    	pkg/kamailio/centos/6/kamailio-build.appl
    	pkg/kamailio/centos/6/kamailio.appl
    	pkg/kamailio/fedora/16/kamailio-build.appl
    	pkg/kamailio/fedora/16/kamailio.appl
    	pkg/kamailio/fedora/16/kamailio.spec
    	pkg/kamailio/fedora/17/kamailio-build.appl
    	pkg/kamailio/fedora/17/kamailio.appl

commit 72bee685f57ccd0637e1bc97093c9e5731c2d40f
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri Dec 21 23:10:05 2012 +0000

    modules/app_lua: Updated app_lua to support URI lookup in registrar
    
    - Enhancement added by Hugh Waite @ Crocodile RCS

commit 18a4a8a33939edc6e5d74fdc21c33d9835a62f61
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri Dec 21 23:09:23 2012 +0000

    modules_k/registrar: Extended C-API to include a URI lookup
    
    - Enhancement added by Hugh Waite @ Crocodile RCS

commit 8030130f6b5819804dbe4d563abe197e13d1a54f
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri Dec 21 22:52:55 2012 +0000

    pkg/kamailio/(centos|fedora): Added more modules moved from modules_s to modules to the build

commit 242527fe5b94902ed4e20adad054c16f1732d9fd
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Dec 21 23:11:40 2012 +0100

    db_text More instructive error message

commit 3852f46576eab51198ebd089e555bf67d3b46eb0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 22:49:08 2012 +0100

    modules_s/maxfwd: moved to obsolete folder

commit 9a9cbdc8257e1782f74aa393d7c0b2f4d7888f98
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 22:43:54 2012 +0100

    maxfwd(k): max_limit module param can be changed at runtime
    
    - changed to use cfg param reload framework
    - added aliases to existing functions to make them compatible with ser
      flavour
    - config functions can take variables as parameters

commit 5374337d3b3504247b5846a37c998a4f1c61d4d8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 22:43:14 2012 +0100

    uid_avp_db: fixed include from uid_domain module

commit 221da0463d31534c0103dc87931324ae0b3acc72
Author: Konstantin Mosesov <ez@voipgroup.org.ua>
Date:   Fri Dec 21 22:21:42 2012 +0200

    app_python: fixed complilation warnings [-Wformat]

commit 9b5c2fec96a37069af9ede4ddc30e6303c1113a2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 20:52:03 2012 +0100

    modules_s/uid_uri_db: moved to modules folder

commit 3f535ff25cb67ef4f0f12ca1d8230fadaa3a832e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 20:51:33 2012 +0100

    modules_s/uid_domain: moved to modules folder

commit 9f6d4d0797074ec37a629af974df97bfdafda68a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 20:50:15 2012 +0100

    modules_s/uid_gflags: moved to modules folder

commit 1316bb1cd42cf34f03f9072037d6a138e2e10db4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 20:49:36 2012 +0100

    modules_s/uid_avp_db: moved to modules folder

commit b092e88730367444559408100a2c8d159259d6ed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 20:49:02 2012 +0100

    modules_s/uid_auth_db: moved to modules folder

commit 1183a546bd287c90cc485573df585fe9f624a7ab
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 20:47:53 2012 +0100

    modules_s/pike: moved to obsolete folder
    
    - use the other module with same name

commit b79303dbfd781de9218f73b98ca72f25cf1d1054
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 19:51:19 2012 +0100

    modules_s/uri_db: renamed to uid_uri_db

commit bc780f6769581fd6260ba8d3f207ca2dd305970d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 19:43:53 2012 +0100

    modules_s/gflags: renamed to uid_gflags
    
    - script flag functions got an 'u' in name to allow usage together with
      cfgutils module

commit e4eb153efa0e2d0c6e1478fbe664df87aa93c7ec
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 19:38:51 2012 +0100

    modules_s/domain: renamed to uid_domain

commit 6e8d115d48193c07977bf07638f237ff8518cf0e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 18:45:25 2012 +0100

    uid_auth_db: updated doc file to the new name

commit a5daf1797ff4edbb456d0d0b70138ce422d65d86
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 18:42:26 2012 +0100

    modules_s/avp_db: renamed to uid_avp_db

commit 0440bae1fd24700d83bd4728f662deea250ed716
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 18:35:19 2012 +0100

    modues_s/auth_db: renamed to uid_auth_db
    
    - the module is using uid based database schema

commit 2eb7894a6d2b9ca0e62eb83865d5cf955366ce9c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 18:02:21 2012 +0100

    modules_s/print_lib: moved to modules folder

commit bd263eea88e942a077dd0ef70138d1bbc704219f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 18:01:51 2012 +0100

    modules_s/print: moved to modules folder

commit 8e806d4cb02049ffb447e3781d0ce864bb2bffb7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 17:57:12 2012 +0100

    modules_s/print_lib: added readme and xml docbook files

commit 306459af5d4698e598a6842668faf701fe9b85f3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 17:42:46 2012 +0100

    modules_s/rr: moved to obsolete folder
    
    - k version offers the ability to work behind nat and preset route set
    - adding params to record-route headers can be done with add_rr_params()
      which has dynamic parameter
    - accessing the route parameters can be done via script variables

commit b3773e4ae594fcff9de95a869695d2441d9628b8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 13:28:44 2012 +0100

    modules_s/cpl-c: moved to obsolete list
    
    - use the other cpl-c module

commit 69a7abb8703fab795071130b5f4cd7412124aab2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 12:39:00 2012 +0100

    cpl-c: added an optional parameter to cpl_run_scritp() to provide the URI
    
    - the parameter will be used instead of taking the URI from headers or
      R-URI

commit a403bd541bbca60fff6ab24a62c7bd2b31c6707e
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Fri Dec 21 10:29:54 2012 +0000

    pkg/kamailio/(centos|fedora): Added moved modules from modules_s to the build
    
    - db2_ldap, db2_ops, and timer

commit c2e4b20ecc2598bf5a440a50762e9dbd6a2ed61c
Merge: 2930038 35a427c
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Dec 21 11:19:33 2012 +0100

    Stupid Merge branch 'master' of ssh://git.sip-router.org/sip-router
    
    * 'master' of ssh://git.sip-router.org/sip-router:
      Makefile: db2_ldap added to excluded modules list

commit 2930038a7e4ccf9abb1fe2465d1e59f3dfe9012f
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Dec 21 11:18:55 2012 +0100

    db_text: Minor correction in error message.
    
    Tell the user what's wrong, not just that it's wrong.

commit 35a427c6d452477478228885e1b2a2104633ce5d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 21 11:10:20 2012 +0100

    Makefile: db2_ldap added to excluded modules list

commit 9b9562a2bdc71e350702e21e25129444e6b805aa
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Dec 21 10:07:52 2012 +0100

    htable Minor correction to RPC docs

commit 6ff072a307ddf0735ca9c38c1bc0c3ebdbc57a2b
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Dec 21 09:40:06 2012 +0100

    htable Add RPC command for listing one item
    
    Also, add documentation for existing RPC commands.

commit b6e2034d84dcb77bfda256af0de0c434cc83dbb7
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri Dec 21 09:05:15 2012 +0100

    pike: Add error on bad argument
    
    Reported by Ovidiu Sas on the sr-dev list. Bug ported from modules_s/pike :-)

commit 7f532c2994a824c33c2e9e2348a10df734c1d3a7
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 20:59:59 2012 +0100

    sl Minor README updates (file name changes)

commit 6c8c42c92de26912c3c15007114967deca6bdc89
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 20:57:07 2012 +0100

    mangler: Minor doc update

commit d36d4de28ad52763ef4e637393997bca44dc6fea
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 20:56:17 2012 +0100

    sanity  Minor README updates

commit cbdadf3bff04e7837698ad84466fea2aed39b9c9
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 20:48:19 2012 +0100

    prefix_route doc file name changes

commit 75e18bc92fedc4d5a4ab0599ad16526928523b41
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 20:45:40 2012 +0100

    mangler Minor README edits

commit 0156d9e3e46e592c951acbbe8924840b3ca7860f
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 20:40:19 2012 +0100

    malloc_test Minor README edits

commit 326772a1524e3ad6e7c5927cf6edee1f85bc5a5b
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 20:37:09 2012 +0100

    db_flatstore Minor README edits

commit c060369e85e279c3eba8fe5caddc3be7a860d512
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 20:31:50 2012 +0100

    blst Minor README updates

commit 98b4fd46fa5fb42422346793cad5406220f3992e
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 20:28:34 2012 +0100

    avp Minor README xml file changes

commit c9497bf0653ffca09bd180ea01d7089a14f8f0e2
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 20:26:12 2012 +0100

    auth_identity README updates

commit bcb10c2952cbcd5e3aa500815b11d7cf45de47a2
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 20:20:58 2012 +0100

    auth Documentation filename changes

commit 78e1f3667d8fa553abde60d9078f395b9c4dcb9a
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 20:18:34 2012 +0100

    cfg_db README edits

commit 88e55397a3036880d2af43aa44fda473c9284011
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 20:13:37 2012 +0100

    pike: README edits

commit e0ef312d376d7b7d3d7e8b8c522544e0fae865bd
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 20:12:42 2012 +0100

    iptrtpproxy Minor README edits

commit e175629e7522350991bc4325f5141ecb68b05c3f
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 20:11:59 2012 +0100

    xmlrpc Documentation minor edits.

commit bf42fb7b6deef7926816c5ec8f9a4d0bf7393aed
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 20:07:58 2012 +0100

    xmlops: Move to "book" and rename files to avoid collissions

commit bb5527557c9d54f4ba63ddd491e4487b3fa0b063
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 20 19:25:10 2012 +0100

    db2_ldap: defined -DLDAP_DEPRECATED to enable the old ldap api
    
    - reported by Ovidiu Sas

commit 2eee368b72c48e36af8af0f17fb29dc5d6310b08
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 20 19:13:13 2012 +0100

    core: added prototype of no_naptr_srv_sip_resolvehost() to resolv.h
    
    - fix compile warning, reported by Ovidiu Sas

commit e964ce8f377cd368b1326ef42bc9bef36d192179
Merge: 3ad60fe 80697ca
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 18:52:33 2012 +0100

    Merge branch 'master' of ssh://git.sip-router.org/sip-router
    
    Arrggh. Need to clean up my working directory before xmas.
    * 'master' of ssh://git.sip-router.org/sip-router:
      modules_s/timer: moved to modules folder

commit 3ad60fe1e229b3c1fc3a854d57eac223094294ad
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 18:51:52 2012 +0100

    pike: Import pike.top rpc call from modules_s/pike
    
    Thanks to Ovidiu for pointers in the right direction.

commit 80697ca8ab8fd06bb348fd9d9b17d8db39f9e274
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 20 15:18:23 2012 +0100

    modules_s/timer: moved to modules folder

commit 1c35849b76ea9257162d5977e839399027c9659b
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 13:44:59 2012 +0100

    uac: Add note about only using uac_replace once in the same request

commit b56e823ed8e7ac2f88d1020677f5e94546a91516
Author: Mihály Mészáros <misi@niif.hu>
Date:   Sun Dec 16 13:03:18 2012 +0100

    core/dns: fix an issue when using it without dns cache
    
     - fixing an issue what caused that without dns cache we have to use a different function for srv resolution.

commit 61cae424125c4af11a69092cbf7b6870dbf26af0
Author: Mihály Mészáros <misi@niif.hu>
Date:   Wed Dec 5 12:55:24 2012 +0100

    core: dns resolver patch bugfix
    
    - a small bug fixed.
      Many thanks to Daniel (miconda@gmail.com) for reporting it.

commit 63ef5f0edcfebe86cffe7489f3524186ed3400d4
Author: Mihály Mészáros <misi@niif.hu>
Date:   Mon Nov 12 16:02:48 2012 +0100

    core/dns: dns SRV lookup, if no NAPTR available
    
    - Resolving the first most preferred and available SRV record if no NAPTR found.
      It reuse the dns protocol preference scores. Sort protocols based on this preference.

commit 7702ef8c2ec0fca97e11c621532bb9af3160dba7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 20 12:25:15 2012 +0100

    modules_s/db2_ldap: moved to modules folder

commit bebb0665ac795ea234e329a8a5b785ce5678da62
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 20 12:21:39 2012 +0100

    modules_s/db2_ops: moved to modules directory

commit bdb2368e5abd6dad0b203b67676701e515d59ae8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 19 21:23:50 2012 +0100

    modules_s/uri: moved to obsolete list
    
    - use siputils module instead

commit e6a8bc85079389314f86cc4141cf827ecabeaf4a
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 08:56:56 2012 +0100

    iptrtpproxy Documentation updates (SER => kamailio)

commit 5919b3b6c4078db7675c71d98f671feb58c68a2a
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 08:46:24 2012 +0100

    ctl Updating documentation

commit 8b967b4b96765057bb0b8f62ee1dd5b04442b52d
Author: Olle E. Johansson <oej@edvina.net>
Date:   Thu Dec 20 08:41:00 2012 +0100

    counters Updating documentation to "book" from "section"
    
    Renaming files to avoid collission when aggregating documentation.

commit 6fd7eb7440e864df872a56ad9b2076614c08222e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 19 21:11:56 2012 +0100

    modules_s/acc_syslog: moved to obsolete list
    
    - use acc module instead

commit 12e1b5eab148559d00ce4461a7126e227ab7ae33
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 19 21:10:41 2012 +0100

    modules_s/acc: moved to obsolete list
    
    - use acc module instead

commit 7487c62ea79cdddb468f2090aeba39b1df0747cc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 19 21:06:53 2012 +0100

    modules_s/uri_radius: moved to obsolete list
    
    - use misc_radius module instead

commit 685f526aa6d5b171a6731cec5aa67a97e12da1fc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 19 21:04:38 2012 +0100

    modules_s/auth_radius: moved to obsolete list
    
    - use the other module with the same name

commit 38d126621a09b3a149bcc10e3d07a176ba84068b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 19 21:02:49 2012 +0100

    modules_s/avp_radius: moved to obsolete list
    
    - use misc_radius to fetch attributes per user from radous server

commit d7e1ff882bcca3369edd74a7540cf252ef08760c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 19 21:01:11 2012 +0100

    modules_s/acc_radius: moved to obsolete list

commit 51cba8039863a92a5050b6932bb8a9155edcf39b
Author: Alex Balashov <abalashov@evaristesys.com>
Date:   Wed Dec 19 13:23:09 2012 -0500

    dialog(k): Fixed typo in loop in set_dlg_timeout_by_profile() so that
    _all_ the dialogs actually get killed, not just the first one.

commit 27e5fdc60110c4c89cee642317f5d92b7f0b734d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 19 12:52:13 2012 +0100

    kamailio-oob.cfg: new config file to collect more out-of-the-box use cases
    
    - the file can be used to add more complex routing logic and show how to
      use various features of kamailio
    - it should offload kamailio.cfg from getting too complex as a starting
      point

commit f1449adfb91727112e2a44f406e7de63965595d6
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Dec 19 12:17:19 2012 +0200

    modules/mediaproxy:  README fix and edits
    
    - AVPs are available in Kamailio reply routes without setting any tm param.

commit 70b3ea024d9eb42f974b4de37a555bcb384405e9
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Dec 19 01:48:17 2012 +0000

    pkg/kamailio/fedora/17: Updated boxgrinder appliance

commit c5b67ce5965d37c4851b6c33b9020cf88a4b85f3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 18 23:29:21 2012 +0100

    modules_s/ldap: renamed to db2_ldap
    
    - it is a SRDBv2 API database driver

commit 3e3b0350cd5408822cb7c35aa83d1c3e305a98c1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 18 23:23:38 2012 +0100

    modules_s/db_ops: renamed to db2_ops
    
    - it implements only SRDBv2 API

commit c38b4361c35ce4bf2abcc6b2480d76ca3029abfd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 18 23:11:26 2012 +0100

    modules_s/oracle: moved to obsolete folder

commit d1bf22612ce24f20ba360a5f1077fa5ce3c1e27e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 18 23:05:10 2012 +0100

    modules_s/bdb: moved to obsolete folder

commit 7f5d581b42139a16f6c3730ed9c54b1d36f6b58a
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon Dec 17 15:17:28 2012 -0500

    modules/db_cassandra: no need to link against kmi library
     - no MI commands exported

commit 928dab69601e1bb56e3abbc81a1ed55d77e8b298
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon Dec 17 15:06:49 2012 -0500

    modules/db_flatstore: replace mi command flat_rotate with rpc command flatstore.k_rotate

commit 53b6903007caf13ea9543be6c545a4d9cd6d437f
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Dec 17 21:10:48 2012 +0100

    blst Update docbook XML to "book" from "section"
    
    Trying to standardize the documentation into one format

commit 1f28ea63990f016a5828321f3514a029c5a2a18a
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Dec 17 20:58:57 2012 +0100

    avp Modifying docbook to "book"

commit 1e0ee74dae6da3a962f46f8d3305368c0754d56d
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Dec 17 20:56:25 2012 +0100

    auth_identity Moving to "book"

commit f3f279234622c18ab847fc5ff0e8473f3cd23fd4
Merge: 52a9f00 5519cae
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Dec 17 20:52:34 2012 +0100

    Merge branch 'master' of ssh://git.sip-router.org/sip-router
    
    Sorry. Sorry.
    
    * 'master' of ssh://git.sip-router.org/sip-router:
      modules_k/drouting: documentation updates for mi -> rpc command migration

commit 52a9f00806de700f1b0288ea22b388a27ab707c0
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Dec 17 20:52:03 2012 +0100

    auth: Converting to book docbook format

commit 0d41e1ba82c22a6e62f997add0a266ef4b2ed0ed
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Dec 17 20:42:47 2012 +0100

    xprint: Change to docbook book, instead of section

commit 502675ecb60f6943ca4fa8480b057a4bfef9dc2b
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Dec 17 20:40:33 2012 +0100

    xmlrpc: Modify docbook format to book and add title

commit 5519caedc2ebcfb44a660bcd13e4033116e24f50
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon Dec 17 13:37:16 2012 -0500

    modules_k/drouting: documentation updates for mi -> rpc command migration

commit d4733ab7e27be0cf472db7157dcdbe6390e269b6
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon Dec 17 13:04:42 2012 -0500

    drouting: mi commands migrated to rpc

commit 745e44e7555d0df789ecfae3b460650a43ecbf8c
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon Dec 17 12:04:49 2012 -0500

    module_k/db_text: making some error probes visible

commit b7f51d5d2b24063037ae18e82fb046b066cc52a0
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon Dec 17 12:03:11 2012 -0500

    modules_k/db_text: documentation updates for db_text.dump rpc command

commit 82a03cb5af01c1275bc9a1664643cf3645c4b87a
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon Dec 17 12:01:49 2012 -0500

    modules_k/db_text: new rpc command 'db_text.dump'
     - allows forcing a write back to disk for modified tables

commit 5ece7e315ee8d3c3529eed94179fcb4e08d41c66
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Mon Dec 17 11:56:24 2012 -0500

    parser/digest: use next_sibling_hdr() instead of hand-rolling it

commit 624a9bbf777a1c1d44400eec78911a9714872977
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Sun Dec 16 15:06:32 2012 -0500

    parser/digest: Fix hunting for Auth header in rare cases
    
    Fix a bug where find_credentials() would fail to find the correct
    Auth header when multiple headers are present, the one being looked
    for isn't the first and the full message had been parsed already.

commit 3cfaf089c1472f1397580a365360579c671c7796
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Dec 14 13:55:39 2012 -0500

    xhttp_pi: properly handle NULL values

commit ec617a27352ba719184cf617bb564631d5152df5
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Fri Dec 14 13:47:08 2012 -0500

    xhttp_pi: fix query operation for db w/o fetch support (like db_text)

commit 7fc74e46a5d5b4e2b0cbbe5bdc1627e672867164
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 14 00:43:04 2012 +0100

    dialog(k): reset default value for optional parameter
    
    - some rpc transports set a static string for missing optional
      parameters, causing invalid value
    - dlg.bridge_dlg proper handling of optional parameters return code

commit 840d23197e91c70f7b02072e144ec396f5f8f386
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 14 00:20:08 2012 +0100

    dialog(k): fixed dlg.end_dlg rpc command
    
    - missing of the optional paramter causes negative return code

commit c1fa174ddc4d499548bdc3d5f75e36125541ade9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 13 22:52:39 2012 +0100

    modules_s/exec: moved to obsolete directory

commit dab6e5b5af4d7b98553ee620d2f9114d17592c9a
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Thu Dec 13 16:10:31 2012 -0500

    sca: fix regression omitting call-info NOTIFYs on INVITE 200 reply.
    
    - Restore call-info NOTIFY with appearance-state=active when callee answers.
    - Reported by Robert Boisvert.

commit 7e8913d0a8a8f1865777615cdf53f71adfd94baa
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Thu Dec 13 17:48:16 2012 +0000

    pkg/kamailio/(centos|fedora): Added xhttp_pi README to installation

commit 63b5065ccf776ce3bbc5b51f19f72041442467cb
Author: Henning Westerholt <hw@kamailio.org>
Date:   Thu Dec 13 17:47:57 2012 +0100

    xhttp_pi: add missing README

commit 4509d6ce4160083959cd152887c47290a6753889
Merge: 8997007 3198bec
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Thu Dec 13 16:43:15 2012 +0000

    Merge branch 'master' of ssh://git.sip-router.org/sip-router
    
    * 'master' of ssh://git.sip-router.org/sip-router:
      modules/mediaproxy: restrict opening of dispatcher connection

commit 8997007145ad777d9967589cefb1477843541efb
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Thu Dec 13 16:42:29 2012 +0000

    pkg/kamailio/(centos|fedora): Updated kamailio.spec to install xhttp_pi framework examples

commit 3198beccbc2ce350bb0af2a1cedec72ccb7c9277
Author: Juha Heinanen <jh@tutpro.com>
Date:   Thu Dec 13 13:57:46 2012 +0200

    modules/mediaproxy: restrict opening of dispatcher connection
    
    - restrict opening of dispatcher connection to sub-processes (patch
      provided by Emil Kroymann)

commit c837bba9f6808141e6d23daaecdea06fee39fa8a
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Thu Dec 13 11:58:34 2012 +0000

    modules/websocket: Fixed resource leak and infinite loop in websocket module
    
    - Can occur when TCP connections go away without the WebSocket being
      closed properly.

commit 4daf033f3a8e98834cef39d9a339a007f1e1f217
Author: Juha Heinanen <jh@tutpro.com>
Date:   Thu Dec 13 07:56:51 2012 +0200

    modules/tm: updated README on serial forking related vars and functions

commit ca450b4be77150ce23ce825d795d697b4dea808f
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Dec 12 17:33:56 2012 -0500

    xhttp_pi: install framework samples

commit c3c84162a96f6ff110c575d151543ec28b827752
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Dec 12 17:10:01 2012 -0500

    xhttp_pi: new target for makefile to generate framework templates

commit c976e9e0f360da6696eefdc5b39bf019b004d3f4
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Wed Dec 12 17:07:34 2012 -0500

    xhttp_pi: generate templates for all kamailio tables

commit aa8e96f45c875b714336d121a3f89ba8e381030d
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Dec 12 16:09:20 2012 +0000

    pkg/kamailio/(centos|fedora): Updated .spec file
    
    - Added mangler module to build
    - Tidied up make commands used to build and install

commit 1c36a534096e6ba37395e2ce1676526a02d1dac3
Merge: 8ec3068 2d53d99
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Dec 12 15:25:53 2012 +0000

    Merge branch 'master' of ssh://git.sip-router.org/sip-router
    
    * 'master' of ssh://git.sip-router.org/sip-router:
      modules/tm: forgot to commit new version of t_funcs.c

commit 8ec30688617a260d478402e59ef465c69e8247d9
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Wed Dec 12 15:24:38 2012 +0000

    parser/sdp: Fixed double free
    
    - Found and fixed by Hugh Waite @ Crocodile RCS

commit 2d53d99abcf9ae218fa547d572aee3f55dbba79b
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Dec 12 17:03:42 2012 +0200

    modules/tm: forgot to commit new version of t_funcs.c
    
    - reported by Peter Dunkley.

commit 9c7edfe9edc02ea8b62c40349262b035f0b21510
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Dec 12 16:59:12 2012 +0200

    modules/tm: forgot to commit new version of t_funcs.h
    
    - reported by Peter Dunkley.

commit 74a9baf6fd2903efc874edc48dd99d6a11afc83b
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Dec 12 16:11:50 2012 +0200

    modules/tm: added outbound support to t_load_contact()/t_next_contacts()
    
    - added new function t_next_contact_flows()
    - readme not updated yet

commit 89ac4ae40234e02d71f619c2f750ed34333c9d5d
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Dec 12 16:10:34 2012 +0200

    modules_k/registrar: lookup now handles also instance and reg_id

commit 55e7820686cbfb6392e707e0ee4fae96b22670bb
Author: Juha Heinanen <jh@tutpro.com>
Date:   Wed Dec 12 16:06:52 2012 +0200

    parser: added instance and reg_id fields to sip_msg_t
    
    - also added set_instance and reset_instance functions

commit dccf5ede42eaf2b2f030d8c5a730418ce0517ec2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 12 11:08:45 2012 +0100

    core: added comments to xavps structures

commit bb1894ed7b868862402a63b858f52165d5deb463
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 11 22:39:01 2012 +0100

    modules_s/mangler: moved to common modules directory

commit a4b0267cd57255a2f5c24bf466181e592841b6f7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 11 22:36:14 2012 +0100

    modules_s/eval: unused module moved to obsolete directory
    
    - use core config expressions

commit 5028c86d306a3f9ccec6e46d1fcf5f6a03f1d6ee
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Tue Dec 11 22:17:14 2012 +0100

    modules_s/options: moved to obsolete/ folder

commit 47a9b7cf8b0d9f178f8905afc9434f0cd2d8f2f1
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Tue Dec 11 21:44:45 2012 +0100

    modules_s/speeddial: moved to obsolete/ folder

commit fc486d312ea11b6ff26c091e8649d9fe2228f931
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Tue Dec 11 21:30:41 2012 +0100

    modules_s/uac: moved to obsolete/ folder

commit cc9b6cad1130891c54b94b44bebb2b6cdf397b1a
Author: Konstantin Mosesov <ez@voipgroup.org.ua>
Date:   Tue Dec 11 16:29:30 2012 +0200

    mod_python: Changed Loggers.py to use recent changes (python abstraction layers).

commit 63f0618dd47975afafb7757fe9e156534f05d468
Merge: 230919a 669dc7b
Author: Konstantin Mosesov <ez@voipgroup.org.ua>
Date:   Tue Dec 11 16:08:25 2012 +0200

    Merge branch 'master' of ssh://git.sip-router.org/sip-router

commit 669dc7b72f76af715b2f34a0fbe64350202f8aff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 11 14:57:24 2012 +0100

    modules_s/msilo: moved to obsolete folder

commit 230919ad2e414f0c070a710cb85b3b2b3dfea741
Author: Konstantin Mosesov <ez@voipgroup.org.ua>
Date:   Tue Dec 11 14:24:08 2012 +0200

    app_python: Moved all python scripts to 'python_examples' folder.
    app_python: Applied a few recent patches for better stack trace.
    app_python: Fixed a possible segfault on double free.
    app_python: Added python abstraction layers Router.Core, Router.Ranks, Router.Logger.
    app_python: Moved all logging stuff to layer Router.Logger, e.g., Router.Logger.LM_ERR(...).
    app_python: Added 'ranks' constants and moved to Router.Ranks, e.g., Router.Ranks.PROC_MAIN.

commit 5a3bc7a8f37a16f8194d117b7642ee532ee9e177
Author: Olle E. Johansson <oej@edvina.net>
Date:   Tue Dec 11 09:04:29 2012 +0100

    debugger: Minor README edits

commit 27d02adf7bd3405cd67d2331ab7aa05b53d97c50
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Mon Dec 10 17:08:51 2012 -0500

    sca: ignore transport parameter in RURI when processing SUBSCRIBEs.
    
    - Fix AoR hash lookups when client subscribes over TCP, TLS or SCTP.
    - Report from Robert Boisvert.

commit 7a86ec5e7f9d4ef6a72da741b336c909109f3c88
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon Dec 10 13:55:13 2012 +0100

    ratelimit: Adding a reference to the pipelimit module in README

commit 4ff67e61e5b94fd5c842cf94b71dd723d41e7bf1
Author: Juha Heinanen <jh@tutpro.com>
Date:   Mon Dec 10 11:26:25 2012 +0200

    modules_k/usrloc: added +sip.instance and reg-id to mi_usrloc_show_contact

commit 4f8d9b589df0c40f88fb34658f3735a222b0f545
Author: Peter Dunkley <peter.dunkley@crocodile-rcs.com>
Date:   Sun Dec 9 20:01:55 2012 +0000

    pkg/kamailio/(centos|fedora): Updated .spec
    
    - Changed rel to dev7
    - Moved xlog from modules_k to modules
    - Added avp, sca, and xprint modules

commit a3ad00fea92f54aacf2425a0c2aaa9f78046d38e
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Sat Dec 8 18:22:15 2012 +0100

    modules_s/pdt: moved the module to obsolete folder
    
    - pdt(k) has support for multidomain

commit bfa4d86a7a18b321a14b65c90d32c5aed32c10d3
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Sat Dec 8 14:20:43 2012 +0100

    pdt(k): added pdt.list command to dump memory structure via rpc

commit 6904d8c80b2089d01a69c3c0217c76c8e0132bac
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Sat Dec 8 14:19:30 2012 +0100

    dispatcher(k): use the right pointer to rpc context

commit ad5cbdc7aa6156e072f0dd859421fc36b66227c0
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sat Dec 8 18:19:43 2012 +0100

    ratelimit: Typo fixes, minor edits

commit 181561c7dc50c0c4e6ac84b53b33d8a5bc6dd053
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Dec 8 16:09:40 2012 +0200

    modules_s: migrated append_branch in cpl-c, exec, and registrar modules

commit e8210c30ef79a5a6f6fa88a2cb47bf29ca50bfe0
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Dec 8 16:00:34 2012 +0200

    modules_k/pv: fixed compilation error in define
    
    - removed extra ';' from km_append_branch define
    - thanks to Daniel-Constantin Mierla for reporting

commit 440bcec4b5694ac79cd8dfb134defd472e96c60e
Merge: 1cfa90d ca7b188
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sat Dec 8 14:12:15 2012 +0100

    Merge branch 'master' of ssh://git.sip-router.org/sip-router
    
    Sorry, still can't fix this. Working on it. :-)
    * 'master' of ssh://git.sip-router.org/sip-router:
      core: restored USER_AGENT and SERVER_HDR defines

commit 1cfa90d171a72ad5e2b224ae0d6f2eb92d3eeb55
Author: Olle E. Johansson <oej@edvina.net>
Date:   Sat Dec 8 14:10:48 2012 +0100

    nathelper: add force_socket documentation (moved from rtpproxy module)
    
    The rtpproxy module did not have a force_socket parameter, but  nathelper did.

commit ca7b18825ed478b2d23a092f681939a233183003
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Dec 8 14:44:38 2012 +0200

    core: restored USER_AGENT and SERVER_HDR defines
    
    - they were changed by accident by previous commit

commit 571e4e3fceeff5b4d32d1ac34649e9c4031d6543
Author: Juha Heinanen <jh@tutpro.com>
Date:   Sat Dec 8 14:17:46 2012 +0200

    core and several modules: instance and reg_id in branch_t
    
    - added instance and reg_id fields to branch_t
    - added instance and reg_id arguments to append_branch function
    - modified append_branch calls in core and several modules
    - did not touch obsolete or modules_s modules (which are to be
      removed from next release)

commit 21b42fc14562758ac1dec5946a7b07a127054f47
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 7 23:28:40 2012 +0100

    modules_s/dialog: moved to obsolete folder

commit d560a18e44a9822fb1afa7f2047c82338838962e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 7 23:26:33 2012 +0100

    modules_s/fifo: moved to obsolete

commit 46f2a4300c1d9d96057d239dda1dc24c7caaf4d8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 7 23:25:49 2012 +0100

    modules_s/unixsock: moved to obsolete folder

commit 04d77c20b80337019f71228dd0d9efe30d62db60
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 7 23:17:11 2012 +0100

    modules_s/dispatcher: moved to obsolete folder

commit f817987eb7f50de7f6d0666620c6bb7fb50462fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 7 23:14:53 2012 +0100

    modules_s/osp: moved to obsolete folder

commit a40cea9f419b25aaeaabcd550ccf9106e9a029d7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 7 23:13:25 2012 +0100

    modules_s/xcap: moved to obsolete directory

commit 8d70ccaf18683c0d594a00e804f5f43df2f50b7d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 7 23:08:11 2012 +0100

    presence_b2b: moved to obsolete directory

commit 860c45f34190b57adfade0539f807fb1134662f9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 7 22:56:24 2012 +0100

    modules_s/diversion: moved to obsolete
    
    - modules_k/diversion is including its features and some extra ones

commit a1c1fb0ab72a51fcfa9907e53e2b14cb79fdddc0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 7 22:53:21 2012 +0100

    modules_s/dbtext: moved to obsolete directory
    
    - not maintained, it does not compile

commit 08c872ed6935396cd6ea87af52af6393987d6d7d
Author: Juha Heinanen <jh@tutpro.com>
Date:   Fri Dec 7 02:05:49 2012 +0200

    modules_k/registrar_k: added check that reg-id is not zero

commit d684d1ac49f740d32df5f82add584aeb396e26a4
Author: Juha Heinanen <jh@tutpro.com>
Date:   Fri Dec 7 01:33:52 2012 +0200

    modules_k/registrar: ignore reg-id if instance-id is not included

commit 5d3e8b9ff526246a8abe768a1d970dce70658dbe
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Wed Dec 5 16:59:50 2012 -0500

    sca: update sample kamailio.cfg in README with small CANCEL fix.
    
    - Reported by Robert Boisvert

commit 86c499e249bf43571d1cebca08821d30bff12dad
Author: Andrew Mortensen <admorten@isc.upenn.edu>
Date:   Wed Dec 5 16:22:47 2012 -0500

    sca: add missing braces for CANCEL handling in sample config.
    
    - t_check_trans() if-block for CANCEL had no braces, but needs them
      after addition of route(SCA) before t_relay of CANCEL.
    - Reported by Robert Boisvert

commit 69dec26c718928f2cfc08bbae98658e145f8b04b
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 21:00:45 2012 +0100

    modules_s/textops: updated path to xprint module

commit e722ab91eb90003741d236a9fecc6bbe954e21d3
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 20:59:27 2012 +0100

    modules_s/eval: updated path to xprint module

commit ff7bd782a6e5f4c18f15ac429af313b54be38936
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 20:55:17 2012 +0100

    modules_s/db_ops: path to xprint module updated

commit 556c1e19ae5fd6139c6b0d7d3a5055d949583438
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 20:47:25 2012 +0100

    modules/avp_db: moved back to modules_s/ because it depends on local domain module

commit b17e84ad3e5f781b83b1a8a80572ea4d24835b56
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 20:37:39 2012 +0100

    modules_s/avp_db: moved to modules/avp_db

commit 171f3dcf4287b7104a47b75e125174c374a457d5
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 20:34:25 2012 +0100

    modules_s/avp: moved to modules/avp

commit 66840add8c37c110a8d08674f6a5f42d75a40287
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 20:33:40 2012 +0100

    modules_s/xprint: moved to modules/xprint

commit 3d9ee6962f1ceeacbffd903064aa0779199f7ee6
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 20:32:29 2012 +0100

    modules_k/xlog: moved to modules/xlog

commit d91d49a026aba9092e9feda1d561d03c32f37e6d
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 20:25:16 2012 +0100

    modules_s/osp: internal occurences of xlog changed to xprint

commit 1d76de2a046e0d978e0b0155008dbed75dfc1067
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 20:24:54 2012 +0100

    modules_s/ldap: internal occurences of xlog changed to xprint

commit c560c7a6d0eeba3231e9f7caa0b5135160f75efe
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 20:24:36 2012 +0100

    modules_s/timer: internal occurences of xlog changed to xprint

commit 7cf360fd63904e70441470f50164352b8867c9bd
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 20:24:21 2012 +0100

    textops: internal occurences of xlog changed to xprint

commit 4c5c75ee46c38d47e01839eb6f1a8bc73441a507
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 20:24:02 2012 +0100

    modules_s/permissions: internal occurences of xlog changed to xprint

commit f74575e551672d4defd2d7d34ef29cf285bcf9ec
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 20:23:26 2012 +0100

    modules_s/eval: internal occurences of xlog changed to xprint

commit 307a97dbd735e0a337b1019a6309c14e260f25c9
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 20:23:00 2012 +0100

    modules_s/avp_db: internal occurences of xlog changed to xprint

commit cf49d5daf9a29c44224472ae52bd7a6017cfbeee
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 20:22:25 2012 +0100

    modules_s/db_ops: internal occurences of xlog changed to xprint

commit 6909bcae92e5f50fc247fd46eaf4b2b71d295c6b
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 20:21:39 2012 +0100

    modules_s/avp: internal occurences of xlog changed to xprint

commit 5144b151340da72272c0272bd0f45d0d4864173c
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 19:58:34 2012 +0100

    modules_s/xprint: more of xlog rename to xprint

commit 948558abe33913fefd44d7601a14bac3d8594871
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 19:13:39 2012 +0100

    modules_s/xprint: internal log messages updated to reflect module name

commit 5e2290c6625049ea42eaccc21c8686756f3a4156
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 19:11:31 2012 +0100

    modules_s/textops: bind to xprint API

commit 1a1337be4b9f2612375488d072301f43ce71e91c
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 19:11:05 2012 +0100

    modules_s/eval: updated for xlog(s) to xprint rename

commit 88b7ea9f926605c98676dd6b039965dff295d9c7
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 19:09:37 2012 +0100

    modules_s/db_ops: use xprint module instead of xlog

commit ceb2d50ff29d8b9f95660e4b520f458bb74853e2
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 19:09:04 2012 +0100

    modules_s/avp: switched to usage of xprint module

commit c26533bb2b7f06e72366f2d920dc1e63d3eb159f
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 19:03:25 2012 +0100

    modules_s/xprint: update defined value in header file

commit 3a1625d021d9ee46ad7beeb49c9d5ae2c933f970
Author: Elena-Ramona Modroiu <ramona@asipto.com>
Date:   Wed Dec 5 19:00:10 2012 +0100

    modules_s/xlog: renamed to xprint
    
